package com.nordicpeak.flowengine.queries.alternativelistdropdownquery;

import java.io.Serializable;

import se.unlogic.standardutils.xml.GeneratedElementable;

import com.nordicpeak.flowengine.interfaces.ImmutableAlternative;

public class AlternativeListDropDownAlternative extends GeneratedElementable implements ImmutableAlternative, Serializable {
	
	private static final long serialVersionUID = 5637260932259825454L;

	private Integer alternativeID;
	
	private String name;
	
	private String xmlValue;
	
	private String attributeValue;
	
	public AlternativeListDropDownAlternative(Integer alternativeID, String name, String xmlValue, String attributeValue) {
		super();
		this.alternativeID = alternativeID;
		this.name = name;
		this.xmlValue = xmlValue;
		this.attributeValue = attributeValue;
	}
	
	@Override
	public Integer getAlternativeID() {
		return alternativeID;
	}
	
	@Override
	public String getName() {
		return name;
	}
	
	@Override
	public String getExportXMLValue() {
		return xmlValue;
	}

	@Override
	public String getAttributeValue() {
		return attributeValue;
	}
}
