package com.nordicpeak.flowengine.queries.alternativelistradiobuttonquery;

import se.unlogic.standardutils.xml.GeneratedElementable;

import com.nordicpeak.flowengine.interfaces.ImmutableAlternative;

public class AlternativeListRadioButtonAlternative extends GeneratedElementable implements ImmutableAlternative {
	
	private Integer alternativeID;
	
	private String name;
	
	private String xmlValue;
	
	private String attributeValue;
	
	public AlternativeListRadioButtonAlternative(Integer alternativeID, String name, String xmlValue, String attributeValue) {
		super();
		this.alternativeID = alternativeID;
		this.name = name;
		this.xmlValue = xmlValue;
		this.attributeValue = attributeValue;
	}
	
	@Override
	public Integer getAlternativeID() {
		return alternativeID;
	}
	
	@Override
	public String getName() {
		return name;
	}
	
	@Override
	public String getExportXMLValue() {
		return xmlValue;
	}
	
	@Override
	public String getAttributeValue() {
		return attributeValue;
	}
}
