<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="ArtviseIntegrationProviderTemplates.xsl"/>
	
	<xsl:variable name="java.errorEmailSubject">Fel vid API anrop till Artvise</xsl:variable>

	<xsl:variable name="java.errorEmailMessage">
		
		&lt;p&gt;Misslyckat API anrop till Artvise fr rende $flow.name (rende nr. $flowInstance.flowInstanceID).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
		
	</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	
	<xsl:variable name="i18n.IntegrationEnabled">Status</xsl:variable>
	<xsl:variable name="i18n.Yes">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.No">Inaktiverad</xsl:variable>
	
	<xsl:variable name="i18n.NoIntegrationSettings">Inga integrationsinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteIntegrationSettings.Confirm">r du sker p att du vill ta bort integrationsinstllningarna fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.UpdateIntegrationSettingsTitle">Integrationsinstllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.flowVersion">version</xsl:variable>
	<xsl:variable name="i18n.Enabled">Aktivera integrationen</xsl:variable>
	
	<xsl:variable name="i18n.Endpoint">Artvise-installation</xsl:variable>
	
	<xsl:variable name="i18n.Notifications">Notifikationer</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail">E-post vid kommunikationsfel</xsl:variable>
	<xsl:variable name="i18n.Notifications.ErrorEmail.EmailAddresses">E-postadresser fr notifiering vid kommunikationsfel</xsl:variable>
	
	<xsl:variable name="i18n.Attachments">Bilagor</xsl:variable>
	<xsl:variable name="i18n.addAttachmentsSeparately">Bifoga bilagor som separata filer</xsl:variable>
	
	<xsl:variable name="i18n.apiKey">API-nyckel</xsl:variable>
	<xsl:variable name="i18n.SupportedTags.Title">Tillgngliga taggar</xsl:variable>
	<xsl:variable name="i18n.SupportedTags.Description">Utver attributbaserade taggar med formatet $attribute{tagg} s kan fljande taggar anvndas i flten nedan.</xsl:variable>
	<xsl:variable name="i18n.CaseData.Title">rendeinformation</xsl:variable>
	<xsl:variable name="i18n.caseInboxGuid">Inkorgens identifierare (GUID)</xsl:variable>
	<xsl:variable name="i18n.caseDescription">rendebeskrivning</xsl:variable>
	<xsl:variable name="i18n.customStringValue1">vriga uppgifter</xsl:variable>
	<xsl:variable name="i18n.CaseHTMLData.Title">rendehandling i HTML-format</xsl:variable>
	<xsl:variable name="i18n.caseHTMLDescriptionObjectTypeGuid">Typ av handling (GUID)</xsl:variable>
	<xsl:variable name="i18n.caseHTMLDescriptionName">Namn p rende handling i HTML-format</xsl:variable>
	<xsl:variable name="i18n.caseHTMLDescriptionContent">Innehll</xsl:variable>
	<xsl:variable name="i18n.Contact.Title">Kontaktperson</xsl:variable>
	<xsl:variable name="i18n.contactSocialSecurityNumber">Personnummer</xsl:variable>
	<xsl:variable name="i18n.contactFirstName">Frnamn</xsl:variable>
	<xsl:variable name="i18n.contactLastName">Efternamn</xsl:variable>
	<xsl:variable name="i18n.contactAddress">Adress</xsl:variable>
	<xsl:variable name="i18n.contactZIPCode">Postnummer</xsl:variable>
	<xsl:variable name="i18n.contactPostalAddress">Ort</xsl:variable>
	<xsl:variable name="i18n.contactEmail">E-post</xsl:variable>
	<xsl:variable name="i18n.contactHomePhone">Telefon</xsl:variable>
	<xsl:variable name="i18n.contactMobilePhone">Mobiltelefon</xsl:variable>

	<xsl:variable name="i18n.validationError.NoEndpointSelected">Du mste vlja en Artvise-installation</xsl:variable>
	<xsl:variable name="i18n.caseIncomingMediaTypeGuid">Media  typ  vid  skapande  av  rendet</xsl:variable>
	<xsl:variable name="i18n.requiresAnswer">Krv terkoppling innan rendet stngs</xsl:variable>
	
	<xsl:variable name="i18n.CaseCategoryAndDiaryPlan.Title">rendekategori och rentyp</xsl:variable>
	<xsl:variable name="i18n.caseCategoryGuid">rendekategori (GUID)</xsl:variable>
	<xsl:variable name="i18n.diaryPlanItemGuid">rendetyp (GUID)</xsl:variable>
</xsl:stylesheet>
