
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for bilInformation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bilInformation">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="accessories" type="{http://infobilv3.webservices.infotorg.se/}accessories" minOccurs="0"/>
 *         &lt;element name="bfcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="body" type="{http://infobilv3.webservices.infotorg.se/}body" minOccurs="0"/>
 *         &lt;element name="bodywork" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="book" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="carType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="chassino" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="consumptionEmission" type="{http://infobilv3.webservices.infotorg.se/}consumptionEmission" minOccurs="0"/>
 *         &lt;element name="dbid" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="doors" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="emissionClass" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="engine" type="{http://infobilv3.webservices.infotorg.se/}engine" minOccurs="0"/>
 *         &lt;element name="errormsg" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fuleType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="gearbox" type="{http://infobilv3.webservices.infotorg.se/}gearbox" minOccurs="0"/>
 *         &lt;element name="graphic" type="{http://infobilv3.webservices.infotorg.se/}graphic" minOccurs="0"/>
 *         &lt;element name="homolcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="homolog" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="insurance" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="make" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="measureWeight" type="{http://infobilv3.webservices.infotorg.se/}measureWeight" minOccurs="0"/>
 *         &lt;element name="model" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="performance" type="{http://infobilv3.webservices.infotorg.se/}performance" minOccurs="0"/>
 *         &lt;element name="price" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="spaceIndex" type="{http://infobilv3.webservices.infotorg.se/}spaceIndex" minOccurs="0"/>
 *         &lt;element name="submodel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tax" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="year" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bilInformation", propOrder = {
    "accessories",
    "bfcode",
    "body",
    "bodywork",
    "book",
    "carType",
    "chassino",
    "consumptionEmission",
    "dbid",
    "doors",
    "emissionClass",
    "engine",
    "errormsg",
    "fuleType",
    "gearbox",
    "graphic",
    "homolcode",
    "homolog",
    "insurance",
    "make",
    "measureWeight",
    "model",
    "performance",
    "price",
    "spaceIndex",
    "submodel",
    "tax",
    "version",
    "year"
})
public class BilInformation
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Accessories accessories;
    protected String bfcode;
    protected Body body;
    protected String bodywork;
    protected String book;
    protected String carType;
    protected String chassino;
    protected ConsumptionEmission consumptionEmission;
    protected int dbid;
    protected int doors;
    protected String emissionClass;
    protected Engine engine;
    protected String errormsg;
    protected String fuleType;
    protected Gearbox gearbox;
    protected Graphic graphic;
    protected String homolcode;
    protected String homolog;
    protected String insurance;
    protected String make;
    protected MeasureWeight measureWeight;
    protected String model;
    protected Performance performance;
    protected int price;
    protected SpaceIndex spaceIndex;
    protected String submodel;
    protected int tax;
    protected String version;
    protected int year;

    /**
     * Gets the value of the accessories property.
     * 
     * @return
     *     possible object is
     *     {@link Accessories }
     * 
     */
    public Accessories getAccessories() {
        return accessories;
    }

    /**
     * Sets the value of the accessories property.
     * 
     * @param value
     *     allowed object is
     *     {@link Accessories }
     * 
     */
    public void setAccessories(Accessories value) {
        this.accessories = value;
    }

    /**
     * Gets the value of the bfcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getBfcode() {
        return bfcode;
    }

    /**
     * Sets the value of the bfcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setBfcode(String value) {
        this.bfcode = value;
    }

    /**
     * Gets the value of the body property.
     * 
     * @return
     *     possible object is
     *     {@link Body }
     * 
     */
    public Body getBody() {
        return body;
    }

    /**
     * Sets the value of the body property.
     * 
     * @param value
     *     allowed object is
     *     {@link Body }
     * 
     */
    public void setBody(Body value) {
        this.body = value;
    }

    /**
     * Gets the value of the bodywork property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getBodywork() {
        return bodywork;
    }

    /**
     * Sets the value of the bodywork property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setBodywork(String value) {
        this.bodywork = value;
    }

    /**
     * Gets the value of the book property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getBook() {
        return book;
    }

    /**
     * Sets the value of the book property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setBook(String value) {
        this.book = value;
    }

    /**
     * Gets the value of the carType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getCarType() {
        return carType;
    }

    /**
     * Sets the value of the carType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setCarType(String value) {
        this.carType = value;
    }

    /**
     * Gets the value of the chassino property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getChassino() {
        return chassino;
    }

    /**
     * Sets the value of the chassino property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setChassino(String value) {
        this.chassino = value;
    }

    /**
     * Gets the value of the consumptionEmission property.
     * 
     * @return
     *     possible object is
     *     {@link ConsumptionEmission }
     * 
     */
    public ConsumptionEmission getConsumptionEmission() {
        return consumptionEmission;
    }

    /**
     * Sets the value of the consumptionEmission property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConsumptionEmission }
     * 
     */
    public void setConsumptionEmission(ConsumptionEmission value) {
        this.consumptionEmission = value;
    }

    /**
     * Gets the value of the dbid property.
     * 
     */
    public int getDbid() {
        return dbid;
    }

    /**
     * Sets the value of the dbid property.
     * 
     */
    public void setDbid(int value) {
        this.dbid = value;
    }

    /**
     * Gets the value of the doors property.
     * 
     */
    public int getDoors() {
        return doors;
    }

    /**
     * Sets the value of the doors property.
     * 
     */
    public void setDoors(int value) {
        this.doors = value;
    }

    /**
     * Gets the value of the emissionClass property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getEmissionClass() {
        return emissionClass;
    }

    /**
     * Sets the value of the emissionClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setEmissionClass(String value) {
        this.emissionClass = value;
    }

    /**
     * Gets the value of the engine property.
     * 
     * @return
     *     possible object is
     *     {@link Engine }
     * 
     */
    public Engine getEngine() {
        return engine;
    }

    /**
     * Sets the value of the engine property.
     * 
     * @param value
     *     allowed object is
     *     {@link Engine }
     * 
     */
    public void setEngine(Engine value) {
        this.engine = value;
    }

    /**
     * Gets the value of the errormsg property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getErrormsg() {
        return errormsg;
    }

    /**
     * Sets the value of the errormsg property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setErrormsg(String value) {
        this.errormsg = value;
    }

    /**
     * Gets the value of the fuleType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFuleType() {
        return fuleType;
    }

    /**
     * Sets the value of the fuleType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFuleType(String value) {
        this.fuleType = value;
    }

    /**
     * Gets the value of the gearbox property.
     * 
     * @return
     *     possible object is
     *     {@link Gearbox }
     * 
     */
    public Gearbox getGearbox() {
        return gearbox;
    }

    /**
     * Sets the value of the gearbox property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gearbox }
     * 
     */
    public void setGearbox(Gearbox value) {
        this.gearbox = value;
    }

    /**
     * Gets the value of the graphic property.
     * 
     * @return
     *     possible object is
     *     {@link Graphic }
     * 
     */
    public Graphic getGraphic() {
        return graphic;
    }

    /**
     * Sets the value of the graphic property.
     * 
     * @param value
     *     allowed object is
     *     {@link Graphic }
     * 
     */
    public void setGraphic(Graphic value) {
        this.graphic = value;
    }

    /**
     * Gets the value of the homolcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getHomolcode() {
        return homolcode;
    }

    /**
     * Sets the value of the homolcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setHomolcode(String value) {
        this.homolcode = value;
    }

    /**
     * Gets the value of the homolog property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getHomolog() {
        return homolog;
    }

    /**
     * Sets the value of the homolog property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setHomolog(String value) {
        this.homolog = value;
    }

    /**
     * Gets the value of the insurance property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getInsurance() {
        return insurance;
    }

    /**
     * Sets the value of the insurance property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setInsurance(String value) {
        this.insurance = value;
    }

    /**
     * Gets the value of the make property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getMake() {
        return make;
    }

    /**
     * Sets the value of the make property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setMake(String value) {
        this.make = value;
    }

    /**
     * Gets the value of the measureWeight property.
     * 
     * @return
     *     possible object is
     *     {@link MeasureWeight }
     * 
     */
    public MeasureWeight getMeasureWeight() {
        return measureWeight;
    }

    /**
     * Sets the value of the measureWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeasureWeight }
     * 
     */
    public void setMeasureWeight(MeasureWeight value) {
        this.measureWeight = value;
    }

    /**
     * Gets the value of the model property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getModel() {
        return model;
    }

    /**
     * Sets the value of the model property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setModel(String value) {
        this.model = value;
    }

    /**
     * Gets the value of the performance property.
     * 
     * @return
     *     possible object is
     *     {@link Performance }
     * 
     */
    public Performance getPerformance() {
        return performance;
    }

    /**
     * Sets the value of the performance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Performance }
     * 
     */
    public void setPerformance(Performance value) {
        this.performance = value;
    }

    /**
     * Gets the value of the price property.
     * 
     */
    public int getPrice() {
        return price;
    }

    /**
     * Sets the value of the price property.
     * 
     */
    public void setPrice(int value) {
        this.price = value;
    }

    /**
     * Gets the value of the spaceIndex property.
     * 
     * @return
     *     possible object is
     *     {@link SpaceIndex }
     * 
     */
    public SpaceIndex getSpaceIndex() {
        return spaceIndex;
    }

    /**
     * Sets the value of the spaceIndex property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpaceIndex }
     * 
     */
    public void setSpaceIndex(SpaceIndex value) {
        this.spaceIndex = value;
    }

    /**
     * Gets the value of the submodel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getSubmodel() {
        return submodel;
    }

    /**
     * Sets the value of the submodel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setSubmodel(String value) {
        this.submodel = value;
    }

    /**
     * Gets the value of the tax property.
     * 
     */
    public int getTax() {
        return tax;
    }

    /**
     * Sets the value of the tax property.
     * 
     */
    public void setTax(int value) {
        this.tax = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the year property.
     * 
     */
    public int getYear() {
        return year;
    }

    /**
     * Sets the value of the year property.
     * 
     */
    public void setYear(int value) {
        this.year = value;
    }

}
