<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryCommon.sv.xsl"/>
	<xsl:include href="../BookingCommon.sv.xsl"/>
	<xsl:include href="BookingQueryTemplates.xsl"/>
	
	<xsl:variable name="js.Calendar.SlotPassed">Tiden har passerat</xsl:variable>
	
	<xsl:variable name="i18n.Error.RequiredQuery">Den hr frgan r obligatorisk, du mste vlja en tid!</xsl:variable>
	<xsl:variable name="i18n.Error.UnknownValidationError">Ett oknt valideringsfel har uppsttt!</xsl:variable>
	<xsl:variable name="i18n.Error.InvalidFormat">Innehllet i det hr fltet har ett ogiltigt format!</xsl:variable>
	<xsl:variable name="i18n.Error.TooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.Error.MustAccept">Om du har valt en tid s mste du kryssa i</xsl:variable>
	<xsl:variable name="i18n.Error.MustAcceptToComment">Fr att lmna en kommentar s mste du kryssa i</xsl:variable>
	<xsl:variable name="i18n.Error.PersonAlreadyInCalendar">Du har redan bokat en tid</xsl:variable>
	<xsl:variable name="i18n.Error.PersonAlreadyInBookingSlot">Du har redan bokat den hr tiden</xsl:variable>
	<xsl:variable name="i18n.Error.DuplicateBookings">Du fr inte vlja samma tid fler n en gng</xsl:variable>
	<xsl:variable name="i18n.Error.NoCalendar">Frgan r inte korrekt konfigurerad! Kalender saknas</xsl:variable>
	<xsl:variable name="i18n.Error.NoLongerValidForSubmit">Tiden du hade valt r inte lngre tillgnglig</xsl:variable>
	<xsl:variable name="i18n.Error.NotBookable">Tiden du har valt r inte bokningsbar</xsl:variable>
	<xsl:variable name="i18n.Error.HasPassed">Du fr inte vlja en tid som har passerat</xsl:variable>
	<xsl:variable name="i18n.Error.NoFreeSlots">Tiden du har valt har inte ngra lediga platser</xsl:variable>
	<xsl:variable name="i18n.Error.NotEnoughFreeSlots">Tiden du har valt har inte nog mnga lediga platser</xsl:variable>
	<xsl:variable name="i18n.Error.NotAllowedToSelectSize">Du har valt fr mnga platser</xsl:variable>
	
	<xsl:variable name="i18n.AvailableSlots">Valbara tider</xsl:variable>
	<xsl:variable name="i18n.ChooseSlot">Vlj tid</xsl:variable>
	<xsl:variable name="i18n.ChosenSlot">Vald tid</xsl:variable>
	<xsl:variable name="i18n.BookingSlot">Tid</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.PaymentRequired.1">Kostnaden fr att boka tiden r</xsl:variable>
	<xsl:variable name="i18n.PaymentRequired.2">kr</xsl:variable>
	
	<xsl:variable name="i18n.FilterManagers">Handlggare</xsl:variable>
	<xsl:variable name="i18n.FilterManagers.NoFilter">Alla handlggare</xsl:variable>
	
	<xsl:variable name="i18n.Error.NoCitizenIdentifierFound">Inget personnummer hittades fr ditt anvndarkonto.</xsl:variable>
	<xsl:variable name="i18n.FilterLocations">Plats</xsl:variable>
	<xsl:variable name="i18n.FilterLocation.NoFilter">Alla platser</xsl:variable>
	
	<xsl:variable name="i18n.ViewAsList">Visa som lista</xsl:variable>
	<xsl:variable name="i18n.ViewAsCalendar">Visa som kalender</xsl:variable>
	<xsl:variable name="i18n.List">Lista</xsl:variable>
	<xsl:variable name="i18n.Week">Vecka</xsl:variable>
	<xsl:variable name="i18n.Week.Short">V.</xsl:variable>
	<xsl:variable name="i18n.Month">Mnad</xsl:variable>
	<xsl:variable name="i18n.WeekView">Veckovy</xsl:variable>
	<xsl:variable name="i18n.MonthView">Mnadsvy</xsl:variable>
	<xsl:variable name="i18n.Slots">tider</xsl:variable>
	<xsl:variable name="i18n.More">till</xsl:variable>

	<xsl:variable name="i18n.FullyBookedCalendarDayDefaultText">Fullbokat</xsl:variable>
	<xsl:variable name="i18n.FullyBookedListSlotDefaultText">Fullbokat</xsl:variable>
	<xsl:variable name="i18n.NoFreeSlotsDefaultText">Det finns inga lediga tider att boka just nu.</xsl:variable>

	<xsl:variable name="i18n.BookingSlot.NotBookable">Ej bokningsbar</xsl:variable>

	<xsl:variable name="i18n.Modal.ChooseTime">Vlj tid</xsl:variable>
	<xsl:variable name="i18n.Modal.Choose">Vlj</xsl:variable>
	
	<xsl:variable name="i18n.CalendarMode">Vlj visningslge</xsl:variable>
	<xsl:variable name="i18n.FilterByLocation">Filtrera p plats</xsl:variable>
	<xsl:variable name="i18n.FilterByManager">Filtrera p handlggare</xsl:variable>
	
</xsl:stylesheet>
