$(function() {
	var $bookingForm = $("#bookingForm");
	var $ssn = $("#citizenIdentifier");
	var $verifySSN = $("#verifySSN");
	var $infoWrapper = $("#infoWrapper");
	var $phone = $("#phone");
	var $clientError = $("#clientError");
	var $addBooking = $("#addBookingBtn");
	var $readonly = $("#readonly");
	
	$verifySSN.on("click", function(e) {
		
		e.preventDefault();
		
		$clientError.hide();
		$infoWrapper.hide();
		$addBooking.prop("disabled", true);
		$phone.prop("readonly", false);
		$readonly.val("false");
		
		var ssn = $ssn.val();
		
		if (ssn) {
			
			$.get($ssn.parent().data("url") + ssn, function(data) {
				
				if (data.isValid) {
					
					if (data.phone) {
						
						$phone.val(data.phone).prop("readonly", true);
						$readonly.val("true");
					}
					
					$infoWrapper.show();
					
					$addBooking.prop("disabled", false);
					
				} else {
					
					$clientError.show();
				}
			});
		}
	});
	
	$ssn.on("change", function() {
		
		$clientError.hide();
		$infoWrapper.hide();
		$addBooking.prop("disabled", true);
		$phone.val("").prop("readonly", false);
		$readonly.val("false");
	});
		
	
	initBookingSizeSelector($bookingForm);
});