package com.nordicpeak.flowengine.booking.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.booking.beans.Booking;

@XMLElement(name = "validationError")
public class NoSlotSortindexValidationError extends ValidationError {

	private static final long serialVersionUID = 6450309278073920513L;
	@XMLElement
	private Booking slot;

	public NoSlotSortindexValidationError(Booking slot) {

		super("NoSlotSortIndex");

		this.slot = slot;
	}

	public Booking getSlot() {

		return slot;
	}
}
