
package com.nordicpeak.flowengine.integration.castor.proxy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CastorCaseTemplate complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CastorCaseTemplate">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ExtensionData" type="{http://tempuri.org/}ExtensionDataObject" minOccurs="0"/>
 *         &lt;element name="Templateid" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TemplateDescription" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PartnerReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Persons" type="{http://tempuri.org/}ArrayOfCastorPersonData" minOccurs="0"/>
 *         &lt;element name="Persondata" type="{http://tempuri.org/}CastorPersonData" minOccurs="0"/>
 *         &lt;element name="Files" type="{http://tempuri.org/}ArrayOfCastorDocumentData" minOccurs="0"/>
 *         &lt;element name="Extendedinfo" type="{http://tempuri.org/}ArrayOfCastorCaseExtendedInfo" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CastorCaseTemplate", propOrder = {
    "extensionData",
    "templateid",
    "templateDescription",
    "partnerReference",
    "persons",
    "persondata",
    "files",
    "extendedinfo"
})
public class CastorCaseTemplate {

    @XmlElement(name = "ExtensionData")
    protected ExtensionDataObject extensionData;
    @XmlElement(name = "Templateid")
    protected int templateid;
    @XmlElement(name = "TemplateDescription")
    protected String templateDescription;
    @XmlElement(name = "PartnerReference")
    protected String partnerReference;
    @XmlElement(name = "Persons")
    protected ArrayOfCastorPersonData persons;
    @XmlElement(name = "Persondata")
    protected CastorPersonData persondata;
    @XmlElement(name = "Files")
    protected ArrayOfCastorDocumentData files;
    @XmlElement(name = "Extendedinfo")
    protected ArrayOfCastorCaseExtendedInfo extendedinfo;

    /**
     * Gets the value of the extensionData property.
     * 
     * @return
     *     possible object is
     *     {@link ExtensionDataObject }
     *     
     */
    public ExtensionDataObject getExtensionData() {
        return extensionData;
    }

    /**
     * Sets the value of the extensionData property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtensionDataObject }
     *     
     */
    public void setExtensionData(ExtensionDataObject value) {
        this.extensionData = value;
    }

    /**
     * Gets the value of the templateid property.
     * 
     */
    public int getTemplateid() {
        return templateid;
    }

    /**
     * Sets the value of the templateid property.
     * 
     */
    public void setTemplateid(int value) {
        this.templateid = value;
    }

    /**
     * Gets the value of the templateDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTemplateDescription() {
        return templateDescription;
    }

    /**
     * Sets the value of the templateDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTemplateDescription(String value) {
        this.templateDescription = value;
    }

    /**
     * Gets the value of the partnerReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPartnerReference() {
        return partnerReference;
    }

    /**
     * Sets the value of the partnerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPartnerReference(String value) {
        this.partnerReference = value;
    }

    /**
     * Gets the value of the persons property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCastorPersonData }
     *     
     */
    public ArrayOfCastorPersonData getPersons() {
        return persons;
    }

    /**
     * Sets the value of the persons property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCastorPersonData }
     *     
     */
    public void setPersons(ArrayOfCastorPersonData value) {
        this.persons = value;
    }

    /**
     * Gets the value of the persondata property.
     * 
     * @return
     *     possible object is
     *     {@link CastorPersonData }
     *     
     */
    public CastorPersonData getPersondata() {
        return persondata;
    }

    /**
     * Sets the value of the persondata property.
     * 
     * @param value
     *     allowed object is
     *     {@link CastorPersonData }
     *     
     */
    public void setPersondata(CastorPersonData value) {
        this.persondata = value;
    }

    /**
     * Gets the value of the files property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCastorDocumentData }
     *     
     */
    public ArrayOfCastorDocumentData getFiles() {
        return files;
    }

    /**
     * Sets the value of the files property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCastorDocumentData }
     *     
     */
    public void setFiles(ArrayOfCastorDocumentData value) {
        this.files = value;
    }

    /**
     * Gets the value of the extendedinfo property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCastorCaseExtendedInfo }
     *     
     */
    public ArrayOfCastorCaseExtendedInfo getExtendedinfo() {
        return extendedinfo;
    }

    /**
     * Sets the value of the extendedinfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCastorCaseExtendedInfo }
     *     
     */
    public void setExtendedinfo(ArrayOfCastorCaseExtendedInfo value) {
        this.extendedinfo = value;
    }

}
