package com.nordicpeak.flowengine.evaluators.childquery.existingstatus;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ChildExistingFlowInstanceStatusEvaluatorCRUD extends BaseEvaluatorCRUD<ChildExistingFlowInstanceStatusEvaluator, ChildExistingFlowInstanceStatusEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<ChildExistingFlowInstanceStatusEvaluator> POPULATOR = new AnnotatedRequestPopulator<>(ChildExistingFlowInstanceStatusEvaluator.class);

	public ChildExistingFlowInstanceStatusEvaluatorCRUD(Class<ChildExistingFlowInstanceStatusEvaluator> beanClass, AnnotatedDAOWrapper<ChildExistingFlowInstanceStatusEvaluator, Integer> evaluatorDAO, ChildExistingFlowInstanceStatusEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "ChildExistingFlowInstanceStatusEvaluator", "child existing flow instance status evaluator", null, callback);
	}

}
