package com.nordicpeak.flowengine.evaluators.childquery.municipalitycode;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ChildMunicipalityCodeWeightEvaluatorCRUD extends BaseEvaluatorCRUD<ChildMunicipalityCodeWeightEvaluator, ChildMunicipalityCodeWeightEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<ChildMunicipalityCodeWeightEvaluator> POPULATOR = new AnnotatedRequestPopulator<ChildMunicipalityCodeWeightEvaluator>(ChildMunicipalityCodeWeightEvaluator.class);

	public ChildMunicipalityCodeWeightEvaluatorCRUD(Class<ChildMunicipalityCodeWeightEvaluator> beanClass, AnnotatedDAOWrapper<ChildMunicipalityCodeWeightEvaluator, Integer> evaluatorDAO, ChildMunicipalityCodeWeightEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "ChildMunicipalityCodeWeightEvaluator", "child municipality weight evaluator", null, callback);
	}


}
