package com.nordicpeak.flowengine.culling.beans;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.Table;

@Table(name = "flowengine_culling_messages")
public class AutomaticCullingMessage {

	@DAOManaged
	@Key
	private Integer flowFamilyID;
	
	@DAOManaged
	private String message;

	public AutomaticCullingMessage() {}
	
	public AutomaticCullingMessage(Integer flowFamilyID, String customSavedInstanceCullingMessage) {

		this.flowFamilyID = flowFamilyID;
		this.message = customSavedInstanceCullingMessage;
	}

	public Integer getFlowFamilyID() {
		return flowFamilyID;
	}

	public void setFlowFamilyID(Integer flowFamilyID) {
		this.flowFamilyID = flowFamilyID;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
}
