<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/alternativelist/provider/BaseAlternativeListProviderModule.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="ExternalAlternativeListProviderModuleTemplates.xsl"/>

	<!-- Java i18n -->
	<xsl:variable name="java.apiSourceShortTypeName">Extern lista</xsl:variable>
	<xsl:variable name="java.apiSourceFullTypeName">Extern lista</xsl:variable>

	<xsl:variable name="i18n.ListAlternativeLists">Externa listor</xsl:variable>

	<xsl:variable name="i18n.URL">Adress</xsl:variable>
	<xsl:variable name="i18n.enableAttributeFiltering">Aktivera attributfiltrering</xsl:variable>
	<xsl:variable name="i18n.DynamicURL">Alternativ adress med attributfiltrering</xsl:variable>
	<xsl:variable name="i18n.TagsTable.description.part1">Exempel p en attributfiltrerad url som utnyttjar attribut/taggar:</xsl:variable>
	<xsl:variable name="i18n.DynamicURLExample">https://api.organisationen.se/anrop?fastparam=fastvrde&amp;dynamiskparam1=$attribute{mitt_attributnamn}&amp;dynamiskparam2=$user.attribute{citizenIdentifier}&amp;dynamiskparam3=$user.email</xsl:variable>
	<xsl:variable name="i18n.TagsTable.description.part2">Fljande taggar kan anvndas (kan finnas fler):</xsl:variable>
	<xsl:variable name="i18n.CacheTime">Cache tid</xsl:variable>
	<xsl:variable name="i18n.CacheRefreshTime">Hur lnge listan fr cachas i minuter (lmna tom fr att stnga av cachning)</xsl:variable>
	
	<xsl:variable name="i18n.validationError.InvalidURL">Adressen mste brja med http:// eller https://</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidSource">Det gick inte att tolka svaret frn den angivna adressen. Svaret mste innehlla ett XML/JSON-dokument med Namn/Vrde-par dr ingen del har ett tomt vrde. Svaret fr inte heller innehlla UTF-8 BOM-tecken.</xsl:variable>
	
	<xsl:variable name="i18n.Authentication">Autentisering (basic authentication)</xsl:variable>
	<xsl:variable name="i18n.UseAuthentication">Aktivera autentisering</xsl:variable>
	<xsl:variable name="i18n.Username">Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Password">Lsenord</xsl:variable>
	<xsl:variable name="i18n.Encoding">Teckenkodning</xsl:variable>
	
	<xsl:variable name="i18n.XPath">XPath fr tolkning av XML</xsl:variable>
	<xsl:variable name="i18n.XPathDescription">Om listan r i XML format och inte fljer standardformatet fr XML-listor s kan flten nedan anvndas fr att specificera egna XPath uttryck fr att tolka XML:en.</xsl:variable>
	<xsl:variable name="i18n.AlternativeXPath">XPath fr att hitta alternativ-noder</xsl:variable>
	<xsl:variable name="i18n.KeyXPath">XPath fr att hitta nodens ID</xsl:variable>
	<xsl:variable name="i18n.ValueXPath">XPath fr att hitta nodens vrde</xsl:variable>
	<xsl:variable name="i18n.keepOldListOnRefreshFail">Behll cachad lista om uppdatering misslyckas</xsl:variable>
	
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.UserFirstnameTag">Anvndarens frnamn</xsl:variable>
	<xsl:variable name="i18n.UserLastnameTag">Anvndarens efternamn</xsl:variable>
	<xsl:variable name="i18n.UserEmailTag">Anvndarens e-postadress</xsl:variable>
	<xsl:variable name="i18n.UserUsernameTag">Anvndarens anvndarnamn (endast medarbetarkonto)</xsl:variable>
	<xsl:variable name="i18n.UserUserIDTag">Anvndarens anvndar-ID</xsl:variable>
	<xsl:variable name="i18n.UserCitizenIdentifierTag">Anvndarens personnummer</xsl:variable>
</xsl:stylesheet>
