<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/FlowAdminModule.sv.xsl"/>
	
	<xsl:include href="ExternalMessageOfferProviderTemplates.xsl"/>
	
	<!-- Validation -->
	<xsl:variable name="i18n.validationError.RequiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidFormat">Felaktigt format p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooLong">Fr lngt vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooShort">Fr kort vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.Other">Ett oknt fel p fltet</xsl:variable>
	
	<xsl:variable name="i18n.Status.offerEnabled">Skapa erbjudande vid byte till denna status</xsl:variable>
	<xsl:variable name="i18n.Status.offerSettings">Instllningar fr erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.setOfferAsAttribute">Stt attribut vid utfall</xsl:variable>
	<xsl:variable name="i18n.Status.offerAttributeName">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.Status.setOfferTimeLimit">Stt tidsbegrnsning p erbjudandet</xsl:variable>
	<xsl:variable name="i18n.Status.offerDurationDays">Antal dagar som erbjudandet gller</xsl:variable>
	<xsl:variable name="i18n.Status.offerTimeLimit">Tidsbegrnsning p erbjudandet</xsl:variable>
	<xsl:variable name="i18n.Status.offerExpiredStatus">Status vid utgnget erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerAccepted">Accepterat erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerAcceptedStatus">Status vid accepterat erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerAcceptedMessage">Meddelande som visas vid accepterat erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerAcceptedButtonText">Text p knapp fr att acceptera erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerAcceptedButtonText.default">Ja</xsl:variable>
	<xsl:variable name="i18n.Status.offerDeclined">Avbjt erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerDeclinedStatus">Status vid avbjt erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerDeclinedMessage">Meddelande som visas vid avbjt erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerDeclinedButtonText">Text p knapp fr att avbja erbjudande</xsl:variable>
	<xsl:variable name="i18n.Status.offerDeclinedButtonText.default">Nej</xsl:variable>

	<xsl:variable name="i18n.Status.SelectStatus">Vlj status</xsl:variable>

	<xsl:variable name="i18n.Status.AttributeTable.Description">Attributvrde som kommer att sttas vid respektive utfall</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Termination">Utfall</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Value">Attributvrde</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Accepted">Accepterat</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Accepted.Value">ACCEPTED</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Declined">Avbjt</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Declined.Value">DECLINED</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Withdrawn">Tillbakadraget</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Withdrawn.Value">WITHDRAWN</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Expired">Utgnget</xsl:variable>
	<xsl:variable name="i18n.Status.AttributeTable.Expired.Value">EXPIRED</xsl:variable>
	
	<xsl:variable name="i18n.ExternalMessage.Confirm">Var vnlig bekrfta ditt val: </xsl:variable>

	<xsl:variable name="i18n.offerActiveMessage">Vntar p svar</xsl:variable>
	<xsl:variable name="i18n.offerExpiredMessage">Svarstiden fr erbjudandet har lpt ut</xsl:variable>
	<xsl:variable name="i18n.offerWithdrawnMessage">Erbjudandet har dragits tillbaka av handlggare</xsl:variable>
	
</xsl:stylesheet>
