
function initFixedTableQuery(queryID, queryRequestURL) {
	
	fixedTableWaitUntilBaseTableQueryIsLoaded(queryID, queryRequestURL);
}

function fixedTableWaitUntilBaseTableQueryIsLoaded(queryID, queryRequestURL) {
	
	if (typeof initTableQuery === "undefined") {

		setTimeout(function() { fixedTableWaitUntilBaseTableQueryIsLoaded(queryID, queryRequestURL); }, 10);
		
	} else {
		
		initFixedTableQuery2(queryID, queryRequestURL);
	} 
}

function initFixedTableQuery2(queryID, queryRequestURL) {
	
	setQueryRequiredFunctions["FixedTableQueryInstance"] = makeTableQueryRequired;
	setQueryValidationErrorFunctions["FixedTableQueryInstance"] = setTableFieldValidationError;
	
	initTableQuery(queryID, queryRequestURL);
}