package com.nordicpeak.flowengine.flowinstanceadmin2.sendmessages;

import com.nordicpeak.flowengine.beans.Contact;
import com.nordicpeak.flowengine.multisigninghandlers.SigningSessionParty;


public class ContactWithSigningParty extends Contact {

	private SigningSessionParty signingParty;

	public ContactWithSigningParty() {}
	
	public ContactWithSigningParty(Contact o) {
		this.firstname = o.getFirstname();
		this.lastname = o.getLastname();
		this.email = o.getEmail();
		this.mobilePhone = o.getMobilePhone();
		this.phone = o.getPhone();
		this.careOf = o.getCareOf();
		this.address = o.getAddress();
		this.zipCode = o.getZipCode();
		this.postalAddress = o.getPostalAddress();
		this.citizenIdentifier = o.getCitizenIdentifier();
		this.organizationName = o.getOrganizationName();
		this.organizationNumber = o.getOrganizationNumber();
		this.contactBySMS = o.isContactBySMS();
		this.contactByEmail = o.isContactByEmail();
	}

	public SigningSessionParty getSigningParty() {
		return signingParty;
	}

	public void setSigningParty(SigningSessionParty signingParty) {
		this.signingParty = signingParty;
	}
}
