function voteModal(event, button){
	event.preventDefault();
	event.stopPropagation();

	var form = $(button).closest("form"); 
	var modal = form.find(".vote-modal");
	
	var config = {
			otherClose: '.close',
			
			afterContent: function(){
				var feather = this;
				feather.$content.removeClass("no-sections");
				
				feather.$content.find("input.confirm").on("click", function(){
					document.getElementById("action").value = "vote";
					form.trigger("submit");
				});
			},
	};
	
	$.featherlight(modal, config);
}

function removeVote(button){

	var form = $(button).closest("form");
	document.getElementById("action").value = "removeVote";
	form.trigger("submit");
}

function pauseVotingPrenumerationModal(event, button){

	var form = $(button).closest("form"); 
	var modal = $("#prenumeration-modal");

	var config = {
			otherClose: '.close',
			
			afterContent: function(){
				var feather = this;
				feather.$content.removeClass("no-sections");
				
				feather.$content.find("input.confirm").on("click", function(){
				
					document.getElementById("action").value = "pauseVotingPrenumeration";
					form.trigger("submit");
				});
			},
	};
	
	$.featherlight(modal, config);
}

function activateVotingPrenumerationModal(event, button){

	var form = $(button).closest("form"); 
	var modal = $("#prenumeration-modal");

	var config = {
			otherClose: '.close',
			
			afterContent: function(){
				var feather = this;
				feather.$content.removeClass("no-sections");
				
				feather.$content.find("input.confirm").on("click", function(){
				
					document.getElementById("action").value = "activateVotingPrenumeration";
					form.trigger("submit");
				});
			},
	};
	
	$.featherlight(modal, config);
}