package com.nordicpeak.flowengine.queries.iconmapquery.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queries.iconmapquery.beans.MapIcon;

@XMLElement(name = "validationError")
public class MapIconValidationError extends ValidationError {

	private static final long serialVersionUID = 1089120375810076023L;
	@XMLElement
	private MapIcon mapIcon;

	public MapIconValidationError(String messageKey, MapIcon mapIcon) {

		super(messageKey);
		this.mapIcon = mapIcon;
	}

	public MapIconValidationError(String messageKey, MapIcon mapIcon, String displayName) {

		super(messageKey, displayName);
		this.mapIcon = mapIcon;
	}

}
