
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml._3.PointPropertyType;


/**
 * <p>Java class for AdressplatsattributType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdressplatsattributType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Adressplatsbeteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatsbeteckningType"/>
 *         &lt;element name="adressplatstyp" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatstypType"/>
 *         &lt;element name="insamlingslage" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatspunktlageType"/>
 *         &lt;element name="Adressplatspunkt" type="{http://www.opengis.net/gml/3.2}PointPropertyType"/>
 *         &lt;element name="statusForBelagenhetsadress" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}BelagenhetsadresstatusType"/>
 *         &lt;element name="postnummer" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="postort" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdressplatsattributType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", propOrder = {
    "adressplatsbeteckning",
    "adressplatstyp",
    "insamlingslage",
    "adressplatspunkt",
    "statusForBelagenhetsadress",
    "postnummer",
    "postort"
})
public class AdressplatsattributType {

    @XmlElement(name = "Adressplatsbeteckning", required = true)
    protected AdressplatsbeteckningType adressplatsbeteckning;
    @XmlElement(required = true)
    protected AdressplatstypType adressplatstyp;
    @XmlElement(required = true)
    protected AdressplatspunktlageType insamlingslage;
    @XmlElement(name = "Adressplatspunkt", required = true)
    protected PointPropertyType adressplatspunkt;
    @XmlElement(required = true)
    protected BelagenhetsadresstatusType statusForBelagenhetsadress;
    protected Integer postnummer;
    protected String postort;

    /**
     * Gets the value of the adressplatsbeteckning property.
     * 
     * @return
     *     possible object is
     *     {@link AdressplatsbeteckningType }
     * 
     */
    public AdressplatsbeteckningType getAdressplatsbeteckning() {
        return adressplatsbeteckning;
    }

    /**
     * Sets the value of the adressplatsbeteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressplatsbeteckningType }
     * 
     */
    public void setAdressplatsbeteckning(AdressplatsbeteckningType value) {
        this.adressplatsbeteckning = value;
    }

    /**
     * Gets the value of the adressplatstyp property.
     * 
     * @return
     *     possible object is
     *     {@link AdressplatstypType }
     * 
     */
    public AdressplatstypType getAdressplatstyp() {
        return adressplatstyp;
    }

    /**
     * Sets the value of the adressplatstyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressplatstypType }
     * 
     */
    public void setAdressplatstyp(AdressplatstypType value) {
        this.adressplatstyp = value;
    }

    /**
     * Gets the value of the insamlingslage property.
     * 
     * @return
     *     possible object is
     *     {@link AdressplatspunktlageType }
     * 
     */
    public AdressplatspunktlageType getInsamlingslage() {
        return insamlingslage;
    }

    /**
     * Sets the value of the insamlingslage property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressplatspunktlageType }
     * 
     */
    public void setInsamlingslage(AdressplatspunktlageType value) {
        this.insamlingslage = value;
    }

    /**
     * Gets the value of the adressplatspunkt property.
     * 
     * @return
     *     possible object is
     *     {@link PointPropertyType }
     * 
     */
    public PointPropertyType getAdressplatspunkt() {
        return adressplatspunkt;
    }

    /**
     * Sets the value of the adressplatspunkt property.
     * 
     * @param value
     *     allowed object is
     *     {@link PointPropertyType }
     * 
     */
    public void setAdressplatspunkt(PointPropertyType value) {
        this.adressplatspunkt = value;
    }

    /**
     * Gets the value of the statusForBelagenhetsadress property.
     * 
     * @return
     *     possible object is
     *     {@link BelagenhetsadresstatusType }
     * 
     */
    public BelagenhetsadresstatusType getStatusForBelagenhetsadress() {
        return statusForBelagenhetsadress;
    }

    /**
     * Sets the value of the statusForBelagenhetsadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link BelagenhetsadresstatusType }
     * 
     */
    public void setStatusForBelagenhetsadress(BelagenhetsadresstatusType value) {
        this.statusForBelagenhetsadress = value;
    }

    /**
     * Gets the value of the postnummer property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     * 
     */
    public Integer getPostnummer() {
        return postnummer;
    }

    /**
     * Sets the value of the postnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     * 
     */
    public void setPostnummer(Integer value) {
        this.postnummer = value;
    }

    /**
     * Gets the value of the postort property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getPostort() {
        return postort;
    }

    /**
     * Sets the value of the postort property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setPostort(String value) {
        this.postort = value;
    }

}
