
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import net.opengis.gml._3.CurveArrayPropertyType;
import net.opengis.gml._3.GeometryArrayPropertyType;
import net.opengis.gml._3.PointArrayPropertyType;
import se.lantmateriet.namespace.distribution.produkter.common.FaultType;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the test package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory extends se.lantmateriet.namespace.distribution.produkter.common.ObjectFactory {

    private final static QName _BelagenhetsadressResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "BelagenhetsadressResponse");
    private final static QName _GeometriRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "GeometriRequest");
    private final static QName _BelagenhetsadressreferensResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "BelagenhetsadressreferensResponse");
    private final static QName _Belagenhetsadress_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "Belagenhetsadress");
    private final static QName _IdRequest_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "IdRequest");
    private final static QName _BeteckningResponse_QNAME = new QName("http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", "BeteckningResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: test
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IdRequestType }
     * 
     */
    public IdRequestType createIdRequestType() {
        return new IdRequestType();
    }

    /**
     * Create an instance of {@link BelagenhetsadressType }
     * 
     */
    public BelagenhetsadressType createBelagenhetsadressType() {
        return new BelagenhetsadressType();
    }

    /**
     * Create an instance of {@link FaultType }
     * 
     */
    @Override
	public FaultType createFaultType() {
        return new FaultType();
    }

    /**
     * Create an instance of {@link RegisterenhetsreferensType }
     * 
     */
    public RegisterenhetsreferensType createRegisterenhetsreferensType() {
        return new RegisterenhetsreferensType();
    }

    /**
     * Create an instance of {@link AdressplatsbeteckningType }
     * 
     */
    public AdressplatsbeteckningType createAdressplatsbeteckningType() {
        return new AdressplatsbeteckningType();
    }

    /**
     * Create an instance of {@link AdressomradeType }
     * 
     */
    public AdressomradeType createAdressomradeType() {
        return new AdressomradeType();
    }

    /**
     * Create an instance of {@link KommundelType }
     * 
     */
    public KommundelType createKommundelType() {
        return new KommundelType();
    }

    /**
     * Create an instance of {@link KommunType }
     * 
     */
    public KommunType createKommunType() {
        return new KommunType();
    }

    /**
     * Create an instance of {@link BelagenhetsadressMemberType }
     * 
     */
    public BelagenhetsadressMemberType createBelagenhetsadressMemberType() {
        return new BelagenhetsadressMemberType();
    }

    /**
     * Create an instance of {@link BelagenhetsadressreferensType }
     * 
     */
    public BelagenhetsadressreferensType createBelagenhetsadressreferensType() {
        return new BelagenhetsadressreferensType();
    }

    /**
     * Create an instance of {@link GeometriRequestType }
     * 
     */
    public GeometriRequestType createGeometriRequestType() {
        return new GeometriRequestType();
    }

    /**
     * Create an instance of {@link BelagenhetsadressreferensResponseType }
     * 
     */
    public BelagenhetsadressreferensResponseType createBelagenhetsadressreferensResponseType() {
        return new BelagenhetsadressreferensResponseType();
    }

    /**
     * Create an instance of {@link AdressplatsanmarkningType }
     * 
     */
    public AdressplatsanmarkningType createAdressplatsanmarkningType() {
        return new AdressplatsanmarkningType();
    }

    /**
     * Create an instance of {@link AdressplatsattributType }
     * 
     */
    public AdressplatsattributType createAdressplatsattributType() {
        return new AdressplatsattributType();
    }

    /**
     * Create an instance of {@link GeometryArrayPropertyType }
     * 
     */
    @Override
	public GeometryArrayPropertyType createGeometryArrayPropertyType() {
        return new GeometryArrayPropertyType();
    }

    /**
     * Create an instance of {@link AdressattAnlaggningType }
     * 
     */
    public AdressattAnlaggningType createAdressattAnlaggningType() {
        return new AdressattAnlaggningType();
    }

    /**
     * Create an instance of {@link AdressplatsnamnType }
     * 
     */
    public AdressplatsnamnType createAdressplatsnamnType() {
        return new AdressplatsnamnType();
    }

    /**
     * Create an instance of {@link BeteckningResponseType }
     * 
     */
    public BeteckningResponseType createBeteckningResponseType() {
        return new BeteckningResponseType();
    }

    /**
     * Create an instance of {@link CurveArrayPropertyType }
     * 
     */
    @Override
	public CurveArrayPropertyType createCurveArrayPropertyType() {
        return new CurveArrayPropertyType();
    }

    /**
     * Create an instance of {@link BelagenhetsadressResponseType }
     * 
     */
    public BelagenhetsadressResponseType createBelagenhetsadressResponseType() {
        return new BelagenhetsadressResponseType();
    }

    /**
     * Create an instance of {@link DistrikttillhorighetType }
     * 
     */
    public DistrikttillhorighetType createDistrikttillhorighetType() {
        return new DistrikttillhorighetType();
    }

    /**
     * Create an instance of {@link PointArrayPropertyType }
     * 
     */
    @Override
	public PointArrayPropertyType createPointArrayPropertyType() {
        return new PointArrayPropertyType();
    }

    /**
     * Create an instance of {@link GardsadressomradeType }
     * 
     */
    public GardsadressomradeType createGardsadressomradeType() {
        return new GardsadressomradeType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BelagenhetsadressResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "BelagenhetsadressResponse", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<BelagenhetsadressResponseType> createBelagenhetsadressResponse(BelagenhetsadressResponseType value) {
        return new JAXBElement<BelagenhetsadressResponseType>(_BelagenhetsadressResponse_QNAME, BelagenhetsadressResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GeometriRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "GeometriRequest")
    public JAXBElement<GeometriRequestType> createGeometriRequest(GeometriRequestType value) {
        return new JAXBElement<GeometriRequestType>(_GeometriRequest_QNAME, GeometriRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BelagenhetsadressreferensResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "BelagenhetsadressreferensResponse")
    public JAXBElement<BelagenhetsadressreferensResponseType> createBelagenhetsadressreferensResponse(BelagenhetsadressreferensResponseType value) {
        return new JAXBElement<BelagenhetsadressreferensResponseType>(_BelagenhetsadressreferensResponse_QNAME, BelagenhetsadressreferensResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BelagenhetsadressType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "Belagenhetsadress", substitutionHeadNamespace = "http://www.opengis.net/gml/3.2", substitutionHeadName = "AbstractFeature")
    public JAXBElement<BelagenhetsadressType> createBelagenhetsadress(BelagenhetsadressType value) {
        return new JAXBElement<BelagenhetsadressType>(_Belagenhetsadress_QNAME, BelagenhetsadressType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "IdRequest")
    public JAXBElement<IdRequestType> createIdRequest(IdRequestType value) {
        return new JAXBElement<IdRequestType>(_IdRequest_QNAME, IdRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeteckningResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", name = "BeteckningResponse")
    public JAXBElement<BeteckningResponseType> createBeteckningResponse(BeteckningResponseType value) {
        return new JAXBElement<BeteckningResponseType>(_BeteckningResponse_QNAME, BeteckningResponseType.class, null, value);
    }

}
