
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AvtalsnyttjanderattsandamalType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AvtalsnyttjanderattsandamalType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Avverkningsrtt"/>
 *     &lt;enumeration value="Bostad"/>
 *     &lt;enumeration value="Brygga"/>
 *     &lt;enumeration value="Fiske"/>
 *     &lt;enumeration value="Hela fastigheten"/>
 *     &lt;enumeration value="Jakt"/>
 *     &lt;enumeration value="Omrde"/>
 *     &lt;enumeration value="Tele"/>
 *     &lt;enumeration value="Vindkraftanlggning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AvtalsnyttjanderattsandamalType")
@XmlEnum
public enum AvtalsnyttjanderattsandamalType {

    @XmlEnumValue("Avverkningsr\u00e4tt")
    AVVERKNINGSRTT("Avverkningsr\u00e4tt"),
    @XmlEnumValue("Bostad")
    BOSTAD("Bostad"),
    @XmlEnumValue("Brygga")
    BRYGGA("Brygga"),
    @XmlEnumValue("Fiske")
    FISKE("Fiske"),
    @XmlEnumValue("Hela fastigheten")
    HELA_FASTIGHETEN("Hela fastigheten"),
    @XmlEnumValue("Jakt")
    JAKT("Jakt"),
    @XmlEnumValue("Omr\u00e5de")
    OMRDE("Omr\u00e5de"),
    @XmlEnumValue("Tele")
    TELE("Tele"),
    @XmlEnumValue("Vindkraftanl\u00e4ggning")
    VINDKRAFTANLGGNING("Vindkraftanl\u00e4ggning");
    private final String value;

    AvtalsnyttjanderattsandamalType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AvtalsnyttjanderattsandamalType fromValue(String v) {
        for (AvtalsnyttjanderattsandamalType c: AvtalsnyttjanderattsandamalType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
