
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FastighetsagandeforandringType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FastighetsagandeforandringType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="Kopeskilling" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}KopeskillingType" minOccurs="0"/>
 *         &lt;element name="Fang" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}FangType" maxOccurs="unbounded"/>
 *         &lt;element name="Overlatelse" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}OverlatelseType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FastighetsagandeforandringType", propOrder = {
    "kopeskilling",
    "fang",
    "overlatelse"
})
public class FastighetsagandeforandringType
    extends UtbytesobjektType
{

    @XmlElement(name = "Kopeskilling")
    protected KopeskillingType kopeskilling;
    @XmlElement(name = "Fang", required = true)
    protected List<FangType> fang;
    @XmlElement(name = "Overlatelse")
    protected List<OverlatelseType> overlatelse;

    /**
     * Gets the value of the kopeskilling property.
     * 
     * @return
     *     possible object is
     *     {@link KopeskillingType }
     *     
     */
    public KopeskillingType getKopeskilling() {
        return kopeskilling;
    }

    /**
     * Sets the value of the kopeskilling property.
     * 
     * @param value
     *     allowed object is
     *     {@link KopeskillingType }
     *     
     */
    public void setKopeskilling(KopeskillingType value) {
        this.kopeskilling = value;
    }

    /**
     * Gets the value of the fang property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fang property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFang().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FangType }
     * 
     * 
     */
    public List<FangType> getFang() {
        if (fang == null) {
            fang = new ArrayList<FangType>();
        }
        return this.fang;
    }

    /**
     * Gets the value of the overlatelse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the overlatelse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOverlatelse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OverlatelseType }
     * 
     * 
     */
    public List<OverlatelseType> getOverlatelse() {
        if (overlatelse == null) {
            overlatelse = new ArrayList<OverlatelseType>();
        }
        return this.overlatelse;
    }

}
