
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml._3.AbstractFeatureType;
import net.opengis.gml._3.AggregationType;


/**
 * <p>Java class for InskrivningResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivningResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.opengis.net/gml/3.2}AbstractFeatureType">
 *       &lt;sequence>
 *         &lt;element name="InskrivningMember" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningMemberType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://www.opengis.net/gml/3.2}AggregationAttributeGroup"/>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivningResponseType", propOrder = {
    "inskrivningMember"
})
public class InskrivningResponseType
    extends AbstractFeatureType
{

    @XmlElement(name = "InskrivningMember")
    protected List<InskrivningMemberType> inskrivningMember;
    @XmlAttribute(name = "aggregationType")
    protected AggregationType aggregationType;

    /**
     * Gets the value of the inskrivningMember property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the inskrivningMember property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInskrivningMember().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InskrivningMemberType }
     * 
     * 
     */
    public List<InskrivningMemberType> getInskrivningMember() {
        if (inskrivningMember == null) {
            inskrivningMember = new ArrayList<InskrivningMemberType>();
        }
        return this.inskrivningMember;
    }

    /**
     * Gets the value of the aggregationType property.
     * 
     * @return
     *     possible object is
     *     {@link AggregationType }
     *     
     */
    public AggregationType getAggregationType() {
        return aggregationType;
    }

    /**
     * Sets the value of the aggregationType property.
     * 
     * @param value
     *     allowed object is
     *     {@link AggregationType }
     *     
     */
    public void setAggregationType(AggregationType value) {
        this.aggregationType = value;
    }

}
