
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InskrivningshandelseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivningshandelseType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="inskrivningshandelsetyp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningshandelsetypType"/>
 *         &lt;element name="akthanvisning" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Paverkar" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivenBelastningreferensType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivningshandelseType", propOrder = {
    "inskrivningshandelsetyp",
    "akthanvisning",
    "paverkar"
})
public class InskrivningshandelseType
    extends InskrivningType
{

    @XmlElement(required = true)
    protected InskrivningshandelsetypType inskrivningshandelsetyp;
    protected String akthanvisning;
    @XmlElement(name = "Paverkar")
    protected List<InskrivenBelastningreferensType> paverkar;

    /**
     * Gets the value of the inskrivningshandelsetyp property.
     * 
     * @return
     *     possible object is
     *     {@link InskrivningshandelsetypType }
     *     
     */
    public InskrivningshandelsetypType getInskrivningshandelsetyp() {
        return inskrivningshandelsetyp;
    }

    /**
     * Sets the value of the inskrivningshandelsetyp property.
     * 
     * @param value
     *     allowed object is
     *     {@link InskrivningshandelsetypType }
     *     
     */
    public void setInskrivningshandelsetyp(InskrivningshandelsetypType value) {
        this.inskrivningshandelsetyp = value;
    }

    /**
     * Gets the value of the akthanvisning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAkthanvisning() {
        return akthanvisning;
    }

    /**
     * Sets the value of the akthanvisning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAkthanvisning(String value) {
        this.akthanvisning = value;
    }

    /**
     * Gets the value of the paverkar property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the paverkar property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPaverkar().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InskrivenBelastningreferensType }
     * 
     * 
     */
    public List<InskrivenBelastningreferensType> getPaverkar() {
        if (paverkar == null) {
            paverkar = new ArrayList<InskrivenBelastningreferensType>();
        }
        return this.paverkar;
    }

}
