
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml._3.AbstractFeatureType;


/**
 * <p>Java class for InskrivningsinformationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InskrivningsinformationType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.opengis.net/gml/3.2}AbstractFeatureType">
 *       &lt;sequence>
 *         &lt;element name="Registerenhetsreferens" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensType"/>
 *         &lt;element name="IRFastighet" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}IRFastighetType" minOccurs="0"/>
 *         &lt;element name="Omrade" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}OmradeType" minOccurs="0"/>
 *         &lt;element name="PagaendeArende" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}PagaendeArendeType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Gruppinformation" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}GruppinformationType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Tomtrattsupplatelse" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}TomtrattsupplatelseType" minOccurs="0"/>
 *         &lt;element name="Belastar" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}BelastarType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="UtstrackningSoktI" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtstrackningSoktIType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Anteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AnteckningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Agande" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivetAgandeArrayPropertyType" minOccurs="0"/>
 *         &lt;element name="TidigareAgande" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivetAgandeArrayPropertyType" minOccurs="0"/>
 *         &lt;element name="Fastighetsagandeforandring" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}FastighetsagandeforandringType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InskrivningsinformationType", propOrder = {
    "registerenhetsreferens",
    "irFastighet",
    "omrade",
    "pagaendeArende",
    "gruppinformation",
    "tomtrattsupplatelse",
    "belastar",
    "utstrackningSoktI",
    "anteckning",
    "agande",
    "tidigareAgande",
    "fastighetsagandeforandring"
})
public class InskrivningsinformationType
    extends AbstractFeatureType
{

    @XmlElement(name = "Registerenhetsreferens", required = true)
    protected RegisterenhetsreferensType registerenhetsreferens;
    @XmlElement(name = "IRFastighet")
    protected IRFastighetType irFastighet;
    @XmlElement(name = "Omrade")
    protected OmradeType omrade;
    @XmlElement(name = "PagaendeArende")
    protected List<PagaendeArendeType> pagaendeArende;
    @XmlElement(name = "Gruppinformation")
    protected List<GruppinformationType> gruppinformation;
    @XmlElement(name = "Tomtrattsupplatelse")
    protected TomtrattsupplatelseType tomtrattsupplatelse;
    @XmlElement(name = "Belastar")
    protected List<BelastarType> belastar;
    @XmlElement(name = "UtstrackningSoktI")
    protected List<UtstrackningSoktIType> utstrackningSoktI;
    @XmlElement(name = "Anteckning")
    protected List<AnteckningType> anteckning;
    @XmlElement(name = "Agande")
    protected InskrivetAgandeArrayPropertyType agande;
    @XmlElement(name = "TidigareAgande")
    protected InskrivetAgandeArrayPropertyType tidigareAgande;
    @XmlElement(name = "Fastighetsagandeforandring")
    protected List<FastighetsagandeforandringType> fastighetsagandeforandring;

    /**
     * Gets the value of the registerenhetsreferens property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterenhetsreferensType }
     *     
     */
    public RegisterenhetsreferensType getRegisterenhetsreferens() {
        return registerenhetsreferens;
    }

    /**
     * Sets the value of the registerenhetsreferens property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterenhetsreferensType }
     *     
     */
    public void setRegisterenhetsreferens(RegisterenhetsreferensType value) {
        this.registerenhetsreferens = value;
    }

    /**
     * Gets the value of the irFastighet property.
     * 
     * @return
     *     possible object is
     *     {@link IRFastighetType }
     *     
     */
    public IRFastighetType getIRFastighet() {
        return irFastighet;
    }

    /**
     * Sets the value of the irFastighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link IRFastighetType }
     *     
     */
    public void setIRFastighet(IRFastighetType value) {
        this.irFastighet = value;
    }

    /**
     * Gets the value of the omrade property.
     * 
     * @return
     *     possible object is
     *     {@link OmradeType }
     *     
     */
    public OmradeType getOmrade() {
        return omrade;
    }

    /**
     * Sets the value of the omrade property.
     * 
     * @param value
     *     allowed object is
     *     {@link OmradeType }
     *     
     */
    public void setOmrade(OmradeType value) {
        this.omrade = value;
    }

    /**
     * Gets the value of the pagaendeArende property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the pagaendeArende property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPagaendeArende().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PagaendeArendeType }
     * 
     * 
     */
    public List<PagaendeArendeType> getPagaendeArende() {
        if (pagaendeArende == null) {
            pagaendeArende = new ArrayList<PagaendeArendeType>();
        }
        return this.pagaendeArende;
    }

    /**
     * Gets the value of the gruppinformation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the gruppinformation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getGruppinformation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GruppinformationType }
     * 
     * 
     */
    public List<GruppinformationType> getGruppinformation() {
        if (gruppinformation == null) {
            gruppinformation = new ArrayList<GruppinformationType>();
        }
        return this.gruppinformation;
    }

    /**
     * Gets the value of the tomtrattsupplatelse property.
     * 
     * @return
     *     possible object is
     *     {@link TomtrattsupplatelseType }
     *     
     */
    public TomtrattsupplatelseType getTomtrattsupplatelse() {
        return tomtrattsupplatelse;
    }

    /**
     * Sets the value of the tomtrattsupplatelse property.
     * 
     * @param value
     *     allowed object is
     *     {@link TomtrattsupplatelseType }
     *     
     */
    public void setTomtrattsupplatelse(TomtrattsupplatelseType value) {
        this.tomtrattsupplatelse = value;
    }

    /**
     * Gets the value of the belastar property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the belastar property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBelastar().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BelastarType }
     * 
     * 
     */
    public List<BelastarType> getBelastar() {
        if (belastar == null) {
            belastar = new ArrayList<BelastarType>();
        }
        return this.belastar;
    }

    /**
     * Gets the value of the utstrackningSoktI property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the utstrackningSoktI property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getUtstrackningSoktI().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UtstrackningSoktIType }
     * 
     * 
     */
    public List<UtstrackningSoktIType> getUtstrackningSoktI() {
        if (utstrackningSoktI == null) {
            utstrackningSoktI = new ArrayList<UtstrackningSoktIType>();
        }
        return this.utstrackningSoktI;
    }

    /**
     * Gets the value of the anteckning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anteckning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnteckning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AnteckningType }
     * 
     * 
     */
    public List<AnteckningType> getAnteckning() {
        if (anteckning == null) {
            anteckning = new ArrayList<AnteckningType>();
        }
        return this.anteckning;
    }

    /**
     * Gets the value of the agande property.
     * 
     * @return
     *     possible object is
     *     {@link InskrivetAgandeArrayPropertyType }
     *     
     */
    public InskrivetAgandeArrayPropertyType getAgande() {
        return agande;
    }

    /**
     * Sets the value of the agande property.
     * 
     * @param value
     *     allowed object is
     *     {@link InskrivetAgandeArrayPropertyType }
     *     
     */
    public void setAgande(InskrivetAgandeArrayPropertyType value) {
        this.agande = value;
    }

    /**
     * Gets the value of the tidigareAgande property.
     * 
     * @return
     *     possible object is
     *     {@link InskrivetAgandeArrayPropertyType }
     *     
     */
    public InskrivetAgandeArrayPropertyType getTidigareAgande() {
        return tidigareAgande;
    }

    /**
     * Sets the value of the tidigareAgande property.
     * 
     * @param value
     *     allowed object is
     *     {@link InskrivetAgandeArrayPropertyType }
     *     
     */
    public void setTidigareAgande(InskrivetAgandeArrayPropertyType value) {
        this.tidigareAgande = value;
    }

    /**
     * Gets the value of the fastighetsagandeforandring property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fastighetsagandeforandring property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFastighetsagandeforandring().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FastighetsagandeforandringType }
     * 
     * 
     */
    public List<FastighetsagandeforandringType> getFastighetsagandeforandring() {
        if (fastighetsagandeforandring == null) {
            fastighetsagandeforandring = new ArrayList<FastighetsagandeforandringType>();
        }
        return this.fastighetsagandeforandring;
    }

}
