
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InteckningsanmarkningstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InteckningsanmarkningstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Anmrkning"/>
 *     &lt;enumeration value="Anskan att handlingen ddas avslagen"/>
 *     &lt;enumeration value="Anskan att handlingen ddas"/>
 *     &lt;enumeration value="Anskan att ursprunglig handling ddas"/>
 *     &lt;enumeration value="Anskan om ddning av inteckningen utan handlingens freteende"/>
 *     &lt;enumeration value="Delexpropriation"/>
 *     &lt;enumeration value="Delinlsen"/>
 *     &lt;enumeration value="Ensittarinlsen"/>
 *     &lt;enumeration value="Expropriationsstmning"/>
 *     &lt;enumeration value="Frga om rttelse"/>
 *     &lt;enumeration value="Handlingen ddad"/>
 *     &lt;enumeration value="Homogenitetsprincipen ej beaktad"/>
 *     &lt;enumeration value="Inteckningen fr ddas utan handlingens freteende"/>
 *     &lt;enumeration value="Minskat kapitalbelopp"/>
 *     &lt;enumeration value="Ny handling utfrdad"/>
 *     &lt;enumeration value="Ogulden kpeskilling"/>
 *     &lt;enumeration value="Omprvat beslut"/>
 *     &lt;enumeration value="Omrknat frn ldre mynt"/>
 *     &lt;enumeration value="Rnta"/>
 *     &lt;enumeration value="Rttat"/>
 *     &lt;enumeration value="Skatt beslutad"/>
 *     &lt;enumeration value="Skatt ej beslutad"/>
 *     &lt;enumeration value="Skatt omprvad"/>
 *     &lt;enumeration value="Skatt ndrad"/>
 *     &lt;enumeration value="Skatt verklagad"/>
 *     &lt;enumeration value="Tvist"/>
 *     &lt;enumeration value="Tvist avgjord"/>
 *     &lt;enumeration value="Uppdelning"/>
 *     &lt;enumeration value="Ursprunglig handling ddad"/>
 *     &lt;enumeration value="Utbrytning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InteckningsanmarkningstypType")
@XmlEnum
public enum InteckningsanmarkningstypType {

    @XmlEnumValue("Anm\u00e4rkning")
    ANMRKNING("Anm\u00e4rkning"),
    @XmlEnumValue("Ans\u00f6kan att handlingen d\u00f6das avslagen")
    ANSKAN_ATT_HANDLINGEN_DDAS_AVSLAGEN("Ans\u00f6kan att handlingen d\u00f6das avslagen"),
    @XmlEnumValue("Ans\u00f6kan att handlingen d\u00f6das")
    ANSKAN_ATT_HANDLINGEN_DDAS("Ans\u00f6kan att handlingen d\u00f6das"),
    @XmlEnumValue("Ans\u00f6kan att ursprunglig handling d\u00f6das")
    ANSKAN_ATT_URSPRUNGLIG_HANDLING_DDAS("Ans\u00f6kan att ursprunglig handling d\u00f6das"),
    @XmlEnumValue("Ans\u00f6kan om d\u00f6dning av inteckningen utan handlingens f\u00f6reteende")
    ANSKAN_OM_DDNING_AV_INTECKNINGEN_UTAN_HANDLINGENS_FRETEENDE("Ans\u00f6kan om d\u00f6dning av inteckningen utan handlingens f\u00f6reteende"),
    @XmlEnumValue("Delexpropriation")
    DELEXPROPRIATION("Delexpropriation"),
    @XmlEnumValue("Delinl\u00f6sen")
    DELINLSEN("Delinl\u00f6sen"),
    @XmlEnumValue("Ensittarinl\u00f6sen")
    ENSITTARINLSEN("Ensittarinl\u00f6sen"),
    @XmlEnumValue("Expropriationsst\u00e4mning")
    EXPROPRIATIONSSTMNING("Expropriationsst\u00e4mning"),
    @XmlEnumValue("Fr\u00e5ga om r\u00e4ttelse")
    FRGA_OM_RTTELSE("Fr\u00e5ga om r\u00e4ttelse"),
    @XmlEnumValue("Handlingen d\u00f6dad")
    HANDLINGEN_DDAD("Handlingen d\u00f6dad"),
    @XmlEnumValue("Homogenitetsprincipen ej beaktad")
    HOMOGENITETSPRINCIPEN_EJ_BEAKTAD("Homogenitetsprincipen ej beaktad"),
    @XmlEnumValue("Inteckningen f\u00e5r d\u00f6das utan handlingens f\u00f6reteende")
    INTECKNINGEN_FR_DDAS_UTAN_HANDLINGENS_FRETEENDE("Inteckningen f\u00e5r d\u00f6das utan handlingens f\u00f6reteende"),
    @XmlEnumValue("Minskat kapitalbelopp")
    MINSKAT_KAPITALBELOPP("Minskat kapitalbelopp"),
    @XmlEnumValue("Ny handling utf\u00e4rdad")
    NY_HANDLING_UTFRDAD("Ny handling utf\u00e4rdad"),
    @XmlEnumValue("Ogulden k\u00f6peskilling")
    OGULDEN_KPESKILLING("Ogulden k\u00f6peskilling"),
    @XmlEnumValue("Ompr\u00f6vat beslut")
    OMPRVAT_BESLUT("Ompr\u00f6vat beslut"),
    @XmlEnumValue("Omr\u00e4knat fr\u00e5n \u00e4ldre mynt")
    OMRKNAT_FRN_LDRE_MYNT("Omr\u00e4knat fr\u00e5n \u00e4ldre mynt"),
    @XmlEnumValue("R\u00e4nta")
    RNTA("R\u00e4nta"),
    @XmlEnumValue("R\u00e4ttat")
    RTTAT("R\u00e4ttat"),
    @XmlEnumValue("Skatt beslutad")
    SKATT_BESLUTAD("Skatt beslutad"),
    @XmlEnumValue("Skatt ej beslutad")
    SKATT_EJ_BESLUTAD("Skatt ej beslutad"),
    @XmlEnumValue("Skatt ompr\u00f6vad")
    SKATT_OMPRVAD("Skatt ompr\u00f6vad"),
    @XmlEnumValue("Skatt \u00e4ndrad")
    SKATT_NDRAD("Skatt \u00e4ndrad"),
    @XmlEnumValue("Skatt \u00f6verklagad")
    SKATT_VERKLAGAD("Skatt \u00f6verklagad"),
    @XmlEnumValue("Tvist")
    TVIST("Tvist"),
    @XmlEnumValue("Tvist avgjord")
    TVIST_AVGJORD("Tvist avgjord"),
    @XmlEnumValue("Uppdelning")
    UPPDELNING("Uppdelning"),
    @XmlEnumValue("Ursprunglig handling d\u00f6dad")
    URSPRUNGLIG_HANDLING_DDAD("Ursprunglig handling d\u00f6dad"),
    @XmlEnumValue("Utbrytning")
    UTBRYTNING("Utbrytning");
    private final String value;

    InteckningsanmarkningstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static InteckningsanmarkningstypType fromValue(String v) {
        for (InteckningsanmarkningstypType c: InteckningsanmarkningstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
