
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for OmradeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OmradeType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="inskrivningskontor" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningskontorType"/>
 *         &lt;element name="omradesaktualitet" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OmradeType", propOrder = {
    "inskrivningskontor",
    "omradesaktualitet"
})
public class OmradeType
    extends UtbytesobjektType
{

    @XmlElement(required = true)
    protected InskrivningskontorType inskrivningskontor;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar omradesaktualitet;

    /**
     * Gets the value of the inskrivningskontor property.
     * 
     * @return
     *     possible object is
     *     {@link InskrivningskontorType }
     *     
     */
    public InskrivningskontorType getInskrivningskontor() {
        return inskrivningskontor;
    }

    /**
     * Sets the value of the inskrivningskontor property.
     * 
     * @param value
     *     allowed object is
     *     {@link InskrivningskontorType }
     *     
     */
    public void setInskrivningskontor(InskrivningskontorType value) {
        this.inskrivningskontor = value;
    }

    /**
     * Gets the value of the omradesaktualitet property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getOmradesaktualitet() {
        return omradesaktualitet;
    }

    /**
     * Sets the value of the omradesaktualitet property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setOmradesaktualitet(XMLGregorianCalendar value) {
        this.omradesaktualitet = value;
    }

}
