
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for TomtrattsupplatelseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TomtrattsupplatelseType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}InskrivningType">
 *       &lt;sequence>
 *         &lt;element name="andamal" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="inskrankning" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ursprungligtStartdatum" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="Avgald" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AvgaldType"/>
 *         &lt;element name="FramtidaAvgald" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AvgaldType" minOccurs="0"/>
 *         &lt;element name="aldreTomtratt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="uppsagningsperiodar" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="uppsagningsdatum" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="upplatelsedatum" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="Tomtrattsupplatelseanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}TomtrattsupplatelseanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TomtrattsupplatelseType", propOrder = {
    "andamal",
    "inskrankning",
    "ursprungligtStartdatum",
    "avgald",
    "framtidaAvgald",
    "aldreTomtratt",
    "uppsagningsperiodar",
    "uppsagningsdatum",
    "upplatelsedatum",
    "tomtrattsupplatelseanmarkning"
})
public class TomtrattsupplatelseType
    extends InskrivningType
{

    @XmlElement(required = true)
    protected String andamal;
    protected String inskrankning;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar ursprungligtStartdatum;
    @XmlElement(name = "Avgald", required = true)
    protected AvgaldType avgald;
    @XmlElement(name = "FramtidaAvgald")
    protected AvgaldType framtidaAvgald;
    protected boolean aldreTomtratt;
    protected Integer uppsagningsperiodar;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar uppsagningsdatum;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar upplatelsedatum;
    @XmlElement(name = "Tomtrattsupplatelseanmarkning")
    protected List<TomtrattsupplatelseanmarkningType> tomtrattsupplatelseanmarkning;

    /**
     * Gets the value of the andamal property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAndamal() {
        return andamal;
    }

    /**
     * Sets the value of the andamal property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAndamal(String value) {
        this.andamal = value;
    }

    /**
     * Gets the value of the inskrankning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInskrankning() {
        return inskrankning;
    }

    /**
     * Sets the value of the inskrankning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInskrankning(String value) {
        this.inskrankning = value;
    }

    /**
     * Gets the value of the ursprungligtStartdatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUrsprungligtStartdatum() {
        return ursprungligtStartdatum;
    }

    /**
     * Sets the value of the ursprungligtStartdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUrsprungligtStartdatum(XMLGregorianCalendar value) {
        this.ursprungligtStartdatum = value;
    }

    /**
     * Gets the value of the avgald property.
     * 
     * @return
     *     possible object is
     *     {@link AvgaldType }
     *     
     */
    public AvgaldType getAvgald() {
        return avgald;
    }

    /**
     * Sets the value of the avgald property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvgaldType }
     *     
     */
    public void setAvgald(AvgaldType value) {
        this.avgald = value;
    }

    /**
     * Gets the value of the framtidaAvgald property.
     * 
     * @return
     *     possible object is
     *     {@link AvgaldType }
     *     
     */
    public AvgaldType getFramtidaAvgald() {
        return framtidaAvgald;
    }

    /**
     * Sets the value of the framtidaAvgald property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvgaldType }
     *     
     */
    public void setFramtidaAvgald(AvgaldType value) {
        this.framtidaAvgald = value;
    }

    /**
     * Gets the value of the aldreTomtratt property.
     * 
     */
    public boolean isAldreTomtratt() {
        return aldreTomtratt;
    }

    /**
     * Sets the value of the aldreTomtratt property.
     * 
     */
    public void setAldreTomtratt(boolean value) {
        this.aldreTomtratt = value;
    }

    /**
     * Gets the value of the uppsagningsperiodar property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUppsagningsperiodar() {
        return uppsagningsperiodar;
    }

    /**
     * Sets the value of the uppsagningsperiodar property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUppsagningsperiodar(Integer value) {
        this.uppsagningsperiodar = value;
    }

    /**
     * Gets the value of the uppsagningsdatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUppsagningsdatum() {
        return uppsagningsdatum;
    }

    /**
     * Sets the value of the uppsagningsdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUppsagningsdatum(XMLGregorianCalendar value) {
        this.uppsagningsdatum = value;
    }

    /**
     * Gets the value of the upplatelsedatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getUpplatelsedatum() {
        return upplatelsedatum;
    }

    /**
     * Sets the value of the upplatelsedatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setUpplatelsedatum(XMLGregorianCalendar value) {
        this.upplatelsedatum = value;
    }

    /**
     * Gets the value of the tomtrattsupplatelseanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the tomtrattsupplatelseanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTomtrattsupplatelseanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TomtrattsupplatelseanmarkningType }
     * 
     * 
     */
    public List<TomtrattsupplatelseanmarkningType> getTomtrattsupplatelseanmarkning() {
        if (tomtrattsupplatelseanmarkning == null) {
            tomtrattsupplatelseanmarkning = new ArrayList<TomtrattsupplatelseanmarkningType>();
        }
        return this.tomtrattsupplatelseanmarkning;
    }

}
