package com.nordicpeak.flowengine.queries.manualcheckboxquery;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import se.unlogic.standardutils.validation.ValidationError;

public class ManualCheckboxAlternativesPopulator extends com.nordicpeak.flowengine.populators.AlternativesPopulator<CheckboxAlternative> {
	
	
	public ManualCheckboxAlternativesPopulator(Class<CheckboxAlternative> alternativeClass) {
		
		super(alternativeClass);
	}
	
	public ManualCheckboxAlternativesPopulator(Class<CheckboxAlternative> alternativeClass, String xmlParentNodeName) {
		
		super(alternativeClass, xmlParentNodeName);
	}
	
	@Override
	protected void extraPopulation(CheckboxAlternative alternative, HttpServletRequest req, String alternativeID, List<ValidationError> validationErrors) {
		
		alternative.setChecked(req.getParameter("checked_" + alternativeID) != null);
	}
	
}
