<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="PersonQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Personfrga</xsl:variable>
	
	<xsl:variable name="java.personSelectedAlternativeName">Person vald</xsl:variable>
	<xsl:variable name="java.personNotFoundAlternativeName">Ingen person hittades p det angivna personnumret.</xsl:variable>
	
	<xsl:variable name="java.exportFirstName">Frnamn</xsl:variable>
	<xsl:variable name="java.exportLastName">Efternamn</xsl:variable>
	<xsl:variable name="java.exportCareOf">C/O</xsl:variable>
	<xsl:variable name="java.exportAddress">Adress</xsl:variable>
	<xsl:variable name="java.exportZipCode">Postnummer</xsl:variable>
	<xsl:variable name="java.exportPostalAddress">Ort</xsl:variable>
	<xsl:variable name="java.exportCitizenID">Personnummer</xsl:variable>
	<xsl:variable name="java.exportEmail">E-post</xsl:variable>
	<xsl:variable name="java.exportPhone">Mobiltelefon</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.PersonQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.maxLength">tillten lngd p textinnehll</xsl:variable>
	<xsl:variable name="i18n.Query.allowNoPersonFound">Tillt anvndaren att g vidare ven d ingen person hittas p angivet personummer.</xsl:variable>
	<xsl:variable name="i18n.Query.UseForMultipartSigning">Anvnd flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.Query.SetMultipartsAsOwners">Stt personen som medskande fr rendet</xsl:variable>
	<xsl:variable name="i18n.Query.BlockPosterSelection">Frhindra att inloggad anvndare vljer sig sjlv</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.Query.setAsAttribute">Spara fltens vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.Query.attributeName">Attributprefix</xsl:variable>
	
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas med det ovan valda prefixet. Anvndings exempel om du valt prefixet 'test': $attribute{test.firstname}</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	<xsl:variable name="i18n.attributes.OnlyForMultiSign"> (Endast vid flerpartssignering)</xsl:variable>
	
</xsl:stylesheet>
