package com.nordicpeak.flowengine.queue.events;

import java.io.Serializable;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

public class QueueSlotRequestLeaveEvent implements Serializable {

	private static final long serialVersionUID = 1873981649620240956L;

	private final QueueSlot queueSlot;
	private final User poster;
	private final String message;

	public QueueSlotRequestLeaveEvent(QueueSlot queueSlot, User poster, String message) {

		super();
		this.queueSlot = queueSlot;
		this.poster = poster;
		this.message = message;
	}

	public QueueSlot getQueueSlot() {

		return queueSlot;
	}

	public User getPoster() {

		return poster;
	}

	public String getMessage() {

		return message;
	}
}
