package com.nordicpeak.flowengine.queue.validationerrors;

import se.unlogic.standardutils.validation.ValidationError;
import se.unlogic.standardutils.xml.XMLElement;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

@XMLElement(name = "validationError")
public class NoSlotSortindexValidationError extends ValidationError {

	private static final long serialVersionUID = -3206108188893064899L;
	@XMLElement
	private QueueSlot slot;

	public NoSlotSortindexValidationError(QueueSlot slot) {

		super("NoSlotSortIndex");

		this.slot = slot;
	}

	public QueueSlot getSlot() {

		return slot;
	}
}
