
package se.bolagsverket.schema.ssbt.foretag;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for aktier complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="aktier">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AktierAntal" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Aktiekapital" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}Aktieslag" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "aktier", propOrder = {
    "aktierAntal",
    "aktiekapital",
    "aktieslag"
})
public class Aktier {

    @XmlElement(name = "AktierAntal")
    protected BigInteger aktierAntal;
    @XmlElement(name = "Aktiekapital")
    protected Aktiekapital aktiekapital;
    @XmlElement(name = "Aktieslag")
    protected List<Aktieslag> aktieslag;

    /**
     * Gets the value of the aktierAntal property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAktierAntal() {
        return aktierAntal;
    }

    /**
     * Sets the value of the aktierAntal property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAktierAntal(BigInteger value) {
        this.aktierAntal = value;
    }

    /**
     * Gets the value of the aktiekapital property.
     * 
     * @return
     *     possible object is
     *     {@link Aktiekapital }
     *     
     */
    public Aktiekapital getAktiekapital() {
        return aktiekapital;
    }

    /**
     * Sets the value of the aktiekapital property.
     * 
     * @param value
     *     allowed object is
     *     {@link Aktiekapital }
     *     
     */
    public void setAktiekapital(Aktiekapital value) {
        this.aktiekapital = value;
    }

    /**
     * Gets the value of the aktieslag property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aktieslag property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAktieslag().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Aktieslag }
     * 
     * 
     */
    public List<Aktieslag> getAktieslag() {
        if (aktieslag == null) {
            aktieslag = new ArrayList<Aktieslag>();
        }
        return this.aktieslag;
    }

}
