
package se.bolagsverket.schema.ssbt.foretag;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for avveckling complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="avveckling">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AvvecklingKod"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AvvecklingBeskrivning"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}AvvecklingDatum" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="Typ" use="required" type="{http://schema.bolagsverket.se/ssbt/foretag}avvecklingTyp" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "avveckling", propOrder = {
    "avvecklingKod",
    "avvecklingBeskrivning",
    "avvecklingDatum"
})
@XmlSeeAlso({
    AvvecklingAvfordAnledning.class
})
public class Avveckling {

    @XmlElement(name = "AvvecklingKod", required = true)
    protected String avvecklingKod;
    @XmlElement(name = "AvvecklingBeskrivning", required = true)
    protected String avvecklingBeskrivning;
    @XmlElement(name = "AvvecklingDatum")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar avvecklingDatum;
    @XmlAttribute(name = "Typ", required = true)
    protected AvvecklingTyp typ;

    /**
     * Gets the value of the avvecklingKod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAvvecklingKod() {
        return avvecklingKod;
    }

    /**
     * Sets the value of the avvecklingKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAvvecklingKod(String value) {
        this.avvecklingKod = value;
    }

    /**
     * Gets the value of the avvecklingBeskrivning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAvvecklingBeskrivning() {
        return avvecklingBeskrivning;
    }

    /**
     * Sets the value of the avvecklingBeskrivning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAvvecklingBeskrivning(String value) {
        this.avvecklingBeskrivning = value;
    }

    /**
     * Gets the value of the avvecklingDatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAvvecklingDatum() {
        return avvecklingDatum;
    }

    /**
     * Sets the value of the avvecklingDatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAvvecklingDatum(XMLGregorianCalendar value) {
        this.avvecklingDatum = value;
    }

    /**
     * Gets the value of the typ property.
     * 
     * @return
     *     possible object is
     *     {@link AvvecklingTyp }
     *     
     */
    public AvvecklingTyp getTyp() {
        return typ;
    }

    /**
     * Sets the value of the typ property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvvecklingTyp }
     *     
     */
    public void setTyp(AvvecklingTyp value) {
        this.typ = value;
    }

}
