<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:include href="classpath://com/nordicpeak/flowengine/evaluators/common/xsl/EvaluatorAdminCommon.sv.xsl"/>
	<xsl:include href="SetWeightByDateEvaluationProviderModuleTemplates.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:variable name="java.evaluatorTypeName">Stt vikt baserat p datumintervall</xsl:variable>
	
	<xsl:variable name="i18n.UpdateEvaluatorDescriptor.Title">Uppdatera regel</xsl:variable>
	<xsl:variable name="i18n.Weight">Vikt</xsl:variable>
	<xsl:variable name="i18n.WeightType">Typ av vikt</xsl:variable>
	<xsl:variable name="i18n.Submit">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.Date.Month.Title">Mnader</xsl:variable>
	<xsl:variable name="i18n.Date.Month.Description">Ange vilka mnader som regeln ska kras. Du mste vlja minst en mnad.</xsl:variable>
	<xsl:variable name="i18n.Date.Month.January">Januari</xsl:variable>
	<xsl:variable name="i18n.Date.Month.February">Februari</xsl:variable>
	<xsl:variable name="i18n.Date.Month.March">Mars</xsl:variable>
	<xsl:variable name="i18n.Date.Month.April">April</xsl:variable>
	<xsl:variable name="i18n.Date.Month.May">Maj</xsl:variable>
	<xsl:variable name="i18n.Date.Month.June">Juni</xsl:variable>
	<xsl:variable name="i18n.Date.Month.July">Juli</xsl:variable>
	<xsl:variable name="i18n.Date.Month.August">Augusti</xsl:variable>
	<xsl:variable name="i18n.Date.Month.September">September</xsl:variable>
	<xsl:variable name="i18n.Date.Month.October">Oktober</xsl:variable>
	<xsl:variable name="i18n.Date.Month.November">November</xsl:variable>
	<xsl:variable name="i18n.Date.Month.December">December</xsl:variable>

	<xsl:variable name="i18n.Date.DayOfMonth.Title">Datumintervall</xsl:variable>
	<xsl:variable name="i18n.Date.DayOfMonth.Description">Ange inom vilket datumintervall (dag i mnad) som regeln ska kras. Det rcker med att fylla i ett av flten.</xsl:variable>
	<xsl:variable name="i18n.Date.DayOfMonth.Min">Frn och med</xsl:variable>
	<xsl:variable name="i18n.Date.DayOfMonth.Max">Till och med</xsl:variable>
	
	<xsl:variable name="i18n.Validation.MinDayOfMonthBiggerThanMaxDayOfMonth">Frn och med kan inte ha ett strre vrde n till och med</xsl:variable>
	<xsl:variable name="i18n.Validation.NoDayOfMonthRangeSpecified">Du mste fylla i minst ett av datumintervallsflten</xsl:variable>
	
</xsl:stylesheet>
