package com.nordicpeak.flowengine.evaluators.addclosestmanagerasflowinstancemanagerevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class AddClosestManagerAsFlowInstanceManagerEvaluatorCRUD extends BaseEvaluatorCRUD<AddClosestManagerAsFlowInstanceManagerEvaluator, AddClosestManagerAsFlowInstanceManagerEvaluationProviderModule> {

	private static final BeanRequestPopulator<AddClosestManagerAsFlowInstanceManagerEvaluator> POPULATOR = new AnnotatedRequestPopulator<AddClosestManagerAsFlowInstanceManagerEvaluator>(AddClosestManagerAsFlowInstanceManagerEvaluator.class);

	public AddClosestManagerAsFlowInstanceManagerEvaluatorCRUD(Class<AddClosestManagerAsFlowInstanceManagerEvaluator> beanClass, AnnotatedDAOWrapper<AddClosestManagerAsFlowInstanceManagerEvaluator, Integer> evaluatorDAO, AddClosestManagerAsFlowInstanceManagerEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "AddClosestManagerAsFlowInstanceManagerEvaluator", "change flow instance owner evaluator", null, callback);
	}
	
}
