<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:import href="classpath://com/nordicpeak/flowengine/BaseFlowModule.sv.xsl"/>
	
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="AddFlowInstanceAsManagerModuleTemplates.xsl"/>
	
	<xsl:variable name="java.adminExtensionViewTitle">Lgg till rende</xsl:variable>
	<xsl:variable name="java.preparedByManger">rende pbrjat av handlggare</xsl:variable>
	<xsl:variable name="java.submittedByManger">Inskickat av handlggare</xsl:variable>
	<xsl:variable name="java.submittedByMangerSigningSkipped">Inskickat av handlggare (ej signerat)</xsl:variable>
	<xsl:variable name="java.overviewExtensionLinkTitle">Lgg till rende</xsl:variable>
	
	<xsl:variable name="i18n.flowName">E-tjnst</xsl:variable>
	<xsl:variable name="i18n.versions">Versioner</xsl:variable>
		
	<xsl:variable name="i18n.Flowslist.title">Lgg till rende</xsl:variable>
	<xsl:variable name="i18n.Flowlist.description">I tabellen nedan visas samtliga aktiverade e-tjnster som du r handlggare fr. Vlj den e-tjnst som du vill lgga till ett rende fr.</xsl:variable>
	
	<xsl:variable name="i18n.Add">Skapa nytt rende</xsl:variable>
	<xsl:variable name="i18n.Add.title">Skapa rende</xsl:variable>
	<xsl:variable name="i18n.Add.description">Vlj om du vill att rendet ska synas p mina sidor</xsl:variable>
	<xsl:variable name="i18n.Add.Anonymous">Inte synligt p skandes mina sidor</xsl:variable>
	<xsl:variable name="i18n.Add.NotAnonymous">Synligt p skandes mina sidor</xsl:variable>
	<xsl:variable name="i18n.Add.UserByCitizenID">, vlj anvndare via personnummer</xsl:variable>
	<xsl:variable name="i18n.Add.UserByUsername">, vlj anvndare via anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Add.citizenID">Personnummer p anvndaren (MMDD-XXXX)</xsl:variable>
	<xsl:variable name="i18n.Add.username">Anvndarnamn p anvndaren</xsl:variable>
	
	<xsl:variable name="i18n.flowType">Kategori</xsl:variable>
	<xsl:variable name="i18n.SubmittedInstances">Insk. renden</xsl:variable>
	<xsl:variable name="i18n.NotSubmittedInstances">Ej insk. renden</xsl:variable>
	<xsl:variable name="i18n.noFlowsFound">Inga e-tjnster hittades.</xsl:variable>
	<xsl:variable name="i18n.Filter">Filtrera e-tjnster</xsl:variable>
	<xsl:variable name="i18n.Back">Bakt</xsl:variable>

	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>
	
	<xsl:variable name="i18n.Validation.FlowFamilyNotFound">Den begrda e-tjnsten hittades inte.</xsl:variable>
	<xsl:variable name="i18n.Validation.FlowFamilyAccessDenied">Du har inte behrighet att komma t den begrda e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.Validation.NoEnabledFlows">Den begrda e-tjnsten har ingen aktiverad version.</xsl:variable>
	<xsl:variable name="i18n.Validation.NoPublishedFlows">Den begrda e-tjnsten har ingen publicerad version.</xsl:variable>
	<xsl:variable name="i18n.Validation.UserFound">Det finns redan en anvndare fr det inmatade personnumret.</xsl:variable>
	<xsl:variable name="i18n.Validation.UserNotFoundByUsername">Ingen anvndare hittades fr det inmatade anvndarnamnet.</xsl:variable>
	<xsl:variable name="i18n.Validation.UserNotFoundByCitizenID">Ingen anvndare hittades fr det inmatade personnumret.</xsl:variable>
	
	<xsl:variable name="i18n.UpdateSettings.Title">Lgg till rende instllningar fr e-tjnsten</xsl:variable>
	<xsl:variable name="i18n.UpdateSettings.description">Instllningarna nedan styr om handlggarna fr denna e-tjnst fr lgga till renden fr andra anvndare. Tnk p att kontrollera eventuell juridik gllande personuppgifter som kan hmtas eller hanteras i e-tjnsten innan denna funktion aktiveras. Tnk ocks p att handlggare med begrnsad behrighet eventuellt inte kommer att kunna se inskickade renden, om du inte konfigurerat det s.</xsl:variable>
	<xsl:variable name="i18n.UpdateSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeleteSettings.Confirm">r du sker p att du vill ta bort lgg till rende fr den hr e-tjnsten?</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.NoSettings">Handlggare fr inte lgga till renden fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UsesManagerAddFlowInstances">Handlggare fr lgga till renden fr den hr e-tjnsten.</xsl:variable>
	
	<xsl:variable name="i18n.Settings.AnonymousBased">Lgg till rende utan mina sidor</xsl:variable>
	<xsl:variable name="i18n.Settings.UsernameBased">Lgg till rende baserat p anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Settings.CitizenIDBased">Lgg till rende baserat p personnummer</xsl:variable>
	<xsl:variable name="i18n.Settings.Other">vriga instllningar</xsl:variable>
	<xsl:variable name="i18n.Settings.Notifications">Notifieringar</xsl:variable>
	
	<xsl:variable name="i18n.Settings.allowInternalUsers">Handlggare fr lgga till renden fr anvndare som redan har ett anvndarkonto</xsl:variable>
	<xsl:variable name="i18n.Settings.allowAnonymous">Handlggare fr lgga till renden som icke inloggad anvndare (rendena syns d inte p mina sidor)</xsl:variable>
	<xsl:variable name="i18n.Settings.allowExistingUsers">Handlggare fr lgga till renden fr anvndare som redan har ett anvndarkonto</xsl:variable>
	<xsl:variable name="i18n.Settings.allowCreatingUsers">Handlggare fr lgga till renden fr anvndare som inte har ett anvndarkonto (nytt konto skapas automatisk)</xsl:variable>
	<xsl:variable name="i18n.Settings.allowRestrictedManagers">Tillt handlggare med begrnsad behrighet att lgga till renden</xsl:variable>
	<xsl:variable name="i18n.Settings.suppressSubmittedUserSubmitNotification">Stng av notifieringar vid inskickat rende fr skande</xsl:variable>
	<xsl:variable name="i18n.Settings.suppressManagersSubmitNotification">Stng av notifieringar vid inskickat rende fr samtliga behriga handlggare</xsl:variable>
	<xsl:variable name="i18n.Settings.suppressArchiveNotification">Stng av notifieringar vid avslutat rende fr skande</xsl:variable>
	
	<xsl:variable name="i18n.FlowInstanceSubmitted.1">rende</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceSubmitted.2">inskickat!</xsl:variable>
	<xsl:variable name="i18n.FlowInstanceSaved">rende sparat till skandes mina sidor!</xsl:variable>
	
	<xsl:variable name="i18n.Settings.version">Versionsinstllningar</xsl:variable>
	<xsl:variable name="i18n.Settings.useLatestEnabledFlow">Lgg till renden p senaste aktiverade version</xsl:variable>
	<xsl:variable name="i18n.Settings.useLatestEnabledAndPublishedFlow">Lgg till renden p senaste aktiverade och publicerade version</xsl:variable>
</xsl:stylesheet>
