package com.nordicpeak.flowengine.alternativelist.interfaces;

import java.util.List;

import se.unlogic.hierarchy.core.beans.User;
import se.unlogic.hierarchy.core.interfaces.attributes.AttributeHandler;

import com.nordicpeak.flowengine.alternativelist.beans.AlternativeListDescriptor;

public interface AlternativeListProvider {
	
	public String getProviderName();
	
	public String getProviderID();
	
	public boolean equals(AlternativeListProvider other);
	
	public AlternativeListDescriptor getAlternativeList(String listName);
	
	public List<AlternativeListDescriptor> getAlternativeLists();

	public AlternativeListInstance getAlternativeListInstance(String name, AttributeHandler attributeHandler, User poster);
}
