package com.nordicpeak.flowengine.queries.basetablequery.interfaces;

import java.math.BigDecimal;

import se.unlogic.standardutils.xml.Elementable;

public interface TableColumn extends Elementable {

	Integer getColumnID();

	String getLabel();

	boolean isSummarise();

	/** Returns null if sum is not calculated or could not be calculated
	 * 
	 * @return */
	BigDecimal getSum();
}
