
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hf06NuvarandeTidigareAgareListaResultat complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hf06NuvarandeTidigareAgareListaResultat">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilResultat">
 *       &lt;sequence>
 *         &lt;element name="fi10" type="{http://infobilv3.webservices.infotorg.se/}fi10" minOccurs="0"/>
 *         &lt;element name="fs11" type="{http://infobilv3.webservices.infotorg.se/}fs11" minOccurs="0"/>
 *         &lt;element name="fv12" type="{http://infobilv3.webservices.infotorg.se/}fv12" minOccurs="0"/>
 *         &lt;element name="lg01" type="{http://infobilv3.webservices.infotorg.se/}lg01" minOccurs="0"/>
 *         &lt;element name="lg02" type="{http://infobilv3.webservices.infotorg.se/}lg02" minOccurs="0"/>
 *         &lt;element name="fg01" type="{http://infobilv3.webservices.infotorg.se/}fg01" minOccurs="0"/>
 *         &lt;element name="fg02" type="{http://infobilv3.webservices.infotorg.se/}fg02" minOccurs="0"/>
 *         &lt;element name="br01" type="{http://infobilv3.webservices.infotorg.se/}br01" minOccurs="0"/>
 *         &lt;element name="br02" type="{http://infobilv3.webservices.infotorg.se/}br02" minOccurs="0"/>
 *         &lt;element name="ag01" type="{http://infobilv3.webservices.infotorg.se/}ag01" minOccurs="0"/>
 *         &lt;element name="ag02" type="{http://infobilv3.webservices.infotorg.se/}ag02" minOccurs="0"/>
 *         &lt;element name="foregaendeAgare" type="{http://infobilv3.webservices.infotorg.se/}person" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OLTP_huvud" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="O_Nyckel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NuvarandeAgare" type="{http://infobilv3.webservices.infotorg.se/}person" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hf06NuvarandeTidigareAgareListaResultat", propOrder = {
    "fi10",
    "fs11",
    "fv12",
    "lg01",
    "lg02",
    "fg01",
    "fg02",
    "br01",
    "br02",
    "ag01",
    "ag02",
    "foregaendeAgare",
    "oltpHuvud",
    "oNyckel",
    "nuvarandeAgare"
})
public class Hf06NuvarandeTidigareAgareListaResultat
    extends InfobilResultat
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Fi10 fi10;
    protected Fs11 fs11;
    protected Fv12 fv12;
    protected Lg01 lg01;
    protected Lg02 lg02;
    protected Fg01 fg01;
    protected Fg02 fg02;
    protected Br01 br01;
    protected Br02 br02;
    protected Ag01 ag01;
    protected Ag02 ag02;
    @XmlElement(nillable = true)
    protected List<Person> foregaendeAgare;
    @XmlElement(name = "OLTP_huvud")
    protected String oltpHuvud;
    @XmlElement(name = "O_Nyckel")
    protected String oNyckel;
    @XmlElement(name = "NuvarandeAgare")
    protected Person nuvarandeAgare;

    /**
     * Gets the value of the fi10 property.
     * 
     * @return
     *     possible object is
     *     {@link Fi10 }
     * 
     */
    public Fi10 getFi10() {
        return fi10;
    }

    /**
     * Sets the value of the fi10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fi10 }
     * 
     */
    public void setFi10(Fi10 value) {
        this.fi10 = value;
    }

    /**
     * Gets the value of the fs11 property.
     * 
     * @return
     *     possible object is
     *     {@link Fs11 }
     * 
     */
    public Fs11 getFs11() {
        return fs11;
    }

    /**
     * Sets the value of the fs11 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fs11 }
     * 
     */
    public void setFs11(Fs11 value) {
        this.fs11 = value;
    }

    /**
     * Gets the value of the fv12 property.
     * 
     * @return
     *     possible object is
     *     {@link Fv12 }
     * 
     */
    public Fv12 getFv12() {
        return fv12;
    }

    /**
     * Sets the value of the fv12 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fv12 }
     * 
     */
    public void setFv12(Fv12 value) {
        this.fv12 = value;
    }

    /**
     * Gets the value of the lg01 property.
     * 
     * @return
     *     possible object is
     *     {@link Lg01 }
     * 
     */
    public Lg01 getLg01() {
        return lg01;
    }

    /**
     * Sets the value of the lg01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Lg01 }
     * 
     */
    public void setLg01(Lg01 value) {
        this.lg01 = value;
    }

    /**
     * Gets the value of the lg02 property.
     * 
     * @return
     *     possible object is
     *     {@link Lg02 }
     * 
     */
    public Lg02 getLg02() {
        return lg02;
    }

    /**
     * Sets the value of the lg02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Lg02 }
     * 
     */
    public void setLg02(Lg02 value) {
        this.lg02 = value;
    }

    /**
     * Gets the value of the fg01 property.
     * 
     * @return
     *     possible object is
     *     {@link Fg01 }
     * 
     */
    public Fg01 getFg01() {
        return fg01;
    }

    /**
     * Sets the value of the fg01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fg01 }
     * 
     */
    public void setFg01(Fg01 value) {
        this.fg01 = value;
    }

    /**
     * Gets the value of the fg02 property.
     * 
     * @return
     *     possible object is
     *     {@link Fg02 }
     * 
     */
    public Fg02 getFg02() {
        return fg02;
    }

    /**
     * Sets the value of the fg02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fg02 }
     * 
     */
    public void setFg02(Fg02 value) {
        this.fg02 = value;
    }

    /**
     * Gets the value of the br01 property.
     * 
     * @return
     *     possible object is
     *     {@link Br01 }
     * 
     */
    public Br01 getBr01() {
        return br01;
    }

    /**
     * Sets the value of the br01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Br01 }
     * 
     */
    public void setBr01(Br01 value) {
        this.br01 = value;
    }

    /**
     * Gets the value of the br02 property.
     * 
     * @return
     *     possible object is
     *     {@link Br02 }
     * 
     */
    public Br02 getBr02() {
        return br02;
    }

    /**
     * Sets the value of the br02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Br02 }
     * 
     */
    public void setBr02(Br02 value) {
        this.br02 = value;
    }

    /**
     * Gets the value of the ag01 property.
     * 
     * @return
     *     possible object is
     *     {@link Ag01 }
     * 
     */
    public Ag01 getAg01() {
        return ag01;
    }

    /**
     * Sets the value of the ag01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ag01 }
     * 
     */
    public void setAg01(Ag01 value) {
        this.ag01 = value;
    }

    /**
     * Gets the value of the ag02 property.
     * 
     * @return
     *     possible object is
     *     {@link Ag02 }
     * 
     */
    public Ag02 getAg02() {
        return ag02;
    }

    /**
     * Sets the value of the ag02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ag02 }
     * 
     */
    public void setAg02(Ag02 value) {
        this.ag02 = value;
    }

    /**
     * Gets the value of the foregaendeAgare property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the foregaendeAgare property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getForegaendeAgare().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Person }
     * 
     * 
     */
    public List<Person> getForegaendeAgare() {
        if (foregaendeAgare == null) {
            foregaendeAgare = new ArrayList<Person>();
        }
        return this.foregaendeAgare;
    }

    /**
     * Gets the value of the oltpHuvud property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getOLTPHuvud() {
        return oltpHuvud;
    }

    /**
     * Sets the value of the oltpHuvud property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setOLTPHuvud(String value) {
        this.oltpHuvud = value;
    }

    /**
     * Gets the value of the oNyckel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getONyckel() {
        return oNyckel;
    }

    /**
     * Sets the value of the oNyckel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setONyckel(String value) {
        this.oNyckel = value;
    }

    /**
     * Gets the value of the nuvarandeAgare property.
     * 
     * @return
     *     possible object is
     *     {@link Person }
     * 
     */
    public Person getNuvarandeAgare() {
        return nuvarandeAgare;
    }

    /**
     * Sets the value of the nuvarandeAgare property.
     * 
     * @param value
     *     allowed object is
     *     {@link Person }
     * 
     */
    public void setNuvarandeAgare(Person value) {
        this.nuvarandeAgare = value;
    }

}
