
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ht04TextkoderFritexterResultat complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ht04TextkoderFritexterResultat">
 *   &lt;complexContent>
 *     &lt;extension base="{http://infobilv3.webservices.infotorg.se/}infobilResultat">
 *       &lt;sequence>
 *         &lt;element name="fi10" type="{http://infobilv3.webservices.infotorg.se/}fi10" minOccurs="0"/>
 *         &lt;element name="ft61" type="{http://infobilv3.webservices.infotorg.se/}ft61" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="ft97" type="{http://infobilv3.webservices.infotorg.se/}ft97" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="o_Nyckel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="OLTP_huvud" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dispRegnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="modellnr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ht04TextkoderFritexterResultat", propOrder = {
    "fi10",
    "ft61",
    "ft97",
    "oNyckel",
    "oltpHuvud",
    "dispRegnr",
    "modellnr"
})
public class Ht04TextkoderFritexterResultat
    extends InfobilResultat
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected Fi10 fi10;
    @XmlElement(nillable = true)
    protected List<Ft61> ft61;
    @XmlElement(nillable = true)
    protected List<Ft97> ft97;
    @XmlElement(name = "o_Nyckel")
    protected String oNyckel;
    @XmlElement(name = "OLTP_huvud")
    protected String oltpHuvud;
    protected String dispRegnr;
    protected String modellnr;

    /**
     * Gets the value of the fi10 property.
     * 
     * @return
     *     possible object is
     *     {@link Fi10 }
     * 
     */
    public Fi10 getFi10() {
        return fi10;
    }

    /**
     * Sets the value of the fi10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fi10 }
     * 
     */
    public void setFi10(Fi10 value) {
        this.fi10 = value;
    }

    /**
     * Gets the value of the ft61 property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ft61 property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFt61().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Ft61 }
     * 
     * 
     */
    public List<Ft61> getFt61() {
        if (ft61 == null) {
            ft61 = new ArrayList<Ft61>();
        }
        return this.ft61;
    }

    /**
     * Gets the value of the ft97 property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ft97 property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFt97().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Ft97 }
     * 
     * 
     */
    public List<Ft97> getFt97() {
        if (ft97 == null) {
            ft97 = new ArrayList<Ft97>();
        }
        return this.ft97;
    }

    /**
     * Gets the value of the oNyckel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getONyckel() {
        return oNyckel;
    }

    /**
     * Sets the value of the oNyckel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setONyckel(String value) {
        this.oNyckel = value;
    }

    /**
     * Gets the value of the oltpHuvud property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getOLTPHuvud() {
        return oltpHuvud;
    }

    /**
     * Sets the value of the oltpHuvud property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setOLTPHuvud(String value) {
        this.oltpHuvud = value;
    }

    /**
     * Gets the value of the dispRegnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getDispRegnr() {
        return dispRegnr;
    }

    /**
     * Sets the value of the dispRegnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setDispRegnr(String value) {
        this.dispRegnr = value;
    }

    /**
     * Gets the value of the modellnr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getModellnr() {
        return modellnr;
    }

    /**
     * Sets the value of the modellnr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setModellnr(String value) {
        this.modellnr = value;
    }

}
