
package se.infotorg.webservices.infobilv3;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for measureWeight complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="measureWeight">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="axelLoadF" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="axelLoadR" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="curbweight" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="frontAxel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="grounClearance" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="height" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="lenght" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="loadArea" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="loadVol" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="maxLoad" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="roofWeight" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="tank" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="totweight" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="trackF" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="trackR" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="trailer1" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="trailer2" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="turnCirc" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="WDispF" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="WDispR" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="wheelBas" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *         &lt;element name="width" type="{http://infobilv3.webservices.infotorg.se/}stringUnit" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "measureWeight", propOrder = {
    "axelLoadF",
    "axelLoadR",
    "curbweight",
    "frontAxel",
    "grounClearance",
    "height",
    "lenght",
    "loadArea",
    "loadVol",
    "maxLoad",
    "roofWeight",
    "tank",
    "totweight",
    "trackF",
    "trackR",
    "trailer1",
    "trailer2",
    "turnCirc",
    "wDispF",
    "wDispR",
    "wheelBas",
    "width"
})
public class MeasureWeight
    implements Serializable
{
	private static final long serialVersionUID = 1L;
	
    protected String axelLoadF;
    protected String axelLoadR;
    protected StringUnit curbweight;
    protected String frontAxel;
    protected StringUnit grounClearance;
    protected StringUnit height;
    protected StringUnit lenght;
    protected String loadArea;
    protected String loadVol;
    protected StringUnit maxLoad;
    protected StringUnit roofWeight;
    protected StringUnit tank;
    protected StringUnit totweight;
    protected StringUnit trackF;
    protected StringUnit trackR;
    protected StringUnit trailer1;
    protected StringUnit trailer2;
    protected StringUnit turnCirc;
    @XmlElement(name = "WDispF")
    protected String wDispF;
    @XmlElement(name = "WDispR")
    protected String wDispR;
    protected StringUnit wheelBas;
    protected StringUnit width;

    /**
     * Gets the value of the axelLoadF property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getAxelLoadF() {
        return axelLoadF;
    }

    /**
     * Sets the value of the axelLoadF property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setAxelLoadF(String value) {
        this.axelLoadF = value;
    }

    /**
     * Gets the value of the axelLoadR property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getAxelLoadR() {
        return axelLoadR;
    }

    /**
     * Sets the value of the axelLoadR property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setAxelLoadR(String value) {
        this.axelLoadR = value;
    }

    /**
     * Gets the value of the curbweight property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getCurbweight() {
        return curbweight;
    }

    /**
     * Sets the value of the curbweight property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setCurbweight(StringUnit value) {
        this.curbweight = value;
    }

    /**
     * Gets the value of the frontAxel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getFrontAxel() {
        return frontAxel;
    }

    /**
     * Sets the value of the frontAxel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setFrontAxel(String value) {
        this.frontAxel = value;
    }

    /**
     * Gets the value of the grounClearance property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getGrounClearance() {
        return grounClearance;
    }

    /**
     * Sets the value of the grounClearance property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setGrounClearance(StringUnit value) {
        this.grounClearance = value;
    }

    /**
     * Gets the value of the height property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getHeight() {
        return height;
    }

    /**
     * Sets the value of the height property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setHeight(StringUnit value) {
        this.height = value;
    }

    /**
     * Gets the value of the lenght property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getLenght() {
        return lenght;
    }

    /**
     * Sets the value of the lenght property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setLenght(StringUnit value) {
        this.lenght = value;
    }

    /**
     * Gets the value of the loadArea property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getLoadArea() {
        return loadArea;
    }

    /**
     * Sets the value of the loadArea property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setLoadArea(String value) {
        this.loadArea = value;
    }

    /**
     * Gets the value of the loadVol property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getLoadVol() {
        return loadVol;
    }

    /**
     * Sets the value of the loadVol property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setLoadVol(String value) {
        this.loadVol = value;
    }

    /**
     * Gets the value of the maxLoad property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getMaxLoad() {
        return maxLoad;
    }

    /**
     * Sets the value of the maxLoad property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setMaxLoad(StringUnit value) {
        this.maxLoad = value;
    }

    /**
     * Gets the value of the roofWeight property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getRoofWeight() {
        return roofWeight;
    }

    /**
     * Sets the value of the roofWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setRoofWeight(StringUnit value) {
        this.roofWeight = value;
    }

    /**
     * Gets the value of the tank property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTank() {
        return tank;
    }

    /**
     * Sets the value of the tank property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTank(StringUnit value) {
        this.tank = value;
    }

    /**
     * Gets the value of the totweight property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTotweight() {
        return totweight;
    }

    /**
     * Sets the value of the totweight property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTotweight(StringUnit value) {
        this.totweight = value;
    }

    /**
     * Gets the value of the trackF property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTrackF() {
        return trackF;
    }

    /**
     * Sets the value of the trackF property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTrackF(StringUnit value) {
        this.trackF = value;
    }

    /**
     * Gets the value of the trackR property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTrackR() {
        return trackR;
    }

    /**
     * Sets the value of the trackR property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTrackR(StringUnit value) {
        this.trackR = value;
    }

    /**
     * Gets the value of the trailer1 property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTrailer1() {
        return trailer1;
    }

    /**
     * Sets the value of the trailer1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTrailer1(StringUnit value) {
        this.trailer1 = value;
    }

    /**
     * Gets the value of the trailer2 property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTrailer2() {
        return trailer2;
    }

    /**
     * Sets the value of the trailer2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTrailer2(StringUnit value) {
        this.trailer2 = value;
    }

    /**
     * Gets the value of the turnCirc property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getTurnCirc() {
        return turnCirc;
    }

    /**
     * Sets the value of the turnCirc property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setTurnCirc(StringUnit value) {
        this.turnCirc = value;
    }

    /**
     * Gets the value of the wDispF property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getWDispF() {
        return wDispF;
    }

    /**
     * Sets the value of the wDispF property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setWDispF(String value) {
        this.wDispF = value;
    }

    /**
     * Gets the value of the wDispR property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getWDispR() {
        return wDispR;
    }

    /**
     * Sets the value of the wDispR property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setWDispR(String value) {
        this.wDispR = value;
    }

    /**
     * Gets the value of the wheelBas property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getWheelBas() {
        return wheelBas;
    }

    /**
     * Sets the value of the wheelBas property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setWheelBas(StringUnit value) {
        this.wheelBas = value;
    }

    /**
     * Gets the value of the width property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     * 
     */
    public StringUnit getWidth() {
        return width;
    }

    /**
     * Sets the value of the width property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     * 
     */
    public void setWidth(StringUnit value) {
        this.width = value;
    }

}
