<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="BookingCommonTemplates.xsl"/>
	
	<xsl:variable name="java.eventAdminSubmittedMessage">Bokning registrerad av handlggare</xsl:variable>
	<xsl:variable name="java.eventAdminRestoredMessage">Bokning terstlld av handlggare</xsl:variable>
	<xsl:variable name="java.eventLeaveMessage">Tid avbokad</xsl:variable>
	<xsl:variable name="i18n.eventCustomerMessageSent">Meddelande skickat till handlggare</xsl:variable>
	<xsl:variable name="i18n.eventManagerMessageSent">Meddelande skickat till dig</xsl:variable>
	<xsl:variable name="java.eventArchiveMessage">Tid avbokad</xsl:variable>
	<xsl:variable name="java.eventSeeExternalMessage">, se kommentar i Meddelanden</xsl:variable>
	<xsl:variable name="java.eventSeeInternalMessage">, se kommentar i Interna noteringar</xsl:variable>
	<xsl:variable name="java.eventChangedBookingSlot1">Bytt frn</xsl:variable>
	<xsl:variable name="java.eventChangedBookingSlot2">till</xsl:variable>
	
	<xsl:variable name="java.externalMessageLeave">Meddelande vid uttrde ur kalender</xsl:variable>
	
	<xsl:variable name="js.Calendar.PreviousMonth">Fregende mnad</xsl:variable>
	<xsl:variable name="js.Calendar.PreviousMonthShort">Fregende</xsl:variable>
	<xsl:variable name="js.Calendar.NextMonth">Nsta mnad</xsl:variable>
	<xsl:variable name="js.Calendar.NextMonthShort">Nsta</xsl:variable>
	<xsl:variable name="js.Calendar.PreviousWeek">Fregende vecka</xsl:variable>
	<xsl:variable name="js.Calendar.PreviousWeekShort">Fregende</xsl:variable>
	<xsl:variable name="js.Calendar.NextWeek">Nsta vecka</xsl:variable>
	<xsl:variable name="js.Calendar.NextWeekShort">Nsta</xsl:variable>
	<xsl:variable name="js.Calendar.OneSlot">plats kvar</xsl:variable>
	<xsl:variable name="js.Calendar.MultipleSlots">platser kvar</xsl:variable>
	<xsl:variable name="js.Calendar.Free">Ledig</xsl:variable>
	<xsl:variable name="js.Calendar.Booked">Bokad</xsl:variable>
	<xsl:variable name="js.Calendar.DescriptionTitle">Information om tillfllet</xsl:variable>
	<xsl:variable name="js.Calendar.ManagersTitle">Handlggare</xsl:variable>
	<xsl:variable name="js.Calendar.LocationTitle">Plats</xsl:variable>
	<xsl:variable name="js.Calendar.BookingsTitle">Bokningar</xsl:variable>
	
	<xsl:variable name="i18n.SubmittedEvent">Bokning tillagd</xsl:variable>
	<xsl:variable name="i18n.PayedEvent">Betalning</xsl:variable>
	<xsl:variable name="i18n.MessageEvent">Meddelande</xsl:variable>
	<xsl:variable name="i18n.ArchivedEvent">Avbokad</xsl:variable>
	<xsl:variable name="i18n.ChangedSlotEvent">Byte av tid</xsl:variable>
	<xsl:variable name="i18n.SlotPassedEvent">Tiden har passerat</xsl:variable>
	<xsl:variable name="i18n.OtherEvent">Annan hndelse</xsl:variable>
	
	<xsl:variable name="i18n.ExternalMessage.Type.ENTRANCE">Kommentar vid bokning av tid</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.MANUAL_ENTRANCE">Kommentar vid registrering av bokning</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.RESTORE"> Kommentar vid terstllning av bokning</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.ARCHIVE_BY_USER">Kommentar vid avbokning av tid</xsl:variable>
	<xsl:variable name="i18n.ExternalMessage.Type.ARCHIVE_BY_MANAGER">Kommentar vid avbokning av tid</xsl:variable>
	
	<xsl:variable name="i18n.InternalMessage.Type.RESTORE"> Kommentar vid terstllning av bokning</xsl:variable>
	<xsl:variable name="i18n.InternalMessage.Type.ARCHIVE_BY_MANAGER">Kommentar vid avbokning av tid</xsl:variable>
	
	<xsl:variable name="i18n.validationError.RequiredField">Du mste fylla i fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.InvalidFormat">Felaktigt format p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooLong">Fr lngt vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.TooShort">Fr kort vrde p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.Other">Ett oknt fel p fltet</xsl:variable>
	<xsl:variable name="i18n.validationError.unknownMessageKey">Ett oknt fel har uppsttt</xsl:variable>
	
	<xsl:variable name="i18n.FileSizeLimitExceeded.part1">Filen </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part2"> har en storlek p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part3"> vilket verskrider den maximalt tilltna filstorleken p </xsl:variable>
	<xsl:variable name="i18n.FileSizeLimitExceeded.part4">.</xsl:variable>
	
	<xsl:variable name="i18n.ValidationError.UnableToParseRequest">Ett oknt fel uppstod vid filuppladdningen</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageRequired">Du mste skriva ett meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageToLong">Du har skrivit ett fr lngt meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.ExternalMessageToShort">Du har skrivit ett fr kort meddelande</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageRequired">Du mste skriva en notering</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageToLong">Du har skrivit en fr lng notering</xsl:variable>
	<xsl:variable name="i18n.ValidationError.InternalMessageToShort">Du har skrivit en fr kort notering</xsl:variable>
	
	<xsl:variable name="i18n.Calendar.Name">Kalender</xsl:variable>
	<xsl:variable name="i18n.Calendar.Enabled">Aktiverad</xsl:variable>
	<xsl:variable name="i18n.Calendar.Profile">Profil</xsl:variable>
	<xsl:variable name="i18n.Calendar.ViewMode">Visningslge vid bokning</xsl:variable>
	<xsl:variable name="i18n.Calendar.ViewMode.Calendar">Kalender</xsl:variable>
	<xsl:variable name="i18n.Calendar.ViewMode.List">Lista</xsl:variable>
	<xsl:variable name="i18n.Calendar.ViewMode.Toggle">Valbart</xsl:variable>
	<xsl:variable name="i18n.Calendar.WeekView">Standardvy i kalenderlge</xsl:variable>
	<xsl:variable name="i18n.Calendar.WeekView.Month">Mnad</xsl:variable>
	<xsl:variable name="i18n.Calendar.WeekView.Week">Vecka</xsl:variable>
	<xsl:variable name="i18n.Calendar.Price">Pris</xsl:variable>
	<xsl:variable name="i18n.Calendar.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Calendar.ActiveBookings">Aktiva bokn.</xsl:variable>
	<xsl:variable name="i18n.Calendar.BookingSlotCount">Bokn.tillfllen</xsl:variable>
	<xsl:variable name="i18n.Calendar.SlotLength">Passlngd i minuter</xsl:variable>
	
	<xsl:variable name="i18n.Booking.Added">Anskningsdatum</xsl:variable>
	<xsl:variable name="i18n.Booking.Size">Platser</xsl:variable>
	<xsl:variable name="i18n.Booking.Rebooked">Ombokad</xsl:variable>
	<xsl:variable name="i18n.Booking.Poster">Skande</xsl:variable>
	<xsl:variable name="i18n.Booking.Digital">Digital</xsl:variable>
	<xsl:variable name="i18n.Booking.DigitalNotContactable">Inga kontaktuppgifter</xsl:variable>
	<xsl:variable name="i18n.Booking.FlowInstanceURL">Lnk till rende</xsl:variable>
	<xsl:variable name="i18n.Booking.URL">Lnk till bokning</xsl:variable>
	<xsl:variable name="i18n.Booking.Comment">Kommentar</xsl:variable>
	<xsl:variable name="i18n.Booking.Archived">Avbokad</xsl:variable>
	<xsl:variable name="i18n.Booking.Preliminary">Preliminr bokning (namn visas ej)</xsl:variable>
	<xsl:variable name="i18n.Booking.NoFlowInstance">rende saknas</xsl:variable>
	
	<xsl:variable name="i18n.Comment">Kommentar</xsl:variable>
	
	<xsl:variable name="i18n.BookingSlot.DateAndTime">Datum och tid</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Date">Datum</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Time">Tid</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Added">Skapad</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Updated">Uppdaterad</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Poster">Skapad av</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Updater">Uppdaterad av</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Managers">Handlggare</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Size">Antal platser</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.ParallelSlots">Parallella tider</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Repeating">terkommande</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Description">Information om tillfllet</xsl:variable>
	<xsl:variable name="i18n.BookingSlot.Location">Plats</xsl:variable>
	
	<xsl:variable name="i18n.BookingEvents">Historik</xsl:variable>
	<xsl:variable name="i18n.Action">Hndelse</xsl:variable>
	<xsl:variable name="i18n.Details">Detaljer</xsl:variable>
	<xsl:variable name="i18n.Date">Datum</xsl:variable>
	
	<xsl:variable name="i18n.Person">Person</xsl:variable>
	<xsl:variable name="i18n.NoEvents">Inga hndelser hittades</xsl:variable>
	
	<xsl:variable name="i18n.Message">Meddelande</xsl:variable>
	<xsl:variable name="i18n.AttachFiles">Bifoga filer</xsl:variable>
	<xsl:variable name="i18n.Close">Stng</xsl:variable>
	<xsl:variable name="i18n.close">stng</xsl:variable>
	<xsl:variable name="i18n.ChooseFiles">Vlj filer</xsl:variable>
	<xsl:variable name="i18n.MaximumFileSize">Maximal filstorlek vid uppladdning</xsl:variable>
	<xsl:variable name="i18n.SubmitMessage">Skicka meddelande</xsl:variable>
	<xsl:variable name="i18n.DeleteFile">Ta bort fil</xsl:variable>
	
	<xsl:variable name="i18n.InternalMessages">Interna noteringar</xsl:variable>
	<xsl:variable name="i18n.SubmitInternalMessage">Spara notering</xsl:variable>
	<xsl:variable name="i18n.InternalMessage">Notering</xsl:variable>
	<xsl:variable name="i18n.NewInternalMessage">Ny notering</xsl:variable>
	<xsl:variable name="i18n.InternalMessagesTitle">Noteringar</xsl:variable>
	<xsl:variable name="i18n.NoInternalMessages">Inga noteringar</xsl:variable>
	<xsl:variable name="i18n.ExternalMessages">Meddelanden</xsl:variable>
	<xsl:variable name="i18n.NoExternalMessages">Inga meddelanden</xsl:variable>
	<xsl:variable name="i18n.NewMessage">Nytt meddelande</xsl:variable>
	
	<xsl:variable name="i18n.CancelConfirm">r du sker p att du vill avbryta</xsl:variable>
	<xsl:variable name="i18n.Cancel">Avbryt</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.Yes">Ja</xsl:variable>
	<xsl:variable name="i18n.No">Nej</xsl:variable>
	<xsl:variable name="i18n.By">av</xsl:variable>
	
	<xsl:variable name="i18n.Filter">Sk</xsl:variable>
	<xsl:variable name="i18n.OpenDatePicker">ppna datumvljare</xsl:variable>
	
	<xsl:variable name="i18n.AnonymousUser">Anonym anvndare</xsl:variable>
	
	<xsl:variable name="i18n.And">och</xsl:variable>
	<xsl:variable name="i18n.XMore">till..</xsl:variable>
	
	<xsl:variable name="i18n.BookingSizeSelector.Size">Antal platser</xsl:variable>
	<xsl:variable name="i18n.BookingSizeSelector.SelectSize">Vlj antal platser</xsl:variable>
	<xsl:variable name="i18n.BookingSizeSelector.OneSlot">plats kvar</xsl:variable>
	<xsl:variable name="i18n.BookingSizeSelector.MultipleSlots">platser kvar</xsl:variable>

</xsl:stylesheet>
