<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>
	
	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>
	<xsl:include href="BookingCommon.sv.xsl"/>
	<xsl:include href="CalendarAdminModuleTemplates.xsl"/>
	
	<xsl:variable name="java.secondaryContactInternalMessagePrefix">Medskande:</xsl:variable>
	
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	<xsl:variable name="i18n.Delete">Ta bort</xsl:variable>
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Export">Exportera</xsl:variable>
	
	<xsl:variable name="i18n.AddCalendar">Lgg till kalender</xsl:variable>
	<xsl:variable name="i18n.UpdateCalendar">ndra kalender</xsl:variable>
	<xsl:variable name="i18n.ImportCalender">Importera kalender</xsl:variable>
	
	<xsl:variable name="i18n.ImportCalendar.title">Importera kalender</xsl:variable>
	<xsl:variable name="i18n.ImportCalendar.description">Vlj vilken kalender du vill importera. Filen mste vara av typ .oecal.</xsl:variable>
	<xsl:variable name="i18n.selectCalendarFile">Vlj fil</xsl:variable>
	<xsl:variable name="i18n.ImportCalendar.submit">Importera</xsl:variable>
	
	<xsl:variable name="i18n.InvalidFileExtension.Part1">Filen</xsl:variable>
	<xsl:variable name="i18n.InvalidFileExtension.Part2">r av en felaktig filtyp.</xsl:variable>
	<xsl:variable name="i18n.InvalidFileExtension.Part3">Fljande filtyper r tilltna:</xsl:variable>
	
	<xsl:variable name="i18n.Settings.Users">Instllningar fr medborgare</xsl:variable>
	<xsl:variable name="i18n.Settings.Managers">Instllningar fr handlggare</xsl:variable>
	<xsl:variable name="i18n.Settings.Global">Generella instllningar</xsl:variable>
	<xsl:variable name="i18n.Settings.Advanced">Avancerade instllningar</xsl:variable>

	<xsl:variable name="i18n.Calendar.DefaultSlotLength">Standard passlngd i minuter</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowDuration">Visa passlngd istllet fr sluttid</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowManagers">Visa handlggares namn</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowBookings">Visa inbokade medborgares namn i kalendervyn</xsl:variable>
	<xsl:variable name="i18n.Calendar.RequireConfirmation">Krv bekrftelse frn medborgare vid val av tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.LeavingRequiresManagerConfirmation">Krv bekrftelse frn handlggare fr att lmna kalender</xsl:variable>
	<xsl:variable name="i18n.Calendar.Manager.Users">Handlggare - Anvndare</xsl:variable>
	<xsl:variable name="i18n.Calendar.Manager.Groups">Handlggare - Grupper</xsl:variable>
	<xsl:variable name="i18n.Calendar.Admin">Administratr</xsl:variable>
	<xsl:variable name="i18n.Calendar.Admin.Groups">Administratrer - Grupper</xsl:variable>
	<xsl:variable name="i18n.Calendar.MinVisibleDaysRebooking">Vid ombokning visa inte bokningstillfllen som ligger mindre n x dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.Calendar.BookingSlotDefaultDescription">Standardbeskrivning av bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.BookingSlotDefaultLocation">Standardplats fr bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.AllowMultipleBookings">Tillt flera aktiva bokningar frn samma person per kalender</xsl:variable>
	<xsl:variable name="i18n.Calendar.AllowDuplicateBookings">Tillt flera bokningar frn samma person per bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.BookingSizeSelectorEnabled">Aktivera bokning av fler n en plats i taget</xsl:variable>
	<xsl:variable name="i18n.Calendar.AllowUserBookingSizeSelection">Tillt att medborgare bokar fler n en plats i taget</xsl:variable>
	<xsl:variable name="i18n.Calendar.UserBookingMaxSize">Max antal platser per bokning fr medborgare (lmna tomt fr obegrnsat)</xsl:variable>
	<xsl:variable name="i18n.Calendar.AllowPreliminaryBookings">Skapa preliminr bokning vid pbrjad flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.Calendar.HoursPreliminaryBookingsAreValidFor">Antal timmar innan en preliminr bokning tas bort</xsl:variable>
	<xsl:variable name="i18n.Calendar.DisableLeaving">Stng av avbokning</xsl:variable>
	<xsl:variable name="i18n.Calendar.HoursBeforeBookingLocked">Timmar innan en bokning d den inte lngre kan avbokas eller ombokas</xsl:variable>
	<xsl:variable name="i18n.Calendar.DisableRebooking">Stng av ombokning</xsl:variable>
	<xsl:variable name="i18n.Calendar.RestrictRebookingToPreviousManager">Tillt endast ombokning mot tidigare vald handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.RestrictRebookingToCurrentBookingSize">Tillt endast ombokning med samma antal platser</xsl:variable>
	<xsl:variable name="i18n.Calendar.RestrictRebookingToCurrentBookingSize.Forced">Obligatoriskt nr betalning r aktiverat</xsl:variable>
	<xsl:variable name="i18n.Calendar.UseCalendarForInternalUsers">Anvnd kalendern fr interna anvndare</xsl:variable>

	<xsl:variable name="i18n.Calendars">Kalendrar</xsl:variable>
	<xsl:variable name="i18n.NoCalendars">Inga kalendrar hittades</xsl:variable>
	<xsl:variable name="i18n.DeleteConfirm">r du sker p att du vill ta bort</xsl:variable>
	
	<xsl:variable name="i18n.UserNotifications">Notifikationer till medborgare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendEnteredUserSMS">SMS d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExternalMessageReceivedUserSMS">SMS vid nytt meddelande frn handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExitUserSMS">SMS vid avbokning av tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendEnteredUserEmail">E-post d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExternalMessageReceivedUserEmail">E-post vid nytt meddelande frn handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendReminderSMS">SMS-pminnelse innan bokad tid (ange antal minuter)</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExitUserEmail">E-post vid avbokning av tid</xsl:variable>

	<xsl:variable name="i18n.Calendar.SendRebookedUserSMS">SMS vid ombokning av tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendRebookedUserEmail">E-post vid ombokning av tid</xsl:variable>

	<xsl:variable name="i18n.Calendar.SendBookingSlotRebookedUserSMS">SMS vid ndring av tid p bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendBookingSlotRebookedUserEmail">E-post vid ndring av tid p bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendBookingSlotDeletedUserSMS">SMS vid borttagning av bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendBookingSlotDeletedUserEmail">E-post vid borttagning av bokningstillflle</xsl:variable>
	
	<xsl:variable name="i18n.ManagerNotifications">Notifikationer till handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendEnteredManagerEmail">E-post d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExternalMessageReceivedManagerEmail">E-post vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Calendar.sendExitManagerEmail">E-post nr medborgare avbokat tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.sendRebookedManagerEmail">E-post nr medborgare ombokat tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.sendRebookedManagerEmail.Title">D denna r aktiv s skickas notis till bokningstillfllets samtliga handlggare d medborgare bokar om en tid. Om bokningstillfllet inte har ngon handlggare skickas notisen till kalenderns samtliga handlggare.</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendUserRebookedManagerEmailOnlyToBookingSlotManagers">Stng av e-postnotifikation till samtliga behriga handlggare vid ombokning, d tiden saknar tilldelad handlggare</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendUserRebookedManagerEmailOnlyToBookingSlotManagers.Title">D denna r aktiv s skickas notis bara till det aktuella bokningstillfllets handlggare (pverkar allts beteendet i instllningen ovan). Om bokningstillfllet inte har ngon handlggare skickas ingen notis (frutom eventuell generell notis).</xsl:variable>
	
	<xsl:variable name="i18n.GlobalNotifications">Generella notifikationer</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExternalMessageReceivedGlobalEmail">E-post vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Calendar.ExternalMessageReceivedGlobalEmailAddresses">E-postadresser fr notifiering om nya meddelanden frn medborgare (en adress per rad)</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendExitGlobalEmail">E-post nr medborgare avbokat tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.SendRebookedGlobalEmail">E-post nr medborgare ombokat tid</xsl:variable>
	<xsl:variable name="i18n.Calendar.ExitGlobalEmailAddresses">E-postadresser fr notifiering att medborgare avbokat tid (en adress per rad)</xsl:variable>
	<xsl:variable name="i18n.Calendar.RebookedGlobalEmailAddresses">E-postadresser fr notifiering att medborgare ombokat tid (en adress per rad)</xsl:variable>
	<xsl:variable name="i18n.Calendar.ExportAttributes">Attribut som skall hmtas frn bokningsrenden t. ex. vid export till Excel (ett attribut-namn per rad)</xsl:variable>
	
	<xsl:variable name="i18n.Calendar.EmailSenderName">E-post avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.Calendar.EmailSenderAddress">E-post avsndaradress</xsl:variable>
	
	<xsl:variable name="i18n.Calendar.DefaultStartTime">Standardstarttid fr bokningstillfllen</xsl:variable>
	<xsl:variable name="i18n.Calendar.HideAddedDateFromUser">Dlj anskningsdatum</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowFreeSlotsAsBoolean">Visa endast om ett bokningstillflle r ledigt eller upptaget.</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowFreeSlotsAsBoolean.Title">Visa om ett bokningstillflle r ledigt eller upptaget istllet fr att visa antal lediga platser</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowFullyBookedDaysInCalendar">Visa text p fullbokade dagar i kalendervyn</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedCalendarDayText">Text p fullbokade dagar</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedCalendarDayText.Title">Text som visas p fullbokade dagar, lmna tomt fr standardtext</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedDayPlaceholderText">Fullbokat</xsl:variable>
	<xsl:variable name="i18n.Calendar.ShowFullyBookedSlotsInList">Visa fullbokade tillfllen i listvyn</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedListSlotText">Text p fullbokade tillfllen</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedListSlotText.Title">Text som visas p fullbokade tillfllen, lmna tomt fr standardtext</xsl:variable>
	<xsl:variable name="i18n.Calendar.FullyBookedListSlotPlaceholderText">Fullbokat</xsl:variable>
	<xsl:variable name="i18n.Calendar.ProfileTitle">Koppla kalendern till profil</xsl:variable>
	<xsl:variable name="i18n.ProfileEmptyOption">Vlj profil</xsl:variable>
	
	<xsl:variable name="i18n.Calendar.HideBookingsPerWeekday">Dlj bokningar per veckodag</xsl:variable>
	<xsl:variable name="i18n.Calendar.HideBookingsPerWeekday.Info">Kryssa i de veckodagar som du vill att bokningar dljs</xsl:variable>
	<xsl:variable name="i18n.Calendar.Monday">Mndag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Tuesday">Tisdag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Wednesday">Onsdag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Thursday">Torsdag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Friday">Fredag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Saturday">Lrdag</xsl:variable>
	<xsl:variable name="i18n.Calendar.Sunday">Sndag</xsl:variable>
	
	<xsl:variable name="i18n.ShowBookings">Visa bokningstillfllen</xsl:variable>
	<xsl:variable name="i18n.Calendar">Kalender</xsl:variable>
	<xsl:variable name="i18n.Bookings">bokningar</xsl:variable>
	<xsl:variable name="i18n.NrOfBookings">Antal bokningar</xsl:variable>
	<xsl:variable name="i18n.BookingSlotDescription">Information om tillfllet</xsl:variable>
	
	<xsl:variable name="i18n.DateError">Frn-datum kan inte vara efter till-datum</xsl:variable>
	<xsl:variable name="i18n.UnknownError">Ett oknt fel uppstod</xsl:variable>
	<xsl:variable name="i18n.DateFormatError">Ogiltigt format p datum, skall vara -MM-DD</xsl:variable>
	
	<xsl:variable name="i18n.Found">Hittade</xsl:variable>
	<xsl:variable name="i18n.Instances">bokningstillfllen</xsl:variable>
	<xsl:variable name="i18n.EmptyTable">Det finns inga passerade bokningstillfllen att visa</xsl:variable>
	<xsl:variable name="i18n.ZeroRecords">Skning matchade inga bokningstillfllen</xsl:variable>
	<xsl:variable name="i18n.Next">Nsta</xsl:variable>
	<xsl:variable name="i18n.Previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.LengthMenu">Visa _MENU_ bokningstillfllen</xsl:variable>
	
	<xsl:variable name="i18n.CullBookings">Gallra</xsl:variable>
	<xsl:variable name="i18n.CullBookingsTitle">Gallra passerade bokningstillfllen fr kalender </xsl:variable>
	<xsl:variable name="i18n.ConfirmDelete.Part1">Var god beakta att det medfr extra kostnader att i ett senare skede frska terstlla de borttagna bokningstillfllena. Vill du verkligen ta bort de markerade</xsl:variable>
	<xsl:variable name="i18n.ConfirmDelete.Part2">bokningstillfllena</xsl:variable>
	
	<xsl:variable name="i18n.Period">Period</xsl:variable>
	<xsl:variable name="i18n.FromDate">Frn</xsl:variable>
	<xsl:variable name="i18n.ToDate">Till </xsl:variable>

	<xsl:variable name="i18n.Calendar.ShowNotBookableSlots">Visa tillfllen som inte r bokningsbara</xsl:variable>
	<xsl:variable name="i18n.Calendar.HideDisabledManagersInFilter">Dlj inaktiverade handlggare i filter</xsl:variable>
	<xsl:variable name="i18n.Calendar.HideExternalMessages">Stng av meddelandefunktionen</xsl:variable>
	<xsl:variable name="i18n.newExternalMessagesAllowedDays">Antal dagar som nya meddelanden r tilltna efter att ett bokningstillflle passerats</xsl:variable>
	<xsl:variable name="i18n.newExternalMessagesAllowedDaysInfo">Om inget vrde anges s kan meddelanden alltid skickas p redan passerade bokningar</xsl:variable>
	
	<xsl:variable name="i18n.validationError.UpdateFailedCalendarNotFound">Den angivna kalendern hittades inte!</xsl:variable>
	<xsl:variable name="i18n.validationError.NoProfileChosen">Du mste vlja en kommun som kalendern skall kopplas mot.</xsl:variable>
	<xsl:variable name="i18n.validationError.PluginError">Det uppstod ett valideringsfel, blddra nert fr mer information.</xsl:variable>
	<xsl:variable name="i18n.UnableToParseRequest">Det gick inte att tolka informationen frn din webblsare.</xsl:variable>
	<xsl:variable name="i18n.UnableToParseIcon">Den gick inte att tolka ikonen.</xsl:variable>
	
	<xsl:variable name="i18n.ToggleTexts">[Visa/dlj texter]</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualEntranceSMS">Innehll i SMS d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualEntranceEmailSubject">Rubrik p e-postmeddelande d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualEntranceEmailMessage">Innehll i e-postmeddelande d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualEntranceManagerEmailSubject">Rubrik p e-postmeddelande d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualEntranceManagerEmailMessage">Innehll i e-postmeddelande d bokning utfrts av handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedUserSMS">Innehll i SMS vid nytt meddelande frn handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedUserEmailSubject">Rubrik p e-postmeddelande vid nytt meddelande frn handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedUserEmailMessage">Innehll i e-postmeddelande vid nytt meddelande frn handlggare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedManagerEmailSubject">Rubrik p e-postmeddelande vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedManagerEmailMessage">Innehll i e-postmeddelande vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedGlobalEmailSubject">Rubrik p e-postmeddelande vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Notifications.ExternalMessageReceivedGlobalEmailMessage">Innehll i e-postmeddelande vid nytt meddelande frn medborgare</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserReminderSMS">Innehll i SMS pminnelse innan bokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.SendManualReminderSMS">SMS d handlggare skickar pminnelse</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualReminderSMS">Innehll i SMS d handlggare skickar pminnelse</xsl:variable>
	<xsl:variable name="i18n.Notifications.SendManualReminderEmail">E-post d handlggare skickar pminnelse</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualReminderEmailSubject">Rubrik p e-postmeddelande vid pminnelse</xsl:variable>
	<xsl:variable name="i18n.Notifications.ManualReminderEmailMessage">Innehll i e-postmeddelande vid pminnelse</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitSMS">Innehll i SMS bekrftelse p avbokning av tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitEmailSubject">Rubrik p e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitEmailMessage">Innehll i e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitManagerEmailSubject">Rubrik p e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitManagerEmailMessage">Innehll i e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitGlobalEmailSubject">Rubrik p e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserExitGlobalEmailMessage">Innehll i e-postmeddelande vid avbokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserRebookedManagerEmailSubject">Rubrik p e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.UserRebookedManagerEmailMessage">Innehll i e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.RebookedGlobalEmailSubject">Rubrik p e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.RebookedGlobalEmailMessage">Innehll i e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.RebookedUserEmailSubject">Rubrik p e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.RebookedUserEmailMessage">Innehll i e-postmeddelande vid ombokad tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.RebookedUserSMS">Innehll i SMS vid ombokning av tid</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotRebookedUserSMS">Innehll i SMS vid ndring av tid p bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotRebookedUserEmailSubject">Rubrik p e-postmeddelande vid ndring av tid p bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotRebookedUserEmailMessage">Innehll i e-postmeddelande vid ndring av tid p bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotDeletedUserSMS">Innehll i SMS vid borttagning av bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotDeletedUserEmailSubject">Rubrik p e-postmeddelande vid borttagning av bokningstillflle</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotDeletedUserEmailMessage">Innehll i e-postmeddelande vid borttagning av bokningstillflle</xsl:variable>
	
	<xsl:variable name="i18n.Notifications.BookingSlotEmailSentToMultipleUsers">Detta e-postmeddelandet kommer att skickas till samtliga inbokade anvndare p bokningstillfllet</xsl:variable>
	<xsl:variable name="i18n.Notifications.BookingSlotSMSSentToMultipleUsers">Detta SMS kommer att skickas till samtliga inbokade anvndare p bokningstillfllet</xsl:variable>

	<xsl:variable name="i18n.TagsTable.Description.Email">Fljande taggar kan anvndas i rubrik och meddelande</xsl:variable>
	<xsl:variable name="i18n.TagsTable.Description.SMS">Fljande taggar kan anvndas i innehll</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.TagDescription">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.Tag.Calendar.Name">Kalendernamn</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlot.Start">Bokningens start datum och tid</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlot.End">Bokningens slut datum och tid</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlotOld.Start">Fregende start datum och tid</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlotOld.End">Fregende slut datum och tid</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlot.Location">Bokningens plats</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlot.Managers">Bokningens handlggare</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlot.ManagerFirstNames">Bokningens handlggares frnamn</xsl:variable>
	<xsl:variable name="i18n.Tag.BookingSlotOld.Managers">Fregende handlggare</xsl:variable>
	<xsl:variable name="i18n.Tag.Booking.URL">Lnk till bokningen</xsl:variable>
	<xsl:variable name="i18n.Tag.Booking.MessagesURL">Lnk till meddelandefliken i bokningen</xsl:variable>
	<xsl:variable name="i18n.Tag.Contact.Firstname">Kontaktpersonens frnamn</xsl:variable>
	<xsl:variable name="i18n.Tag.Contact.Lastname">Kontaktpersonens efternamn</xsl:variable>
	<xsl:variable name="i18n.Tag.Manager.Firstname">Inloggad handlggares frnamn</xsl:variable>
	<xsl:variable name="i18n.Tag.Manager.Lastname">Inloggad handlggares efternamn</xsl:variable>
	
</xsl:stylesheet>
