<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="BookingQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Bokningsfrga</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Bokningsfrga r en funktion dr anvndaren kan g in i en e-tjnst och boka tid i en kalender. Frgetypen krver att en kalender finns upplagd.
Observera att en e-tjnst bara fr innehlla en synlig bokningsfrga som gr mot en viss kalender. Om det finns flera synliga bokningsfrgor mot samma kalender i samma e-tjnst kan verbokning uppst. Det gr dock att ha flera synliga bokningsfrgor i samma e-tjnst om de gr mot olika kalendrar.
	</xsl:variable>
	<xsl:variable name="java.defaultPriceText">Kostnaden fr att boka tiden r</xsl:variable>
	<xsl:variable name="java.defaultInvoiceLineDescription">Bokningsavgift</xsl:variable>
	<xsl:variable name="java.exportDate">Datum</xsl:variable>
	<xsl:variable name="java.exportTime">Tid</xsl:variable>
	<xsl:variable name="java.exportLocation">Plats</xsl:variable>
	<xsl:variable name="java.exportManagers">Handlggare</xsl:variable>
	<xsl:variable name="java.exportManagerFirstNames">Handlggares frnamn</xsl:variable>
	<xsl:variable name="java.exportComment">Kommentar</xsl:variable>
	<xsl:variable name="java.exportCalendar">Kalender</xsl:variable>
	<xsl:variable name="java.bookingSlotSelectedAlternativeName">Bokningstillflle valt</xsl:variable>

	<xsl:variable name="java.bookingSlotNotBookableTextOpens">ppnar fr bokning $bookingSlot.bookableStart</xsl:variable>
	<xsl:variable name="java.bookingSlotNotBookableTextClosed">Stngt fr bokning sen $bookingSlot.bookableEnd</xsl:variable>
	<xsl:variable name="java.bookingSlotNotBookableTextBetween">ppet fr bokning $bookingSlot.bookableStart - $bookingSlot.bookableEnd</xsl:variable>
		
	<xsl:variable name="i18n.BookingQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	
	<xsl:variable name="i18n.Calendar">Kalender</xsl:variable>
	<xsl:variable name="i18n.Calendar.Choose">Vlj kalender</xsl:variable>
	<xsl:variable name="i18n.AcceptText">Bekrftelsetext</xsl:variable>
	<xsl:variable name="i18n.InvoiceLineText">Artikelnamn fr betalning</xsl:variable>
	<xsl:variable name="i18n.CustomPriceText">Pristext</xsl:variable>
	<xsl:variable name="i18n.ShowCommentField">Visa kommentarsflt</xsl:variable>
	<xsl:variable name="i18n.AddBookingSlotManagersToFlowInstance">Lgg till bokningstillfllets handlggare p rendet</xsl:variable>
	<xsl:variable name="i18n.ShowLocationInList">Visa plats i lista</xsl:variable>
	<xsl:variable name="i18n.CommentFieldName">Namn p kommentarsflt (lmna tomt fr standard)</xsl:variable>
	<xsl:variable name="i18n.MinVisibleDays">Visa inte bokningstillfllen som ligger mindre n x dagar framt i tiden</xsl:variable>
	<xsl:variable name="i18n.ShowFirstFreeSlot">Visa frsta lediga tid</xsl:variable>
	<xsl:variable name="i18n.NoFreeSlotsText">Meddelande om det inte finns ngra lediga tider att boka (lmna tomt fr standard)</xsl:variable>
	<xsl:variable name="i18n.ShowLocationFilter">Visa filter fr tillfllets plats i kalendern</xsl:variable>
	
	<xsl:variable name="i18n.Query.Booking.StatusTitle">Byt rendestatus</xsl:variable>
	<xsl:variable name="i18n.Query.archiveStatusID">Nr bokad tid avbokas</xsl:variable>
	<xsl:variable name="i18n.Query.archiveStatusID.empty">Byt inte status</xsl:variable>
	
	<xsl:variable name="i18n.Query.bookingSlotPassedStatusID">Nr bokad tid passerats</xsl:variable>
	<xsl:variable name="i18n.Query.bookingSlotPassedStatusTime">Nr bokad tid passerats med antal timmar</xsl:variable>
	<xsl:variable name="i18n.Query.bookingStatusInformation">Observera, finns flera bokningar kopplade till samma rende kommer rendet ndra status nr den frsta bokningen hanteras.</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.Query.setAsAttribute">Spara bokning som attribut</xsl:variable>
	<xsl:variable name="i18n.Query.attributeName">Attributprefix</xsl:variable>
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (om aktiverade ovan) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.date}</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	<xsl:variable name="i18n.attribute.size">Antal platser</xsl:variable>
	<xsl:variable name="i18n.attribute.url">Lnk till bokningen (endast tillgnglig efter att rendet skickats in)</xsl:variable>
	<xsl:variable name="i18n.attribute.bookingID">Bokningens ID (endast tillgnglig efter att rendet skickats in)</xsl:variable>
	<xsl:variable name="i18n.attribute.bookingSlotID">Bokningstillfllets ID</xsl:variable>
	
</xsl:stylesheet>
