var calendarSettings = {};

$(function() {
	
	var showComment = $("#showCommentField");
	
	var showHideCommentName = function () {
		
		var visible = showComment.prop("checked");
		
		var commentName = $("#commentName");
		commentName.prop("disabled", !visible).parent().toggle(visible);
	};
	
	showHideCommentName();
	showComment.on("change", showHideCommentName);
	
	$("#calendarID").on("change", function(){
		
		var settings = calendarSettings[this.value];
		var hasSettings = !!settings;
		
		$("#acceptText").parent().toggle(hasSettings && settings.requireConfirmation);

		$("#showLocationInList").parent().toggle(hasSettings && settings.viewMode != "CALENDAR");
		
		$("#showLocationFilter").parent().toggle(hasSettings && settings.viewMode != "LIST");
		
	}).trigger("change");
	
	function showHideHourSetting(){
	    if(document.getElementById("bookingSlotPassedStatusID").selectedIndex == 0)
	    	$("#bookingPassedSlotTime").hide();
	    else
	    	$("#bookingPassedSlotTime").show();
	}
	document.getElementById("bookingSlotPassedStatusID").onchange = showHideHourSetting;
	
	
	showHideHourSetting();
});