
package com.nordicpeak.flowengine.integration.castor.proxy;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CastorPersonTypeEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CastorPersonTypeEnum">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Skande"/>
 *     &lt;enumeration value="Fastighetsgare"/>
 *     &lt;enumeration value="Fakturamottagare"/>
 *     &lt;enumeration value="Kontrollansvarig"/>
 *     &lt;enumeration value="Ombud"/>
 *     &lt;enumeration value="Verksamhetsutvare"/>
 *     &lt;enumeration value="Kontaktperson"/>
 *     &lt;enumeration value="Klagande"/>
 *     &lt;enumeration value="Kvalitetsansvarig"/>
 *     &lt;enumeration value="Medskande"/>
 *     &lt;enumeration value="Skyddadidentitet"/>
 *     &lt;enumeration value="Byggherre"/>
 *     &lt;enumeration value="Arkitekt"/>
 *     &lt;enumeration value="Sljare"/>
 *     &lt;enumeration value="Konstruktr"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CastorPersonTypeEnum")
@XmlEnum
public enum CastorPersonTypeEnum {

    @XmlEnumValue("S\u00f6kande")
    SKANDE("S\u00f6kande"),
    @XmlEnumValue("Fastighets\u00e4gare")
    FASTIGHETSGARE("Fastighets\u00e4gare"),
    @XmlEnumValue("Fakturamottagare")
    FAKTURAMOTTAGARE("Fakturamottagare"),
    @XmlEnumValue("Kontrollansvarig")
    KONTROLLANSVARIG("Kontrollansvarig"),
    @XmlEnumValue("Ombud")
    OMBUD("Ombud"),
    @XmlEnumValue("Verksamhetsut\u00f6vare")
    VERKSAMHETSUTVARE("Verksamhetsut\u00f6vare"),
    @XmlEnumValue("Kontaktperson")
    KONTAKTPERSON("Kontaktperson"),
    @XmlEnumValue("Klagande")
    KLAGANDE("Klagande"),
    @XmlEnumValue("Kvalitetsansvarig")
    KVALITETSANSVARIG("Kvalitetsansvarig"),
    @XmlEnumValue("Meds\u00f6kande")
    MEDSKANDE("Meds\u00f6kande"),
    @XmlEnumValue("Skyddadidentitet")
    SKYDDADIDENTITET("Skyddadidentitet"),
    @XmlEnumValue("Byggherre")
    BYGGHERRE("Byggherre"),
    @XmlEnumValue("Arkitekt")
    ARKITEKT("Arkitekt"),
    @XmlEnumValue("S\u00e4ljare")
    SLJARE("S\u00e4ljare"),
    @XmlEnumValue("Konstrukt\u00f6r")
    KONSTRUKTR("Konstrukt\u00f6r");
    private final String value;

    CastorPersonTypeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CastorPersonTypeEnum fromValue(String v) {
        for (CastorPersonTypeEnum c: CastorPersonTypeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
