
package com.nordicpeak.flowengine.integration.castor.proxy;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.nordicpeak.flowengine.integration.castor.proxy package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.nordicpeak.flowengine.integration.castor.proxy
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CompleteCastorCaseResponse }
     * 
     */
    public CompleteCastorCaseResponse createCompleteCastorCaseResponse() {
        return new CompleteCastorCaseResponse();
    }

    /**
     * Create an instance of {@link CaseResult }
     * 
     */
    public CaseResult createCaseResult() {
        return new CaseResult();
    }

    /**
     * Create an instance of {@link GetCastorCaseTemplate }
     * 
     */
    public GetCastorCaseTemplate createGetCastorCaseTemplate() {
        return new GetCastorCaseTemplate();
    }

    /**
     * Create an instance of {@link GetApplicantActiveCases }
     * 
     */
    public GetApplicantActiveCases createGetApplicantActiveCases() {
        return new GetApplicantActiveCases();
    }

    /**
     * Create an instance of {@link ServerStatusResponse }
     * 
     */
    public ServerStatusResponse createServerStatusResponse() {
        return new ServerStatusResponse();
    }

    /**
     * Create an instance of {@link ServerStatus }
     * 
     */
    public ServerStatus createServerStatus() {
        return new ServerStatus();
    }

    /**
     * Create an instance of {@link CompleteCastorEventResponse }
     * 
     */
    public CompleteCastorEventResponse createCompleteCastorEventResponse() {
        return new CompleteCastorEventResponse();
    }

    /**
     * Create an instance of {@link CompleteCastorCase }
     * 
     */
    public CompleteCastorCase createCompleteCastorCase() {
        return new CompleteCastorCase();
    }

    /**
     * Create an instance of {@link CastorDocumentData }
     * 
     */
    public CastorDocumentData createCastorDocumentData() {
        return new CastorDocumentData();
    }

    /**
     * Create an instance of {@link CreateCastorCaseFromTemplate }
     * 
     */
    public CreateCastorCaseFromTemplate createCreateCastorCaseFromTemplate() {
        return new CreateCastorCaseFromTemplate();
    }

    /**
     * Create an instance of {@link CastorCaseTemplate }
     * 
     */
    public CastorCaseTemplate createCastorCaseTemplate() {
        return new CastorCaseTemplate();
    }

    /**
     * Create an instance of {@link GetApplicantActiveCasesResponse }
     * 
     */
    public GetApplicantActiveCasesResponse createGetApplicantActiveCasesResponse() {
        return new GetApplicantActiveCasesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfCastorCaseItem }
     * 
     */
    public ArrayOfCastorCaseItem createArrayOfCastorCaseItem() {
        return new ArrayOfCastorCaseItem();
    }

    /**
     * Create an instance of {@link GetCastorCaseTemplateResponse }
     * 
     */
    public GetCastorCaseTemplateResponse createGetCastorCaseTemplateResponse() {
        return new GetCastorCaseTemplateResponse();
    }

    /**
     * Create an instance of {@link CompleteCastorEvent }
     * 
     */
    public CompleteCastorEvent createCompleteCastorEvent() {
        return new CompleteCastorEvent();
    }

    /**
     * Create an instance of {@link CreateCastorCaseFromTemplateResponse }
     * 
     */
    public CreateCastorCaseFromTemplateResponse createCreateCastorCaseFromTemplateResponse() {
        return new CreateCastorCaseFromTemplateResponse();
    }

    /**
     * Create an instance of {@link ArrayOfCastorCaseExtendedInfo }
     * 
     */
    public ArrayOfCastorCaseExtendedInfo createArrayOfCastorCaseExtendedInfo() {
        return new ArrayOfCastorCaseExtendedInfo();
    }

    /**
     * Create an instance of {@link CastorCaseItem }
     * 
     */
    public CastorCaseItem createCastorCaseItem() {
        return new CastorCaseItem();
    }

    /**
     * Create an instance of {@link CastorPersonData }
     * 
     */
    public CastorPersonData createCastorPersonData() {
        return new CastorPersonData();
    }

    /**
     * Create an instance of {@link CastorCaseExtendedInfo }
     * 
     */
    public CastorCaseExtendedInfo createCastorCaseExtendedInfo() {
        return new CastorCaseExtendedInfo();
    }

    /**
     * Create an instance of {@link ArrayOfCastorPersonData }
     * 
     */
    public ArrayOfCastorPersonData createArrayOfCastorPersonData() {
        return new ArrayOfCastorPersonData();
    }

    /**
     * Create an instance of {@link ExtensionDataObject }
     * 
     */
    public ExtensionDataObject createExtensionDataObject() {
        return new ExtensionDataObject();
    }

    /**
     * Create an instance of {@link ArrayOfCastorDocumentData }
     * 
     */
    public ArrayOfCastorDocumentData createArrayOfCastorDocumentData() {
        return new ArrayOfCastorDocumentData();
    }

}
