package com.nordicpeak.flowengine.changeownerhsa.beans;

import se.unlogic.standardutils.annotations.WebPopulate;
import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;

@Table(name = "ownership_change_flow_settings_hsa")
@XMLElement
public class FlowFamilyChangeOwnerSettings extends GeneratedElementable {

	@DAOManaged
	@Key
	@XMLElement
	private Integer flowFamilyID;

	@DAOManaged
	@WebPopulate
	@XMLElement
	private boolean allowSubmitted;

	public Integer getFlowFamilyID() {

		return flowFamilyID;
	}

	public void setFlowFamilyID(Integer flowFamilyID) {

		this.flowFamilyID = flowFamilyID;
	}

	public boolean isAllowSubmitted() {
		return allowSubmitted;
	}

	public void setAllowSubmitted(boolean allowSubmitted) {
		this.allowSubmitted = allowSubmitted;
	}

}
