package com.nordicpeak.flowengine.evaluators.eidas;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class EIDASQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<EIDASQueryStateEvaluator, EIDASQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<EIDASQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<EIDASQueryStateEvaluator>(EIDASQueryStateEvaluator.class);
	
	public EIDASQueryStateEvaluatorCRUD(Class<EIDASQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<EIDASQueryStateEvaluator, Integer> evaluatorDAO, EIDASQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "EIDASQueryStateEvaluator", "eIDAS query state evaluator", null, callback);
	}
}
