package com.nordicpeak.flowengine.integration.easit.utils;

import se.unlogic.standardutils.populators.SwedishSocialSecurity12DigitsWithoutMinusPopulator;

public class SwedishSocialSecurity12To10WithHyphenParameterFormatter implements ParameterFormatter {

	@Override
	public String formatParameter(String parameterValue) {

		// Only format is valid 12 digit ssn
		boolean isValid = SwedishSocialSecurity12DigitsWithoutMinusPopulator.getPopulator().validateDefaultFormat(parameterValue);

		if (!isValid) {

			return parameterValue;
		}

		parameterValue = parameterValue.substring(0, parameterValue.length() - 4) + "-" + parameterValue.substring(parameterValue.length() - 4, parameterValue.length());

		return parameterValue.substring(2);

	}

}
