
package com.easit.bpsservice.proxy;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ImportItemResult" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;choice>
 *                     &lt;element name="SkippedOrExceptionMessage" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                     &lt;element name="ReturnValues">
 *                       &lt;complexType>
 *                         &lt;complexContent>
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                             &lt;sequence>
 *                               &lt;element name="ReturnValue" maxOccurs="unbounded" minOccurs="0">
 *                                 &lt;complexType>
 *                                   &lt;complexContent>
 *                                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                                     &lt;/restriction>
 *                                   &lt;/complexContent>
 *                                 &lt;/complexType>
 *                               &lt;/element>
 *                             &lt;/sequence>
 *                           &lt;/restriction>
 *                         &lt;/complexContent>
 *                       &lt;/complexType>
 *                     &lt;/element>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *                 &lt;attribute name="UID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                 &lt;attribute name="result" use="required">
 *                   &lt;simpleType>
 *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                       &lt;enumeration value="OK"/>
 *                       &lt;enumeration value="Skipped"/>
 *                       &lt;enumeration value="Exception"/>
 *                     &lt;/restriction>
 *                   &lt;/simpleType>
 *                 &lt;/attribute>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ImportItemsResponse", propOrder = {
    "importItemResult"
})
@XmlRootElement(name = "ImportItemsResponse")
public class ImportItemsResponse
    implements Serializable
{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1704865627582934121L;
	@XmlElement(name = "ImportItemResult", required = true)
    protected List<ImportItemsResponse.ImportItemResult> importItemResult;

    /**
     * Gets the value of the importItemResult property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the importItemResult property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getImportItemResult().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ImportItemsResponse.ImportItemResult }
     * 
     * 
     */
    public List<ImportItemsResponse.ImportItemResult> getImportItemResult() {
        if (importItemResult == null) {
            importItemResult = new ArrayList<ImportItemsResponse.ImportItemResult>();
        }
        return this.importItemResult;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;choice>
     *           &lt;element name="SkippedOrExceptionMessage" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *           &lt;element name="ReturnValues">
     *             &lt;complexType>
     *               &lt;complexContent>
     *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                   &lt;sequence>
     *                     &lt;element name="ReturnValue" maxOccurs="unbounded" minOccurs="0">
     *                       &lt;complexType>
     *                         &lt;complexContent>
     *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                             &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                           &lt;/restriction>
     *                         &lt;/complexContent>
     *                       &lt;/complexType>
     *                     &lt;/element>
     *                   &lt;/sequence>
     *                 &lt;/restriction>
     *               &lt;/complexContent>
     *             &lt;/complexType>
     *           &lt;/element>
     *         &lt;/choice>
     *       &lt;/sequence>
     *       &lt;attribute name="UID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *       &lt;attribute name="result" use="required">
     *         &lt;simpleType>
     *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *             &lt;enumeration value="OK"/>
     *             &lt;enumeration value="Skipped"/>
     *             &lt;enumeration value="Exception"/>
     *           &lt;/restriction>
     *         &lt;/simpleType>
     *       &lt;/attribute>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "skippedOrExceptionMessage",
        "returnValues"
    })
    public static class ImportItemResult
        implements Serializable
    {

        /**
		 * 
		 */
		private static final long serialVersionUID = 375725982613159480L;
		@XmlElement(name = "SkippedOrExceptionMessage")
        protected String skippedOrExceptionMessage;
        @XmlElement(name = "ReturnValues")
        protected ImportItemsResponse.ImportItemResult.ReturnValues returnValues;
        @XmlAttribute(name = "UID", required = true)
        protected String uid;
        @XmlAttribute(name = "result", required = true)
        protected String result;

        /**
         * Gets the value of the skippedOrExceptionMessage property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSkippedOrExceptionMessage() {
            return skippedOrExceptionMessage;
        }

        /**
         * Sets the value of the skippedOrExceptionMessage property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSkippedOrExceptionMessage(String value) {
            this.skippedOrExceptionMessage = value;
        }

        /**
         * Gets the value of the returnValues property.
         * 
         * @return
         *     possible object is
         *     {@link ImportItemsResponse.ImportItemResult.ReturnValues }
         *     
         */
        public ImportItemsResponse.ImportItemResult.ReturnValues getReturnValues() {
            return returnValues;
        }

        /**
         * Sets the value of the returnValues property.
         * 
         * @param value
         *     allowed object is
         *     {@link ImportItemsResponse.ImportItemResult.ReturnValues }
         *     
         */
        public void setReturnValues(ImportItemsResponse.ImportItemResult.ReturnValues value) {
            this.returnValues = value;
        }

        /**
         * Gets the value of the uid property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getUID() {
            return uid;
        }

        /**
         * Sets the value of the uid property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setUID(String value) {
            this.uid = value;
        }

        /**
         * Gets the value of the result property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getResult() {
            return result;
        }

        /**
         * Sets the value of the result property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setResult(String value) {
            this.result = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="ReturnValue" maxOccurs="unbounded" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "returnValue"
        })
        public static class ReturnValues
            implements Serializable
        {

            /**
			 * 
			 */
			private static final long serialVersionUID = 6359494785067310291L;
			@XmlElement(name = "ReturnValue")
            protected List<ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue> returnValue;

            /**
             * Gets the value of the returnValue property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the returnValue property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getReturnValue().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue }
             * 
             * 
             */
            public List<ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue> getReturnValue() {
                if (returnValue == null) {
                    returnValue = new ArrayList<ImportItemsResponse.ImportItemResult.ReturnValues.ReturnValue>();
                }
                return this.returnValue;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "content"
            })
            public static class ReturnValue
                implements Serializable
            {

                /**
				 * 
				 */
				private static final long serialVersionUID = -2328852026678220836L;
				@XmlValue
                protected String content;
                @XmlAttribute(name = "name", required = true)
                protected String name;

                /**
                 * Gets the value of the content property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getContent() {
                    return content;
                }

                /**
                 * Sets the value of the content property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setContent(String value) {
                    this.content = value;
                }

                /**
                 * Gets the value of the name property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getName() {
                    return name;
                }

                /**
                 * Sets the value of the name property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setName(String value) {
                    this.name = value;
                }

            }

        }

    }

}
