
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2003._10.serialization.arrays.ArrayOfKeyValueOfstringstring;


/**
 * <p>Java class for InsertDocumentRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsertDocumentRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ActivityProcessId" type="{http://schemas.microsoft.com/2003/10/Serialization/}guid" minOccurs="0"/>
 *         &lt;element name="CreatedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CustomerDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}CustomerDetails" minOccurs="0"/>
 *         &lt;element name="DepartmentId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DiaryNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentTypeCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ExternalCaseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FileDetails" type="{http://schemas.datacontract.org/2004/07/Evolution.EService.DataAccess}FileDetails" minOccurs="0"/>
 *         &lt;element name="HasNoCase" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="MarkAsPublic" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="Note" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ResponsibleLoginName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="UnitCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="XmlMetadata" type="{http://schemas.microsoft.com/2003/10/Serialization/Arrays}ArrayOfKeyValueOfstringstring" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsertDocumentRequest", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EService.DataContracts", propOrder = {
    "activityProcessId",
    "createdBy",
    "customerDetails",
    "departmentId",
    "description",
    "diaryNumber",
    "documentTypeCode",
    "externalCaseNumber",
    "fileDetails",
    "hasNoCase",
    "markAsPublic",
    "note",
    "responsibleLoginName",
    "serviceName",
    "unitCode",
    "xmlMetadata"
})
public class InsertDocumentRequest {

    @XmlElement(name = "ActivityProcessId")
    protected String activityProcessId;
    @XmlElement(name = "CreatedBy", nillable = true)
    protected String createdBy;
    @XmlElement(name = "CustomerDetails", nillable = true)
    protected CustomerDetails customerDetails;
    @XmlElement(name = "DepartmentId", nillable = true)
    protected Integer departmentId;
    @XmlElement(name = "Description", nillable = true)
    protected String description;
    @XmlElement(name = "DiaryNumber", nillable = true)
    protected String diaryNumber;
    @XmlElement(name = "DocumentTypeCode", nillable = true)
    protected String documentTypeCode;
    @XmlElement(name = "ExternalCaseNumber", nillable = true)
    protected String externalCaseNumber;
    @XmlElement(name = "FileDetails", nillable = true)
    protected FileDetails fileDetails;
    @XmlElement(name = "HasNoCase")
    protected Boolean hasNoCase;
    @XmlElement(name = "MarkAsPublic")
    protected Boolean markAsPublic;
    @XmlElement(name = "Note", nillable = true)
    protected String note;
    @XmlElement(name = "ResponsibleLoginName", nillable = true)
    protected String responsibleLoginName;
    @XmlElement(name = "ServiceName", nillable = true)
    protected String serviceName;
    @XmlElement(name = "UnitCode", nillable = true)
    protected String unitCode;
    @XmlElement(name = "XmlMetadata", nillable = true)
    protected ArrayOfKeyValueOfstringstring xmlMetadata;

    /**
     * Gets the value of the activityProcessId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActivityProcessId() {
        return activityProcessId;
    }

    /**
     * Sets the value of the activityProcessId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActivityProcessId(String value) {
        this.activityProcessId = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the customerDetails property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerDetails }
     *     
     */
    public CustomerDetails getCustomerDetails() {
        return customerDetails;
    }

    /**
     * Sets the value of the customerDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerDetails }
     *     
     */
    public void setCustomerDetails(CustomerDetails value) {
        this.customerDetails = value;
    }

    /**
     * Gets the value of the departmentId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDepartmentId() {
        return departmentId;
    }

    /**
     * Sets the value of the departmentId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDepartmentId(Integer value) {
        this.departmentId = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the diaryNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiaryNumber() {
        return diaryNumber;
    }

    /**
     * Sets the value of the diaryNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiaryNumber(String value) {
        this.diaryNumber = value;
    }

    /**
     * Gets the value of the documentTypeCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentTypeCode() {
        return documentTypeCode;
    }

    /**
     * Sets the value of the documentTypeCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentTypeCode(String value) {
        this.documentTypeCode = value;
    }

    /**
     * Gets the value of the externalCaseNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExternalCaseNumber() {
        return externalCaseNumber;
    }

    /**
     * Sets the value of the externalCaseNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExternalCaseNumber(String value) {
        this.externalCaseNumber = value;
    }

    /**
     * Gets the value of the fileDetails property.
     * 
     * @return
     *     possible object is
     *     {@link FileDetails }
     *     
     */
    public FileDetails getFileDetails() {
        return fileDetails;
    }

    /**
     * Sets the value of the fileDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link FileDetails }
     *     
     */
    public void setFileDetails(FileDetails value) {
        this.fileDetails = value;
    }

    /**
     * Gets the value of the hasNoCase property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isHasNoCase() {
        return hasNoCase;
    }

    /**
     * Sets the value of the hasNoCase property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setHasNoCase(Boolean value) {
        this.hasNoCase = value;
    }

    /**
     * Gets the value of the markAsPublic property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isMarkAsPublic() {
        return markAsPublic;
    }

    /**
     * Sets the value of the markAsPublic property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMarkAsPublic(Boolean value) {
        this.markAsPublic = value;
    }

    /**
     * Gets the value of the note property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNote() {
        return note;
    }

    /**
     * Sets the value of the note property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNote(String value) {
        this.note = value;
    }

    /**
     * Gets the value of the responsibleLoginName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponsibleLoginName() {
        return responsibleLoginName;
    }

    /**
     * Sets the value of the responsibleLoginName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponsibleLoginName(String value) {
        this.responsibleLoginName = value;
    }

    /**
     * Gets the value of the serviceName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceName() {
        return serviceName;
    }

    /**
     * Sets the value of the serviceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceName(String value) {
        this.serviceName = value;
    }

    /**
     * Gets the value of the unitCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * Sets the value of the unitCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnitCode(String value) {
        this.unitCode = value;
    }

    /**
     * Gets the value of the xmlMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfKeyValueOfstringstring }
     *     
     */
    public ArrayOfKeyValueOfstringstring getXmlMetadata() {
        return xmlMetadata;
    }

    /**
     * Sets the value of the xmlMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfKeyValueOfstringstring }
     *     
     */
    public void setXmlMetadata(ArrayOfKeyValueOfstringstring value) {
        this.xmlMetadata = value;
    }

}
