
package com.nordicpeak.flowengine.integration.evolution.proxy.schemas._2004._07.evolution_eservices;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderBoardsBy.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrderBoardsBy">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BoardCodeAsc"/>
 *     &lt;enumeration value="BoardCodeDesc"/>
 *     &lt;enumeration value="BoardNameAsc"/>
 *     &lt;enumeration value="BoardNameDesc"/>
 *     &lt;enumeration value="UnitCodeAsc"/>
 *     &lt;enumeration value="UnitCodeDesc"/>
 *     &lt;enumeration value="Unsorted"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrderBoardsBy", namespace = "http://schemas.datacontract.org/2004/07/Evolution.EServices.DataContracts")
@XmlEnum
public enum OrderBoardsBy {

    @XmlEnumValue("BoardCodeAsc")
    BOARD_CODE_ASC("BoardCodeAsc"),
    @XmlEnumValue("BoardCodeDesc")
    BOARD_CODE_DESC("BoardCodeDesc"),
    @XmlEnumValue("BoardNameAsc")
    BOARD_NAME_ASC("BoardNameAsc"),
    @XmlEnumValue("BoardNameDesc")
    BOARD_NAME_DESC("BoardNameDesc"),
    @XmlEnumValue("UnitCodeAsc")
    UNIT_CODE_ASC("UnitCodeAsc"),
    @XmlEnumValue("UnitCodeDesc")
    UNIT_CODE_DESC("UnitCodeDesc"),
    @XmlEnumValue("Unsorted")
    UNSORTED("Unsorted");
    private final String value;

    OrderBoardsBy(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrderBoardsBy fromValue(String v) {
        for (OrderBoardsBy c: OrderBoardsBy.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
