package com.nordicpeak.flowengine.api.listeners;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import se.unlogic.standardutils.xml.ElementableListener;
import se.unlogic.standardutils.xml.XMLUtils;

import com.nordicpeak.flowengine.beans.FlowInstanceEvent;


public class FlowInstanceEventTimestampMillisecondElementableListener implements ElementableListener<FlowInstanceEvent> {

	@Override
	public void elementGenerated(Document doc, Element element, FlowInstanceEvent flowInstanceEvent) {
		
		if (flowInstanceEvent.getAdded() != null) {
			
			XMLUtils.appendNewElement(doc, element, "addedInMilliseconds", flowInstanceEvent.getAdded().getTime());
		}
	}
}
