package com.nordicpeak.flowengine.flowinstanceadminremoteinfo.beans;

import java.io.Serializable;
import java.lang.reflect.Field;

import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.ManyToOne;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.reflection.ReflectionUtils;
import se.unlogic.standardutils.xml.GeneratedElementable;
import se.unlogic.standardutils.xml.XMLElement;

@Table(name = "flow_instance_admin_remote_info_settings")
@XMLElement(name = "Setting")
public class FlowInstanceAdminRemoteInfoSetting extends GeneratedElementable implements Serializable {

	private static final long serialVersionUID = 5949025706273639735L;

	public static final Field ENDPOINT_RELATION = ReflectionUtils.getField(FlowInstanceAdminRemoteInfoSetting.class, "endpoint");

	@DAOManaged
	@Key
	@XMLElement
	private Integer flowFamilyID;

	@DAOManaged(columnName = "endpointID")
	@ManyToOne
	@XMLElement(fixCase = true)
	private FlowInstanceAdminRemoteInfoEndpoint endpoint;

	public Integer getFlowFamilyID() {

		return flowFamilyID;
	}

	public void setFlowFamilyID(Integer flowFamilyID) {

		this.flowFamilyID = flowFamilyID;
	}

	public FlowInstanceAdminRemoteInfoEndpoint getEndpoint() {

		return endpoint;
	}

	public void setEndpoint(FlowInstanceAdminRemoteInfoEndpoint endpoint) {

		this.endpoint = endpoint;
	}

}