<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="GenericFlowPaymentProviderTemplates.xsl"/>
	
	<xsl:variable name="java.extensionViewTitle">Betalinstllningar</xsl:variable>
	<xsl:variable name="java.onlinePaymentText">Betalning via</xsl:variable>
	<xsl:variable name="java.defaultInvoicePaymentEventDescription">Betalas med faktura</xsl:variable>
	<xsl:variable name="java.orderIDPrefix">rende</xsl:variable>
	<xsl:variable name="java.invoiceDescriptionCustomer">Anvndare</xsl:variable>
	<xsl:variable name="java.invoiceDescriptionCategory">Kategori</xsl:variable>
	<xsl:variable name="java.userNotLoggedIn">Icke inloggad anvndare</xsl:variable>
	
	<xsl:variable name="java.invoiceEmailNotificationSubject">Fakturabetalning vald fr rende nr. $flowInstance.flowInstanceID</xsl:variable>
	<xsl:variable name="java.invoiceEmailNotificationMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;Fakturabetalning med beloppet $invoice.totalSum har valts som betalstt fr rendet $flow.name (rende nr. $flowInstance.flowInstanceID).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>
	
	<xsl:variable name="java.directPaymentEmailNotificationSubject">Betalning via $paymentProvider.name vald fr rende nr. $flowInstance.flowInstanceID</xsl:variable>
	<xsl:variable name="java.directPaymentEmailNotificationMessage">
	
		&lt;p&gt;Hej,&lt;/p&gt;
		
		&lt;p&gt;Betalning via $paymentProvider.name med beloppet $invoice.totalSum har valts som betalstt fr rendet $flow.name (rende nr. $flowInstance.flowInstanceID).&lt;/p&gt;
		
		&lt;p&gt;Klicka p lnken nedan fr att visa rendet:&lt;/p&gt;
		
		&lt;p&gt;
			&lt;a href="$flowInstance.url"&gt;$flowInstance.url&lt;/a&gt;
		&lt;/p&gt;
	
	</xsl:variable>	
	
	<xsl:variable name="i18n.PaymentFailedTitle">Betalning misslyckades</xsl:variable>
	<xsl:variable name="i18n.PaymentFailed">Ett fel intrffade vid betalningen, frsk igen!</xsl:variable>
	
	<xsl:variable name="i18n.UnknownValidationError">Ett oknt valideringsfel har uppsttt!</xsl:variable>
	
	<xsl:variable name="i18n.UpdatePaymentSettingsTitle">Betalinstllningar fr e-tjnsten</xsl:variable>
	
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	
	<xsl:variable name="i18n.NoFlowPaymentSettings">Inga betalinstllningar har angets fr den hr e-tjnsten.</xsl:variable>
	<xsl:variable name="i18n.UpdatePaymentSettings">ndra instllningar</xsl:variable>
	<xsl:variable name="i18n.DeletePaymentSettings">Ta bort instllningar</xsl:variable>
	<xsl:variable name="i18n.DeletePaymentSettings.Confirm">r du sker p att du vill ta bort betalinstllningarna fr den hr e-tjnsten?</xsl:variable>
	
	<xsl:variable name="i18n.validation.requiredField" select="'Du mste fylla i fltet:'"/>
	<xsl:variable name="i18n.validation.invalidFormat" select="'Felaktigt format p fltet:'"/>
	<xsl:variable name="i18n.validation.tooShort" select="'Fr kort innehll i fltet:'"/>
	<xsl:variable name="i18n.validation.tooLong" select="'Fr lngt innehll i fltet:'"/>	
	<xsl:variable name="i18n.validation.unknownError" select="'Oknt fel p fltet:'"/>
	<xsl:variable name="i18n.validation.unknownFault" select="'Ett oknt valideringsfel har uppsttt.'"/>
	<xsl:variable name="i18n.InvoicePaymentEnabled">Faktura betalning tillten</xsl:variable>
	
	<xsl:variable name="i18n.invoiceDescriptionSuffix">Extra beskrivning (stdjer attribut via $attribute{namn}). Fljer automatiskt anvndarens namn och e-tjnstens kategori.</xsl:variable>
	<xsl:variable name="i18n.invoicePaymentEventDescription">Beskrivning fr hndelseloggen vid betalning via faktura (fljs automatiskt av beloppet och valuta)</xsl:variable>
	<xsl:variable name="i18n.NoPaymentSettingsFound">Inga betalinstllningar hittades fr den hr e-tjnsten, kontakta systemadministratren fr mer information.</xsl:variable>
	<xsl:variable name="i18n.invoicePaymentNotificationAddresses">E-postadresser fr notifiering vid fakturabetalning (en adress per rad)</xsl:variable>
	<xsl:variable name="i18n.directPaymentNotificationAddresses">E-postadresser fr notifiering vid direkt betalning (en adress per rad)</xsl:variable>
</xsl:stylesheet>
