<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueries.sv.xsl"/>
	<xsl:include href="classpath://com/nordicpeak/flowengine/queries/internaluserqueries/InternalUserQueriesAdmin.xsl"/>
	<xsl:include href="InternalContactDetailQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Kontaktuppgiftsfrga (interna anvndare)</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen anvnds fr interna e-tjnster. Frgetypen hmtar anvndaruppgifter frn personalkatalogen om en sdan finns kopplad till plattformen.	
	</xsl:variable>
	
	<xsl:variable name="java.exportFirstName">Frnamn</xsl:variable>
	<xsl:variable name="java.exportLastName">Efternamn</xsl:variable>
	<xsl:variable name="java.exportUsername">Anvndarnamn</xsl:variable>
	<xsl:variable name="java.exportEmail">E-post</xsl:variable>
	
	<xsl:variable name="i18n.Query.showName">Visa flt fr Namn</xsl:variable>
	<xsl:variable name="i18n.Query.showUsername">Visa flt fr Anvndarnamn</xsl:variable>
	<xsl:variable name="i18n.Query.showEmail">Visa flt fr E-post</xsl:variable>
	<xsl:variable name="i18n.Query.show">Visa flt fr</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.Query.setAsAttribute">Spara fltens vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.Query.attributeName">Attributprefix</xsl:variable>
	
	<xsl:variable name="i18n.attributeDescription">Fljande attribut kommer att sparas (om aktiverade ovan) med det ovan valda prefixet. Anvndningsexempel om du valt prefixet 'test': $attribute{test.firstname}</xsl:variable>
	<xsl:variable name="i18n.attributeDescription2"><strong>Observera</strong> att endast den anvndarinformation som ovan valts att visas kommer att sparas som attribut.</xsl:variable>
	<xsl:variable name="i18n.attributes.name">Attributnamn</xsl:variable>
	<xsl:variable name="i18n.attributes.value">Vrde</xsl:variable>
	
	<xsl:variable name="i18n.ContactDetailQueryNotFound">Den begrda frgan hittades inte!</xsl:variable>
	<xsl:variable name="i18n.NoUserAttributesChosen">Du mste vlja att visa minst ett av anvndarens flt</xsl:variable>
	
	<xsl:variable name="i18n.ContactChannelSettings">Instllningar</xsl:variable>
	
</xsl:stylesheet>
