package com.nordicpeak.flowengine.queries.internalcontactdetails.beans;

import se.unlogic.hierarchy.core.beans.SimpleAttribute;
import se.unlogic.standardutils.dao.annotations.DAOManaged;
import se.unlogic.standardutils.dao.annotations.Key;
import se.unlogic.standardutils.dao.annotations.ManyToOne;
import se.unlogic.standardutils.dao.annotations.Table;
import se.unlogic.standardutils.xml.XMLElement;

@XMLElement
@Table(name = "internal_contact_detail_query_instance_user_attributes")
public class UserAttributeValue extends SimpleAttribute {
	
	private static final long serialVersionUID = -768332256555066476L;
	
	@DAOManaged(columnName = "queryInstanceID")
	@Key
	@ManyToOne
	private InternalContactDetailQueryInstance queryInstance;
	
	public UserAttributeValue() {}
	
	public UserAttributeValue(String name, String value) {
		
		super(name, value);
	}
}
