package com.nordicpeak.flowengine.queries.internaluserqueries.interfaces;

import java.util.List;

import com.nordicpeak.flowengine.queries.internaluserqueries.InternalUserQueriesSelectedAttribute;

public interface CommonInternalUserQuery {

	public boolean isShowName();

	public boolean isShowUsername();

	public boolean isShowEmail();
	
	public boolean isShowManagerInfo();

	public boolean isRequireManagerSigning();

	public boolean isShowManagerName();

	public boolean isShowManagerUsername();

	public boolean isShowManagerEmail();

	public List<? extends InternalUserQueriesSelectedAttribute> getSelectedUserAttributes();

	public List<? extends InternalUserQueriesSelectedAttribute> getSelectedManagerAttributes();

	public String getAttributeName();
}
