
package se.lantmateriet.namespace.distribution.produkter.belagenhetsadress.v4;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

import net.opengis.gml._3.AbstractFeatureType;


/**
 * <p>Java class for BelagenhetsadressType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BelagenhetsadressType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://www.opengis.net/gml/3.2}AbstractFeatureType">
 *       &lt;sequence>
 *         &lt;element name="objektidentitet" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}UUIDType"/>
 *         &lt;element name="objektversion" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="versionGiltigFran" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="objektstatus" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}ObjektstatusType"/>
 *         &lt;element name="Adressplatsattribut" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatsattributType" minOccurs="0"/>
 *         &lt;element name="Adressplatsnamn" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatsnamnType" minOccurs="0"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="Adressomrade" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressomradeType"/>
 *           &lt;element name="Gardsadressomrade" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}GardsadressomradeType"/>
 *         &lt;/choice>
 *         &lt;element name="Adressplatsanmarkning" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressplatsanmarkningType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AdressattAnlaggning" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}AdressattAnlaggningType" minOccurs="0"/>
 *         &lt;element name="Registerenhetsreferens" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}RegisterenhetsreferensType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Distrikttillhorighet" type="{http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1}DistrikttillhorighetType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BelagenhetsadressType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/belagenhetsadress/v4.1", propOrder = {
    "objektidentitet",
    "objektversion",
    "versionGiltigFran",
    "objektstatus",
    "adressplatsattribut",
    "adressplatsnamn",
    "adressomrade",
    "gardsadressomrade",
    "adressplatsanmarkning",
    "adressattAnlaggning",
    "registerenhetsreferens",
    "distrikttillhorighet"
})
public class BelagenhetsadressType
    extends AbstractFeatureType
{

    @XmlElement(required = true)
    protected String objektidentitet;
    protected int objektversion;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar versionGiltigFran;
    @XmlElement(required = true)
    protected ObjektstatusType objektstatus;
    @XmlElement(name = "Adressplatsattribut")
    protected AdressplatsattributType adressplatsattribut;
    @XmlElement(name = "Adressplatsnamn")
    protected AdressplatsnamnType adressplatsnamn;
    @XmlElement(name = "Adressomrade")
    protected AdressomradeType adressomrade;
    @XmlElement(name = "Gardsadressomrade")
    protected GardsadressomradeType gardsadressomrade;
    @XmlElement(name = "Adressplatsanmarkning")
    protected List<AdressplatsanmarkningType> adressplatsanmarkning;
    @XmlElement(name = "AdressattAnlaggning")
    protected AdressattAnlaggningType adressattAnlaggning;
    @XmlElement(name = "Registerenhetsreferens")
    protected List<RegisterenhetsreferensType> registerenhetsreferens;
    @XmlElement(name = "Distrikttillhorighet")
    protected DistrikttillhorighetType distrikttillhorighet;

    /**
     * Gets the value of the objektidentitet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     * 
     */
    public String getObjektidentitet() {
        return objektidentitet;
    }

    /**
     * Sets the value of the objektidentitet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     * 
     */
    public void setObjektidentitet(String value) {
        this.objektidentitet = value;
    }

    /**
     * Gets the value of the objektversion property.
     * 
     */
    public int getObjektversion() {
        return objektversion;
    }

    /**
     * Sets the value of the objektversion property.
     * 
     */
    public void setObjektversion(int value) {
        this.objektversion = value;
    }

    /**
     * Gets the value of the versionGiltigFran property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     * 
     */
    public XMLGregorianCalendar getVersionGiltigFran() {
        return versionGiltigFran;
    }

    /**
     * Sets the value of the versionGiltigFran property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     * 
     */
    public void setVersionGiltigFran(XMLGregorianCalendar value) {
        this.versionGiltigFran = value;
    }

    /**
     * Gets the value of the objektstatus property.
     * 
     * @return
     *     possible object is
     *     {@link ObjektstatusType }
     * 
     */
    public ObjektstatusType getObjektstatus() {
        return objektstatus;
    }

    /**
     * Sets the value of the objektstatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjektstatusType }
     * 
     */
    public void setObjektstatus(ObjektstatusType value) {
        this.objektstatus = value;
    }

    /**
     * Gets the value of the adressplatsattribut property.
     * 
     * @return
     *     possible object is
     *     {@link AdressplatsattributType }
     * 
     */
    public AdressplatsattributType getAdressplatsattribut() {
        return adressplatsattribut;
    }

    /**
     * Sets the value of the adressplatsattribut property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressplatsattributType }
     * 
     */
    public void setAdressplatsattribut(AdressplatsattributType value) {
        this.adressplatsattribut = value;
    }

    /**
     * Gets the value of the adressplatsnamn property.
     * 
     * @return
     *     possible object is
     *     {@link AdressplatsnamnType }
     * 
     */
    public AdressplatsnamnType getAdressplatsnamn() {
        return adressplatsnamn;
    }

    /**
     * Sets the value of the adressplatsnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressplatsnamnType }
     * 
     */
    public void setAdressplatsnamn(AdressplatsnamnType value) {
        this.adressplatsnamn = value;
    }

    /**
     * Gets the value of the adressomrade property.
     * 
     * @return
     *     possible object is
     *     {@link AdressomradeType }
     * 
     */
    public AdressomradeType getAdressomrade() {
        return adressomrade;
    }

    /**
     * Sets the value of the adressomrade property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressomradeType }
     * 
     */
    public void setAdressomrade(AdressomradeType value) {
        this.adressomrade = value;
    }

    /**
     * Gets the value of the gardsadressomrade property.
     * 
     * @return
     *     possible object is
     *     {@link GardsadressomradeType }
     * 
     */
    public GardsadressomradeType getGardsadressomrade() {
        return gardsadressomrade;
    }

    /**
     * Sets the value of the gardsadressomrade property.
     * 
     * @param value
     *     allowed object is
     *     {@link GardsadressomradeType }
     * 
     */
    public void setGardsadressomrade(GardsadressomradeType value) {
        this.gardsadressomrade = value;
    }

    /**
     * Gets the value of the adressplatsanmarkning property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adressplatsanmarkning property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdressplatsanmarkning().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AdressplatsanmarkningType }
     * 
     * 
     */
    public List<AdressplatsanmarkningType> getAdressplatsanmarkning() {
        if (adressplatsanmarkning == null) {
            adressplatsanmarkning = new ArrayList<AdressplatsanmarkningType>();
        }
        return this.adressplatsanmarkning;
    }

    /**
     * Gets the value of the adressattAnlaggning property.
     * 
     * @return
     *     possible object is
     *     {@link AdressattAnlaggningType }
     * 
     */
    public AdressattAnlaggningType getAdressattAnlaggning() {
        return adressattAnlaggning;
    }

    /**
     * Sets the value of the adressattAnlaggning property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressattAnlaggningType }
     * 
     */
    public void setAdressattAnlaggning(AdressattAnlaggningType value) {
        this.adressattAnlaggning = value;
    }

    /**
     * Gets the value of the registerenhetsreferens property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the registerenhetsreferens property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegisterenhetsreferens().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RegisterenhetsreferensType }
     * 
     * 
     */
    public List<RegisterenhetsreferensType> getRegisterenhetsreferens() {
        if (registerenhetsreferens == null) {
            registerenhetsreferens = new ArrayList<RegisterenhetsreferensType>();
        }
        return this.registerenhetsreferens;
    }

    /**
     * Gets the value of the distrikttillhorighet property.
     * 
     * @return
     *     possible object is
     *     {@link DistrikttillhorighetType }
     * 
     */
    public DistrikttillhorighetType getDistrikttillhorighet() {
        return distrikttillhorighet;
    }

    /**
     * Sets the value of the distrikttillhorighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link DistrikttillhorighetType }
     * 
     */
    public void setDistrikttillhorighet(DistrikttillhorighetType value) {
        this.distrikttillhorighet = value;
    }

}
