
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BeslutstypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BeslutstypType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Avslag"/>
 *     &lt;enumeration value="Avvisad"/>
 *     &lt;enumeration value="Beviljad"/>
 *     &lt;enumeration value="Oknd"/>
 *     &lt;enumeration value="Uppskov"/>
 *     &lt;enumeration value="Vilande"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BeslutstypType")
@XmlEnum
public enum BeslutstypType {

    @XmlEnumValue("Avslag")
    AVSLAG("Avslag"),
    @XmlEnumValue("Avvisad")
    AVVISAD("Avvisad"),
    @XmlEnumValue("Beviljad")
    BEVILJAD("Beviljad"),
    @XmlEnumValue("Ok\u00e4nd")
    OKND("Ok\u00e4nd"),
    @XmlEnumValue("Uppskov")
    UPPSKOV("Uppskov"),
    @XmlEnumValue("Vilande")
    VILANDE("Vilande");
    private final String value;

    BeslutstypType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BeslutstypType fromValue(String v) {
        for (BeslutstypType c: BeslutstypType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
