
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FangesartType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="FangesartType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Arv"/>
 *     &lt;enumeration value="Avhandling"/>
 *     &lt;enumeration value="Avtal"/>
 *     &lt;enumeration value="Bodelning"/>
 *     &lt;enumeration value="Bodelning pga. ddsfall"/>
 *     &lt;enumeration value="Bodelning pga. sambofrhllandets upphrande"/>
 *     &lt;enumeration value="Bodelning pga. ktenskapsskillnad"/>
 *     &lt;enumeration value="Bodelning under bestende ktenskap"/>
 *     &lt;enumeration value="Bouppteckning"/>
 *     &lt;enumeration value="Byte"/>
 *     &lt;enumeration value="Delning"/>
 *     &lt;enumeration value="Domstols utslag eller dom"/>
 *     &lt;enumeration value="Ensittarinlsen"/>
 *     &lt;enumeration value="Exekutiv frsljning"/>
 *     &lt;enumeration value="Expropriation"/>
 *     &lt;enumeration value="Fideikommiss"/>
 *     &lt;enumeration value="Fusion"/>
 *     &lt;enumeration value="Frkp"/>
 *     &lt;enumeration value="Frvrv av kyrklig jord prstlnebostlle"/>
 *     &lt;enumeration value="Gva"/>
 *     &lt;enumeration value="Inlsen"/>
 *     &lt;enumeration value="Jrnvgslagfart"/>
 *     &lt;enumeration value="Konkursfrsljning"/>
 *     &lt;enumeration value="Kp"/>
 *     &lt;enumeration value="Laga skifte"/>
 *     &lt;enumeration value="Lagfart p grundval av protokoll frn lagfartssammantrde"/>
 *     &lt;enumeration value="Skifte"/>
 *     &lt;enumeration value="Storskifte"/>
 *     &lt;enumeration value="Testamente"/>
 *     &lt;enumeration value="Tillskott"/>
 *     &lt;enumeration value="Uppltelse av tomtrtt"/>
 *     &lt;enumeration value="Utdelning"/>
 *     &lt;enumeration value="ganderttsfrteckning"/>
 *     &lt;enumeration value="ktenskapsfrord"/>
 *     &lt;enumeration value="vriga fngeshandlingar"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FangesartType")
@XmlEnum
public enum FangesartType {

    @XmlEnumValue("Arv")
    ARV("Arv"),
    @XmlEnumValue("Avhandling")
    AVHANDLING("Avhandling"),
    @XmlEnumValue("Avtal")
    AVTAL("Avtal"),
    @XmlEnumValue("Bodelning")
    BODELNING("Bodelning"),
    @XmlEnumValue("Bodelning pga. d\u00f6dsfall")
    BODELNING_PGA_DDSFALL("Bodelning pga. d\u00f6dsfall"),
    @XmlEnumValue("Bodelning pga. sambof\u00f6rh\u00e5llandets upph\u00f6rande")
    BODELNING_PGA_SAMBOFRHLLANDETS_UPPHRANDE("Bodelning pga. sambof\u00f6rh\u00e5llandets upph\u00f6rande"),
    @XmlEnumValue("Bodelning pga. \u00e4ktenskapsskillnad")
    BODELNING_PGA_KTENSKAPSSKILLNAD("Bodelning pga. \u00e4ktenskapsskillnad"),
    @XmlEnumValue("Bodelning under best\u00e5ende \u00e4ktenskap")
    BODELNING_UNDER_BESTENDE_KTENSKAP("Bodelning under best\u00e5ende \u00e4ktenskap"),
    @XmlEnumValue("Bouppteckning")
    BOUPPTECKNING("Bouppteckning"),
    @XmlEnumValue("Byte")
    BYTE("Byte"),
    @XmlEnumValue("Delning")
    DELNING("Delning"),
    @XmlEnumValue("Domstols utslag eller dom")
    DOMSTOLS_UTSLAG_ELLER_DOM("Domstols utslag eller dom"),
    @XmlEnumValue("Ensittarinl\u00f6sen")
    ENSITTARINLSEN("Ensittarinl\u00f6sen"),
    @XmlEnumValue("Exekutiv f\u00f6rs\u00e4ljning")
    EXEKUTIV_FRSLJNING("Exekutiv f\u00f6rs\u00e4ljning"),
    @XmlEnumValue("Expropriation")
    EXPROPRIATION("Expropriation"),
    @XmlEnumValue("Fideikommiss")
    FIDEIKOMMISS("Fideikommiss"),
    @XmlEnumValue("Fusion")
    FUSION("Fusion"),
    @XmlEnumValue("F\u00f6rk\u00f6p")
    FRKP("F\u00f6rk\u00f6p"),
    @XmlEnumValue("F\u00f6rv\u00e4rv av kyrklig jord pr\u00e4stl\u00f6nebost\u00e4lle")
    FRVRV_AV_KYRKLIG_JORD_PRSTLNEBOSTLLE("F\u00f6rv\u00e4rv av kyrklig jord pr\u00e4stl\u00f6nebost\u00e4lle"),
    @XmlEnumValue("G\u00e5va")
    GVA("G\u00e5va"),
    @XmlEnumValue("Inl\u00f6sen")
    INLSEN("Inl\u00f6sen"),
    @XmlEnumValue("J\u00e4rnv\u00e4gslagfart")
    JRNVGSLAGFART("J\u00e4rnv\u00e4gslagfart"),
    @XmlEnumValue("Konkursf\u00f6rs\u00e4ljning")
    KONKURSFRSLJNING("Konkursf\u00f6rs\u00e4ljning"),
    @XmlEnumValue("K\u00f6p")
    KP("K\u00f6p"),
    @XmlEnumValue("Laga skifte")
    LAGA_SKIFTE("Laga skifte"),
    @XmlEnumValue("Lagfart p\u00e5 grundval av protokoll fr\u00e5n lagfartssammantr\u00e4de")
    LAGFART_P_GRUNDVAL_AV_PROTOKOLL_FRN_LAGFARTSSAMMANTRDE("Lagfart p\u00e5 grundval av protokoll fr\u00e5n lagfartssammantr\u00e4de"),
    @XmlEnumValue("Skifte")
    SKIFTE("Skifte"),
    @XmlEnumValue("Storskifte")
    STORSKIFTE("Storskifte"),
    @XmlEnumValue("Testamente")
    TESTAMENTE("Testamente"),
    @XmlEnumValue("Tillskott")
    TILLSKOTT("Tillskott"),
    @XmlEnumValue("Uppl\u00e5telse av tomtr\u00e4tt")
    UPPLTELSE_AV_TOMTRTT("Uppl\u00e5telse av tomtr\u00e4tt"),
    @XmlEnumValue("Utdelning")
    UTDELNING("Utdelning"),
    @XmlEnumValue("\u00c4gander\u00e4ttsf\u00f6rteckning")
    GANDERTTSFRTECKNING("\u00c4gander\u00e4ttsf\u00f6rteckning"),
    @XmlEnumValue("\u00c4ktenskapsf\u00f6rord")
    KTENSKAPSFRORD("\u00c4ktenskapsf\u00f6rord"),
    @XmlEnumValue("\u00d6vriga f\u00e5ngeshandlingar")
    VRIGA_FNGESHANDLINGAR("\u00d6vriga f\u00e5ngeshandlingar");
    private final String value;

    FangesartType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FangesartType fromValue(String v) {
        for (FangesartType c: FangesartType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
