
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for IRFastighetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IRFastighetType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="aldreForhallande" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="allvarligtFelIR" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="oklaraInskrivningsforhallanden" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="senasteAndringInskrivningsdelen" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="aktualitetsdatum" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IRFastighetType", propOrder = {
    "aldreForhallande",
    "allvarligtFelIR",
    "oklaraInskrivningsforhallanden",
    "senasteAndringInskrivningsdelen",
    "aktualitetsdatum"
})
public class IRFastighetType
    extends UtbytesobjektType
{

    protected String aldreForhallande;
    protected boolean allvarligtFelIR;
    protected boolean oklaraInskrivningsforhallanden;
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar senasteAndringInskrivningsdelen;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar aktualitetsdatum;

    /**
     * Gets the value of the aldreForhallande property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAldreForhallande() {
        return aldreForhallande;
    }

    /**
     * Sets the value of the aldreForhallande property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAldreForhallande(String value) {
        this.aldreForhallande = value;
    }

    /**
     * Gets the value of the allvarligtFelIR property.
     * 
     */
    public boolean isAllvarligtFelIR() {
        return allvarligtFelIR;
    }

    /**
     * Sets the value of the allvarligtFelIR property.
     * 
     */
    public void setAllvarligtFelIR(boolean value) {
        this.allvarligtFelIR = value;
    }

    /**
     * Gets the value of the oklaraInskrivningsforhallanden property.
     * 
     */
    public boolean isOklaraInskrivningsforhallanden() {
        return oklaraInskrivningsforhallanden;
    }

    /**
     * Sets the value of the oklaraInskrivningsforhallanden property.
     * 
     */
    public void setOklaraInskrivningsforhallanden(boolean value) {
        this.oklaraInskrivningsforhallanden = value;
    }

    /**
     * Gets the value of the senasteAndringInskrivningsdelen property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getSenasteAndringInskrivningsdelen() {
        return senasteAndringInskrivningsdelen;
    }

    /**
     * Sets the value of the senasteAndringInskrivningsdelen property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setSenasteAndringInskrivningsdelen(XMLGregorianCalendar value) {
        this.senasteAndringInskrivningsdelen = value;
    }

    /**
     * Gets the value of the aktualitetsdatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAktualitetsdatum() {
        return aktualitetsdatum;
    }

    /**
     * Sets the value of the aktualitetsdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAktualitetsdatum(XMLGregorianCalendar value) {
        this.aktualitetsdatum = value;
    }

}
