
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrganisationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrganisationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="organisationsnummer" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}IDnummerType"/>
 *         &lt;element name="organisationsnamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="juridiskForm" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adress" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AdressType" minOccurs="0"/>
 *         &lt;element name="Utlandsadress" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtlandsadressType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrganisationType", propOrder = {
    "organisationsnummer",
    "organisationsnamn",
    "juridiskForm",
    "adress",
    "utlandsadress"
})
public class OrganisationType {

    @XmlElement(required = true)
    protected String organisationsnummer;
    protected String organisationsnamn;
    protected String juridiskForm;
    @XmlElement(name = "Adress")
    protected AdressType adress;
    @XmlElement(name = "Utlandsadress")
    protected UtlandsadressType utlandsadress;

    /**
     * Gets the value of the organisationsnummer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationsnummer() {
        return organisationsnummer;
    }

    /**
     * Sets the value of the organisationsnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationsnummer(String value) {
        this.organisationsnummer = value;
    }

    /**
     * Gets the value of the organisationsnamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationsnamn() {
        return organisationsnamn;
    }

    /**
     * Sets the value of the organisationsnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationsnamn(String value) {
        this.organisationsnamn = value;
    }

    /**
     * Gets the value of the juridiskForm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJuridiskForm() {
        return juridiskForm;
    }

    /**
     * Sets the value of the juridiskForm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJuridiskForm(String value) {
        this.juridiskForm = value;
    }

    /**
     * Gets the value of the adress property.
     * 
     * @return
     *     possible object is
     *     {@link AdressType }
     *     
     */
    public AdressType getAdress() {
        return adress;
    }

    /**
     * Sets the value of the adress property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressType }
     *     
     */
    public void setAdress(AdressType value) {
        this.adress = value;
    }

    /**
     * Gets the value of the utlandsadress property.
     * 
     * @return
     *     possible object is
     *     {@link UtlandsadressType }
     *     
     */
    public UtlandsadressType getUtlandsadress() {
        return utlandsadress;
    }

    /**
     * Sets the value of the utlandsadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link UtlandsadressType }
     *     
     */
    public void setUtlandsadress(UtlandsadressType value) {
        this.utlandsadress = value;
    }

}
