
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for PagaendeArendeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PagaendeArendeType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtbytesobjektType">
 *       &lt;sequence>
 *         &lt;element name="aktualitetsdatum" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="pagaendeArendetyp" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}PagaendeArendetypType" maxOccurs="unbounded"/>
 *         &lt;element name="Registerenhetsreferens" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}RegisterenhetsreferensType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PagaendeArendeType", propOrder = {
    "aktualitetsdatum",
    "pagaendeArendetyp",
    "registerenhetsreferens"
})
public class PagaendeArendeType
    extends UtbytesobjektType
{

    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar aktualitetsdatum;
    @XmlElement(required = true)
    protected List<PagaendeArendetypType> pagaendeArendetyp;
    @XmlElement(name = "Registerenhetsreferens")
    protected List<RegisterenhetsreferensType> registerenhetsreferens;

    /**
     * Gets the value of the aktualitetsdatum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAktualitetsdatum() {
        return aktualitetsdatum;
    }

    /**
     * Sets the value of the aktualitetsdatum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAktualitetsdatum(XMLGregorianCalendar value) {
        this.aktualitetsdatum = value;
    }

    /**
     * Gets the value of the pagaendeArendetyp property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the pagaendeArendetyp property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPagaendeArendetyp().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PagaendeArendetypType }
     * 
     * 
     */
    public List<PagaendeArendetypType> getPagaendeArendetyp() {
        if (pagaendeArendetyp == null) {
            pagaendeArendetyp = new ArrayList<PagaendeArendetypType>();
        }
        return this.pagaendeArendetyp;
    }

    /**
     * Gets the value of the registerenhetsreferens property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the registerenhetsreferens property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegisterenhetsreferens().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RegisterenhetsreferensType }
     * 
     * 
     */
    public List<RegisterenhetsreferensType> getRegisterenhetsreferens() {
        if (registerenhetsreferens == null) {
            registerenhetsreferens = new ArrayList<RegisterenhetsreferensType>();
        }
        return this.registerenhetsreferens;
    }

}
