
package se.lantmateriet.namespace.distribution.produkter.inskrivning.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PersonType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="personnummer" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}IDnummerType"/>
 *         &lt;element name="fornamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="mellannamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="efternamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tilltalsnamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Adress" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AdressType" minOccurs="0"/>
 *         &lt;element name="SarskildAdress" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}AdressType" minOccurs="0"/>
 *         &lt;element name="Utlandsadress" type="{http://namespace.lantmateriet.se/distribution/produkter/inskrivning/v2.1}UtlandsadressType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonType", propOrder = {
    "personnummer",
    "fornamn",
    "mellannamn",
    "efternamn",
    "tilltalsnamn",
    "adress",
    "sarskildAdress",
    "utlandsadress"
})
public class PersonType {

    @XmlElement(required = true)
    protected String personnummer;
    protected String fornamn;
    protected String mellannamn;
    protected String efternamn;
    protected String tilltalsnamn;
    @XmlElement(name = "Adress")
    protected AdressType adress;
    @XmlElement(name = "SarskildAdress")
    protected AdressType sarskildAdress;
    @XmlElement(name = "Utlandsadress")
    protected UtlandsadressType utlandsadress;

    /**
     * Gets the value of the personnummer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonnummer() {
        return personnummer;
    }

    /**
     * Sets the value of the personnummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonnummer(String value) {
        this.personnummer = value;
    }

    /**
     * Gets the value of the fornamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFornamn() {
        return fornamn;
    }

    /**
     * Sets the value of the fornamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFornamn(String value) {
        this.fornamn = value;
    }

    /**
     * Gets the value of the mellannamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMellannamn() {
        return mellannamn;
    }

    /**
     * Sets the value of the mellannamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMellannamn(String value) {
        this.mellannamn = value;
    }

    /**
     * Gets the value of the efternamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEfternamn() {
        return efternamn;
    }

    /**
     * Sets the value of the efternamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEfternamn(String value) {
        this.efternamn = value;
    }

    /**
     * Gets the value of the tilltalsnamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTilltalsnamn() {
        return tilltalsnamn;
    }

    /**
     * Sets the value of the tilltalsnamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTilltalsnamn(String value) {
        this.tilltalsnamn = value;
    }

    /**
     * Gets the value of the adress property.
     * 
     * @return
     *     possible object is
     *     {@link AdressType }
     *     
     */
    public AdressType getAdress() {
        return adress;
    }

    /**
     * Sets the value of the adress property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressType }
     *     
     */
    public void setAdress(AdressType value) {
        this.adress = value;
    }

    /**
     * Gets the value of the sarskildAdress property.
     * 
     * @return
     *     possible object is
     *     {@link AdressType }
     *     
     */
    public AdressType getSarskildAdress() {
        return sarskildAdress;
    }

    /**
     * Sets the value of the sarskildAdress property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdressType }
     *     
     */
    public void setSarskildAdress(AdressType value) {
        this.sarskildAdress = value;
    }

    /**
     * Gets the value of the utlandsadress property.
     * 
     * @return
     *     possible object is
     *     {@link UtlandsadressType }
     *     
     */
    public UtlandsadressType getUtlandsadress() {
        return utlandsadress;
    }

    /**
     * Sets the value of the utlandsadress property.
     * 
     * @param value
     *     allowed object is
     *     {@link UtlandsadressType }
     *     
     */
    public void setUtlandsadress(UtlandsadressType value) {
        this.utlandsadress = value;
    }

}
