
package se.lantmateriet.namespace.distribution.produkter.registerbeteckning.v4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RegisterbeteckningType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RegisterbeteckningType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="beteckningsid" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}BeteckningsidType"/>
 *         &lt;element name="registeromrade" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="trakt" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="block" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="enhet" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="beteckningsstatus" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}BeteckningsstatusType"/>
 *         &lt;element name="TidigareRegisterbeteckning" type="{http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4}RegisterbeteckningType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="markering" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RegisterbeteckningType", namespace = "http://namespace.lantmateriet.se/distribution/produkter/registerbeteckning/v4", propOrder = {
    "beteckningsid",
    "registeromrade",
    "trakt",
    "block",
    "enhet",
    "beteckningsstatus",
    "tidigareRegisterbeteckning"
})
public class RegisterbeteckningType {

    @XmlElement(required = true)
    protected String beteckningsid;
    @XmlElement(required = true)
    protected String registeromrade;
    @XmlElement(required = true)
    protected String trakt;
    protected String block;
    protected int enhet;
    @XmlElement(required = true)
    protected BeteckningsstatusType beteckningsstatus;
    @XmlElement(name = "TidigareRegisterbeteckning")
    protected RegisterbeteckningType tidigareRegisterbeteckning;
    @XmlAttribute
    protected Boolean markering;

    /**
     * Gets the value of the beteckningsid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeteckningsid() {
        return beteckningsid;
    }

    /**
     * Sets the value of the beteckningsid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeteckningsid(String value) {
        this.beteckningsid = value;
    }

    /**
     * Gets the value of the registeromrade property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegisteromrade() {
        return registeromrade;
    }

    /**
     * Sets the value of the registeromrade property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegisteromrade(String value) {
        this.registeromrade = value;
    }

    /**
     * Gets the value of the trakt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTrakt() {
        return trakt;
    }

    /**
     * Sets the value of the trakt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTrakt(String value) {
        this.trakt = value;
    }

    /**
     * Gets the value of the block property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBlock() {
        return block;
    }

    /**
     * Sets the value of the block property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBlock(String value) {
        this.block = value;
    }

    /**
     * Gets the value of the enhet property.
     * 
     */
    public int getEnhet() {
        return enhet;
    }

    /**
     * Sets the value of the enhet property.
     * 
     */
    public void setEnhet(int value) {
        this.enhet = value;
    }

    /**
     * Gets the value of the beteckningsstatus property.
     * 
     * @return
     *     possible object is
     *     {@link BeteckningsstatusType }
     *     
     */
    public BeteckningsstatusType getBeteckningsstatus() {
        return beteckningsstatus;
    }

    /**
     * Sets the value of the beteckningsstatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link BeteckningsstatusType }
     *     
     */
    public void setBeteckningsstatus(BeteckningsstatusType value) {
        this.beteckningsstatus = value;
    }

    /**
     * Gets the value of the tidigareRegisterbeteckning property.
     * 
     * @return
     *     possible object is
     *     {@link RegisterbeteckningType }
     *     
     */
    public RegisterbeteckningType getTidigareRegisterbeteckning() {
        return tidigareRegisterbeteckning;
    }

    /**
     * Sets the value of the tidigareRegisterbeteckning property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegisterbeteckningType }
     *     
     */
    public void setTidigareRegisterbeteckning(RegisterbeteckningType value) {
        this.tidigareRegisterbeteckning = value;
    }

    /**
     * Gets the value of the markering property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isMarkering() {
        if (markering == null) {
            return false;
        } else {
            return markering;
        }
    }

    /**
     * Sets the value of the markering property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMarkering(Boolean value) {
        this.markering = value;
    }

}
