package com.nordicpeak.lmsearch.beans;

import java.util.Calendar;

import flexjson.JSON;

public class LMAccessToken {

	@JSON(name = "access_token")
	private String token;

	@JSON
	private String scope;

	@JSON(name = "token_type")
	private String tokenType;

	@JSON(name = "expires_in")
	private Long expiresIn;

	private Calendar expiresDate;

	public String getToken() {

		return token;
	}

	public void setToken(String token) {

		this.token = token;
	}

	public String getScope() {

		return scope;
	}

	public void setScope(String scope) {

		this.scope = scope;
	}

	public String getTokenType() {

		return tokenType;
	}

	public void setTokenType(String tokenType) {

		this.tokenType = tokenType;
	}

	public Long getExpiresIn() {

		return expiresIn;
	}

	public void setExpiresIn(Long expiresIn) {

		this.expiresIn = expiresIn;
	}

	public Calendar getExpiresDate() {

		return expiresDate;
	}

	public void setExpiresDate(Calendar expiresDate) {

		this.expiresDate = expiresDate;
	}

	@Override
	public String toString() {

		return "LMAccessToken [token=" + token + ", scope=" + scope + ", tokenType=" + tokenType + ", expiresIn=" + expiresIn + "]";
	}
}
