package com.nordicpeak.flowengine.evaluators.loggedin;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

public class LoggedInQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<LoggedInQueryStateEvaluator, LoggedInQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<LoggedInQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<LoggedInQueryStateEvaluator>(LoggedInQueryStateEvaluator.class);
	
	public LoggedInQueryStateEvaluatorCRUD(Class<LoggedInQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<LoggedInQueryStateEvaluator, Integer> evaluatorDAO, LoggedInQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "LoggedInQueryStateEvaluator", "logged in query state evaluator", null, callback);
	}
}
