package com.nordicpeak.flowengine.evaluators.manager;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.http.BeanRequestPopulator;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class ManagerQueryStateEvaluatorCRUD extends BaseEvaluatorCRUD<ManagerQueryStateEvaluator, ManagerQueryStateEvaluationProviderModule> {
	
	private static final BeanRequestPopulator<ManagerQueryStateEvaluator> POPULATOR = new AnnotatedRequestPopulator<ManagerQueryStateEvaluator>(ManagerQueryStateEvaluator.class);
	
	public ManagerQueryStateEvaluatorCRUD(Class<ManagerQueryStateEvaluator> beanClass, AnnotatedDAOWrapper<ManagerQueryStateEvaluator, Integer> evaluatorDAO, ManagerQueryStateEvaluationProviderModule callback) {
		
		super(beanClass, evaluatorDAO, POPULATOR, "ManagerQueryStateEvaluator", "manager query state evaluator", null, callback);
	}
}
