package com.nordicpeak.flowengine.queries.plotquery.eventmodule.events;

import java.io.Serializable;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.queries.plotquery.beans.PlotQueryInstance;
import com.nordicpeak.flowengine.queries.plotquery.eventmodule.beans.PlotEventType;

public class PlotHistoryEvent implements Serializable {

	private static final long serialVersionUID = 5713714962139488496L;

	protected final PlotQueryInstance queryInstance;

	protected final User user;

	protected final PlotEventType eventType;

	protected final String details;

	public PlotHistoryEvent(PlotQueryInstance queryInstance, User user, PlotEventType eventType, String details) {

		this.queryInstance = queryInstance;
		this.user = user;
		this.eventType = eventType;
		this.details = details;
	}

	public PlotQueryInstance getQueryInstance() {

		return queryInstance;
	}

	public User getUser() {

		return user;
	}

	public PlotEventType getEventType() {

		return eventType;
	}

	public String getDetails() {

		return details;
	}

}
