<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/Message.sv.xsl"/>
	
	<xsl:include href="QueueCommon.sv.xsl"/>
	<xsl:include href="QueueSlotAdminModuleTemplates.xsl"/>
	
	<xsl:variable name="i18n.Add">Lgg till</xsl:variable>
	<xsl:variable name="i18n.Update">ndra</xsl:variable>
	
	<xsl:variable name="i18n.NoQueues">Inga ker hittades.</xsl:variable>
	
	<xsl:variable name="i18n.ListQueueSlots.title">Visa kplatser</xsl:variable>
	<xsl:variable name="i18n.ListArchivedQueueSlots.title">Visa arkiverade kplatser</xsl:variable>
	<xsl:variable name="i18n.NoQueueSlots">Inga kplatser hittades</xsl:variable>
	<xsl:variable name="i18n.NoArchivedQueueSlots">Inga arkiverade kplatser hittades</xsl:variable>
	<xsl:variable name="i18n.AddQueueSlot">Lgg till kplats</xsl:variable>
	<xsl:variable name="i18n.UpdateQueueSlot">Flytta kplats</xsl:variable>
	<xsl:variable name="i18n.UpdateQueueSlotDescription">ndra kplatsbeskrivning</xsl:variable>
	<xsl:variable name="i18n.ShowQueueSlot">Visa kplats</xsl:variable>
	
	<xsl:variable name="i18n.DownloadFlowInstancePDF">Ladda ner rende</xsl:variable>
	<xsl:variable name="i18n.ShowFlowInstance">Visa rende</xsl:variable>
	
	<xsl:variable name="i18n.Contact.CitizenIdentifier">Personnummer</xsl:variable>
	<xsl:variable name="i18n.Contact.CitizenIdentifier.placeholder">MMDD-XXXX</xsl:variable>
	
	<xsl:variable name="i18n.DeleteQueueSlot">Ta bort kplats</xsl:variable>
	<xsl:variable name="i18n.DeleteQueueSlotConfirm">r du sker p att du vill ta bort kplats</xsl:variable>
	
	<xsl:variable name="i18n.ArchiveQueueSlot">Arkivera kplats</xsl:variable>
	<xsl:variable name="i18n.ArchiveQueueSlots">Arkivera kplatser</xsl:variable>
	<xsl:variable name="i18n.UnArchiveQueueSlot">terstll kplats</xsl:variable>
	<xsl:variable name="i18n.RequestPayment">Begr betalning</xsl:variable>
	<xsl:variable name="i18n.RevokePaymentRequest">Ta bort betalningsbegran</xsl:variable>
	
	<xsl:variable name="i18n.ArchiveQueueSlot.Title">Arkivera kplats</xsl:variable>
	<xsl:variable name="i18n.ArchiveQueueSlots.Title.Part1">Arkivera</xsl:variable>
	<xsl:variable name="i18n.ArchiveQueueSlots.Title.Part2">kplatser</xsl:variable>
	<xsl:variable name="i18n.UnArchiveQueueSlot.Title">terstll kplats</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.Title">Begr betalning fr kplats</xsl:variable>
	<xsl:variable name="i18n.RevokePaymentRequest.Title">Ta bort betalningsbegran fr kplats</xsl:variable>
	
	<xsl:variable name="i18n.ArchiveQueueSlot.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.UnArchiveQueueSlot.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.RevokePaymentRequest.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.UpdateQueueSlot.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	<xsl:variable name="i18n.AddQueueSlot.Description">Lmna en kommentar om du vill. Kommentaren kommer att visas under "Meddelanden" inne p kplatsen.</xsl:variable>
	
	<xsl:variable name="i18n.AddPayment">Lgg till betalning</xsl:variable>
	<xsl:variable name="i18n.Payment.Date">Betalningsdatum</xsl:variable>
	<xsl:variable name="i18n.Payment.Amount">Betalningsbelopp</xsl:variable>
	
	<xsl:variable name="i18n.ShowQueueSlot.title">Kplats</xsl:variable>
	<xsl:variable name="i18n.ShowQueueSlot.Archived.title">Arkiverad Kplats</xsl:variable>
	<xsl:variable name="i18n.PrimaryContact">Uppgifter vid intrde i k</xsl:variable>
	<xsl:variable name="i18n.UserContact">Uppgifter frn Mina sidor</xsl:variable>
	<xsl:variable name="i18n.ManualContact">Manuellt uppdaterade uppgifter</xsl:variable>
	<xsl:variable name="i18n.NewMessageDisabled">Nytt meddelande avstngt, anvndaren r inte digital</xsl:variable>
	
	<xsl:variable name="i18n.Contact.Name">Namn</xsl:variable>
	<xsl:variable name="i18n.Contact.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.Contact.Phone">Telefon</xsl:variable>
	<xsl:variable name="i18n.Contact.MobilePhone">Mobiltelefon</xsl:variable>
	<xsl:variable name="i18n.Contact.Address">Adress</xsl:variable>
	<xsl:variable name="i18n.Contact.PostalCode">Postnummer</xsl:variable>
	<xsl:variable name="i18n.Contact.PostalAddress">Ort</xsl:variable>
	<xsl:variable name="i18n.Contact.FirstName">Frnamn</xsl:variable>
	<xsl:variable name="i18n.Contact.LastName">Efternamn</xsl:variable>
	
	<xsl:variable name="i18n.NotPayed">Ej betald</xsl:variable>
	
	<xsl:variable name="i18n.ShowQueue">Visa k</xsl:variable>
	<xsl:variable name="i18n.ArchivedQueueSlots">Arkiverade kplatser</xsl:variable>

	<xsl:variable name="i18n.validationError.PaymentDateInFuture">Betalningsdatumet fr inte vara i framtiden</xsl:variable>
	<xsl:variable name="i18n.validationError.ErrorImportingCitizen">Ingen person hittades med det aktuella personnumret, kontrollera att personnumret stmmer eller frsk igen senare</xsl:variable>
	<xsl:variable name="i18n.validationError.PersonAlreadyInQueue">Personen str redan i denna k</xsl:variable>
	<xsl:variable name="i18n.validationError.AddedDateInFuture">Anskningsdatumet fr inte vara i framtiden</xsl:variable>
	<xsl:variable name="i18n.validationError.PersonIsInWaitingPeriod">Personen befinner sig i karens fram till och med </xsl:variable>
	
	<xsl:variable name="i18n.UpdateContact">ndra kontakt</xsl:variable>
	
	<xsl:variable name="i18n.ShowNonArchivedQueueSlots">Visa aktiva kplatser</xsl:variable>
	<xsl:variable name="i18n.ShowArchivedQueueSlots">Visa arkiverade kplatser</xsl:variable>
	<xsl:variable name="i18n.ExportToExcel">Exportera till Excel</xsl:variable>
	<xsl:variable name="i18n.ExportToExcel.title">Exportera valda kplatser till Excel. Om inga kplatser r valda exporteras hela kn.</xsl:variable>
	<xsl:variable name="i18n.ImportFromExcel">Importera kplatser</xsl:variable>
	
	<xsl:variable name="i18n.ImportExcel.title">Importera kplatser</xsl:variable>
	<xsl:variable name="i18n.ImportExcel.description">Hr kan du importera kplatser frn det gamla systemet. Filen ska innehlla fljande kolumner i denna ordning: Frnamn, Efternamn, Personnummer (12 siffror, utan bindestreck), E-post, Telefon, Mobiltelefon, Adress, Postnummer, Ort, Intrdesdatum, Senaste betalningsdatum, Belopp senaste betalning (alla datum ska vara skrivna som text och i formatet 2020-10-14). Efterfljande kolumner blir interna noteringar frutom den frsta som om den r namngiven "Beskrivning" istllet blir beskrivning. Import brjar frn andra raden.</xsl:variable>
	<xsl:variable name="i18n.ImportExcel.selectFile">Vlj xlsx fil att importera</xsl:variable>
	<xsl:variable name="i18n.ImportExcel.submit">Importera</xsl:variable>
	
	<xsl:variable name="i18n.InvalidFileExtension.Part1">Filen</xsl:variable>
	<xsl:variable name="i18n.InvalidFileExtension.Part2">r av en felaktig filtyp.</xsl:variable>
	<xsl:variable name="i18n.InvalidFileExtension.Part3">Fljande filtyper r tilltna:</xsl:variable>
	
	<xsl:variable name="i18n.UnableToParseFile.part1">Den gick inte att tolka innehllet i filen </xsl:variable>
	<xsl:variable name="i18n.UnableToParseFile.part2">.</xsl:variable>
	
	<xsl:variable name="i18n.validationError.ErrorImportingExcel">Ett fel uppstod vid import av kplats</xsl:variable>
	
	<xsl:variable name="i18n.SendMessageTitle">Skapa utskick fr k</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toDigital">Skicka till digitala anvndare</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toAnalogWithEmail">Skicka till analoga anvndare med e-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.AnalogNoEmail.1">Det finns</xsl:variable>
	<xsl:variable name="i18n.SendMessage.AnalogNoEmail.2">analoga anvndare utan e-post.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toDigitalPaymentPending.1">Skicka till digitala anvndare som har utestende betalning</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toDigitalPaymentPending.2">och haft tminstone x dagar p sig att betala</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toAnalogPaymentPendingWithEmail.1">Skicka till analoga anvndare med e-post som har utestende betalning</xsl:variable>
	<xsl:variable name="i18n.SendMessage.toAnalogPaymentPendingWithEmail.2">och haft tminstone x dagar p sig att betala</xsl:variable>
	<xsl:variable name="i18n.SendMessage.EmailsSent">E-postmeddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Recipients">anvndare</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMSsSent">SMS-meddelande skickat till</xsl:variable>
	<xsl:variable name="i18n.SelectedQueueSlot"> kplats r vald.</xsl:variable>
	<xsl:variable name="i18n.SelectedQueueSlots"> kplatser r valda.</xsl:variable>
	
	<xsl:variable name="i18n.SendMessage.ExternalMessagesSent">Meddelande p mina sidor skickat till</xsl:variable>
	<xsl:variable name="i18n.SendMessage.ExternalMessagesSentEmailNotifications">e-postnotifikationer och</xsl:variable>
	<xsl:variable name="i18n.SendMessage.ExternalMessagesSentSMSNotifications">SMS-notifikationer</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Transport">Typ av utskick</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Transport.description">Vlj vilken typ av utskick som ska gras. Utskick grs endast till de anvndare som valt de aktuella kontaktvgarna. Om valt och det gr att skicka meddelande till mina sidor s skickas inte e-post till samma anvndare.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SMS">SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendEmail">Skicka via e-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendSMS">Skicka via SMS</xsl:variable>
	<xsl:variable name="i18n.SendMessage.OverrideUserSMSSettings">Skicka alltid SMS oavsett anvndarens instllning</xsl:variable>
	<xsl:variable name="i18n.SendMessage.OverrideUserSMSSettings.Information">Observera att fullt ansvar fr att tvinga ett SMS trots att anvndaren avsagt sig dessa helt faller p aktuell handlggare.</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SendExternalMessage">Meddelande p mina sidor (endast digitala anvndare)</xsl:variable>
	<xsl:variable name="i18n.SendMessage.ExternalMessage">Meddelande p mina sidor</xsl:variable>
	<xsl:variable name="i18n.SendMessage.smsMessage">SMS-meddelande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Email">E-post</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Subject">Rubrik</xsl:variable>
	<xsl:variable name="i18n.SendMessage.Message">Meddelande</xsl:variable>
	<xsl:variable name="i18n.emailSenderName">e-post avsndarnamn</xsl:variable>
	<xsl:variable name="i18n.emailSenderAddress">e-post avsndaradress</xsl:variable>
	<xsl:variable name="i18n.emailSubject">e-postrubrik</xsl:variable>
	<xsl:variable name="i18n.emailMessage">e-postmeddelande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SubmitMessage">Skicka meddelande</xsl:variable>
	<xsl:variable name="i18n.SendMessage.SubmittingMessage">Skickar meddelande</xsl:variable>
	<xsl:variable name="i18n.BackToListQueueSlots">Tillbaka</xsl:variable>
	<xsl:variable name="i18n.SendMessages">Skapa utskick</xsl:variable>
	<xsl:variable name="i18n.SendMessage.recipientType.title">Vlj mottagare</xsl:variable>
	<xsl:variable name="i18n.SendMessage.recipientType.description">Vlj vilka mottagare som ska f utskicket baserat p vilken typ av digital status de har. Siffran inom parantes visar antalet kplatser av den typen.</xsl:variable>
	<xsl:variable name="i18n.NoRecipientTypesSelected">Du mste vlja minst en typ av anvndare att skicka till.</xsl:variable>
	<xsl:variable name="i18n.NoMessagePathSelected">Du mste vlja minst en typ av utskick.</xsl:variable>
	<xsl:variable name="i18n.EmailSenderNotSet">Du mste stlla in e-post avsndare p kn fr att kunna anvnda den hr funktionen.</xsl:variable>
	
	<xsl:variable name="i18n.InvalidRecipientEmail.1">Det gick inte att skicka e-post gllande kplats</xsl:variable>
	<xsl:variable name="i18n.InvalidRecipientEmail.2">p grund av ogiltig e-post adress</xsl:variable>
	<xsl:variable name="i18n.InvalidRecipientPhoneNumber.1">Det gick inte att skicka SMS till kplats</xsl:variable>
	<xsl:variable name="i18n.InvalidRecipientPhoneNumber.2">p grund av ogiltigt telefonnummer</xsl:variable>
	
	<xsl:variable name="i18n.ErrorSendingToRecipientViaEmail.1">Det gick inte att skicka e-post gllande kplats</xsl:variable>
	<xsl:variable name="i18n.ErrorSendingToRecipientViaEmail.2">via e-post adressen</xsl:variable>
	<xsl:variable name="i18n.ErrorSendingToRecipientViaSMS.1">Det gick inte att skicka SMS gllande kplats</xsl:variable>
	<xsl:variable name="i18n.ErrorSendingToRecipientViaSMS.2">via SMS till telefonnumret</xsl:variable>
	
	<xsl:variable name="i18n.DontContactRecipientBySMS.1">Skickade inte SMS gllande kplats</xsl:variable>
	<xsl:variable name="i18n.DontContactRecipientBySMS.2">till telefonnumret</xsl:variable>
	<xsl:variable name="i18n.DontContactRecipientBySMS.3">eftersom personen valt att inte bli kontaktad via SMS.</xsl:variable>
	
	<xsl:variable name="i18n.UserTagsTable.description">Fljande taggar kan anvndas i rubrik och meddelande</xsl:variable>
	<xsl:variable name="i18n.Tag">Tagg</xsl:variable>
	<xsl:variable name="i18n.Description">Beskrivning</xsl:variable>
	<xsl:variable name="i18n.QueueNameTag">Knamn</xsl:variable>
	<xsl:variable name="i18n.QueueSlotPositionTag">Kposition</xsl:variable>
	<xsl:variable name="i18n.QueueSlotURLTag">Adress till kplatsen (krver inloggning fr att anvndas)</xsl:variable>
	<xsl:variable name="i18n.PosterFirstnameTag">Kontaktpersonens frnamn</xsl:variable>
	<xsl:variable name="i18n.PosterLastnameTag">Kontaktpersonens efternamn</xsl:variable>
	
	<xsl:variable name="i18n.RequestPaymentTitle">Begr betalning fr k</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.recipientType.title">Vlj mottagare</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.recipientType.description">Anvnd formulret nedan fr att skicka ut en betalningsbegran till de anvndare som inte betalat fr sin kplats sedan det angivna datumet. Anvndare som redan har en obetald betalningsbegran kommer inte att f en ny betalningsbegran.</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.olderThanDate">Senast betalning ldre n datum</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.SendPaymentRequests">Skicka betalningsbegran</xsl:variable>
	
	<xsl:variable name="i18n.RequestPayment.Sent.1">Betalningsbegran skapad fr</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.Sent.2">kplatser. Notifikationer skickade till</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.Sent.3">via e-post och</xsl:variable>
	<xsl:variable name="i18n.RequestPayment.Sent.4">via SMS.</xsl:variable>
	
	<xsl:variable name="i18n.DataTable.decimal">,</xsl:variable>
	<xsl:variable name="i18n.DataTable.emptyTable">Finns inga kplatser att visa</xsl:variable>
	<xsl:variable name="i18n.DataTable.info">Visar _START_ till _END_ av _TOTAL_ kplatser</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoEmpty">Visar 0 till 0 av 0 kplatser</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoFiltered">(filtrerat frn totalt _MAX_ kplatser)</xsl:variable>
	<xsl:variable name="i18n.DataTable.infoPostFix"/>
	<xsl:variable name="i18n.DataTable.thousands"/>
	<xsl:variable name="i18n.DataTable.lengthMenu">Visa _MENU_ kplatser</xsl:variable>
	<xsl:variable name="i18n.DataTable.loadingRecords">Hmtar kplatser...</xsl:variable>
	<xsl:variable name="i18n.DataTable.processing">Bearbetar...</xsl:variable>
	<xsl:variable name="i18n.DataTable.search">Sk:</xsl:variable>
	<xsl:variable name="i18n.DataTable.zeroRecords">Inga matchande kplatser hittades</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.first">Frsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.last">Sista</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.next">Nsta</xsl:variable>
	<xsl:variable name="i18n.DataTable.paginate.previous">Fregende</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortAscending">: aktivera fr att sortera kolumnen stigande</xsl:variable>
	<xsl:variable name="i18n.DataTable.aria.sortDescending">: aktivera fr att sortera kolumnen fallande</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.none">Inga rader markerade</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.one">1 rad markerad</xsl:variable>
	<xsl:variable name="i18n.DataTable.selection.many">%d rader markerade</xsl:variable>
	
</xsl:stylesheet>
