package com.nordicpeak.flowengine.queue.events;

import java.io.Serializable;

import se.unlogic.hierarchy.core.beans.User;

import com.nordicpeak.flowengine.queue.beans.QueueSlot;

public class QueueSlotManuallyAddedEvent implements Serializable {

	private static final long serialVersionUID = 1873981649620240956L;

	private final QueueSlot queueSlot;
	private final User poster;

	public QueueSlotManuallyAddedEvent(QueueSlot queueSlot, User poster) {

		super();
		this.queueSlot = queueSlot;
		this.poster = poster;
	}

	public QueueSlot getQueueSlot() {

		return queueSlot;
	}

	public User getPoster() {

		return poster;
	}
}
