
package se.bolagsverket.schema.ssbt.metadata;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anvandningsomrade.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="anvandningsomrade">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="DirektAteranvandning"/>
 *     &lt;enumeration value="IndirektAteranvandning"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "anvandningsomrade")
@XmlEnum
public enum Anvandningsomrade {

    @XmlEnumValue("DirektAteranvandning")
    DIREKT_ATERANVANDNING("DirektAteranvandning"),
    @XmlEnumValue("IndirektAteranvandning")
    INDIREKT_ATERANVANDNING("IndirektAteranvandning");
    private final String value;

    Anvandningsomrade(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static Anvandningsomrade fromValue(String v) {
        for (Anvandningsomrade c: Anvandningsomrade.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
