
package se.bolagsverket.schema.ssbten.engagemang;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import se.bolagsverket.schema.ssbt.metadata.Anvandningsomrade;
import se.bolagsverket.schema.ssbt.metadata.Datakonsument;
import se.bolagsverket.schema.ssbt.metadata.Part;
import se.bolagsverket.schema.ssbt.metadata.ServicePart;
import se.bolagsverket.schema.ssbt.metadata.Ttl;


/**
 * <p>Java class for engagemangBegaranMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="engagemangBegaranMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}MeddelandeId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}TransaktionId"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}Tidstampel"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}TTL" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}Datakonsument"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}Anvandare"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}Formedlare" minOccurs="0"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/metadata}Anvandningsomrade" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "engagemangBegaranMetadata", propOrder = {
    "meddelandeId",
    "transaktionId",
    "tidstampel",
    "ttl",
    "datakonsument",
    "anvandare",
    "formedlare",
    "anvandningsomrade"
})
public class EngagemangBegaranMetadata {

    @XmlElement(name = "MeddelandeId", namespace = "http://schema.bolagsverket.se/ssbt/metadata", required = true)
    protected String meddelandeId;
    @XmlElement(name = "TransaktionId", namespace = "http://schema.bolagsverket.se/ssbt/metadata", required = true)
    protected String transaktionId;
    @XmlElement(name = "Tidstampel", namespace = "http://schema.bolagsverket.se/ssbt/metadata", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar tidstampel;
    @XmlElement(name = "TTL", namespace = "http://schema.bolagsverket.se/ssbt/metadata")
    protected Ttl ttl;
    @XmlElement(name = "Datakonsument", namespace = "http://schema.bolagsverket.se/ssbt/metadata", required = true)
    protected Datakonsument datakonsument;
    @XmlElement(name = "Anvandare", namespace = "http://schema.bolagsverket.se/ssbt/metadata", required = true)
    protected Part anvandare;
    @XmlElement(name = "Formedlare", namespace = "http://schema.bolagsverket.se/ssbt/metadata")
    protected ServicePart formedlare;
    @XmlElement(name = "Anvandningsomrade", namespace = "http://schema.bolagsverket.se/ssbt/metadata")
    @XmlSchemaType(name = "string")
    protected Anvandningsomrade anvandningsomrade;

    /**
     * Gets the value of the meddelandeId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMeddelandeId() {
        return meddelandeId;
    }

    /**
     * Sets the value of the meddelandeId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMeddelandeId(String value) {
        this.meddelandeId = value;
    }

    /**
     * Gets the value of the transaktionId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransaktionId() {
        return transaktionId;
    }

    /**
     * Sets the value of the transaktionId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransaktionId(String value) {
        this.transaktionId = value;
    }

    /**
     * Gets the value of the tidstampel property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTidstampel() {
        return tidstampel;
    }

    /**
     * Sets the value of the tidstampel property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTidstampel(XMLGregorianCalendar value) {
        this.tidstampel = value;
    }

    /**
     * Gets the value of the ttl property.
     * 
     * @return
     *     possible object is
     *     {@link Ttl }
     *     
     */
    public Ttl getTTL() {
        return ttl;
    }

    /**
     * Sets the value of the ttl property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ttl }
     *     
     */
    public void setTTL(Ttl value) {
        this.ttl = value;
    }

    /**
     * Gets the value of the datakonsument property.
     * 
     * @return
     *     possible object is
     *     {@link Datakonsument }
     *     
     */
    public Datakonsument getDatakonsument() {
        return datakonsument;
    }

    /**
     * Sets the value of the datakonsument property.
     * 
     * @param value
     *     allowed object is
     *     {@link Datakonsument }
     *     
     */
    public void setDatakonsument(Datakonsument value) {
        this.datakonsument = value;
    }

    /**
     * Gets the value of the anvandare property.
     * 
     * @return
     *     possible object is
     *     {@link Part }
     *     
     */
    public Part getAnvandare() {
        return anvandare;
    }

    /**
     * Sets the value of the anvandare property.
     * 
     * @param value
     *     allowed object is
     *     {@link Part }
     *     
     */
    public void setAnvandare(Part value) {
        this.anvandare = value;
    }

    /**
     * Gets the value of the formedlare property.
     * 
     * @return
     *     possible object is
     *     {@link ServicePart }
     *     
     */
    public ServicePart getFormedlare() {
        return formedlare;
    }

    /**
     * Sets the value of the formedlare property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServicePart }
     *     
     */
    public void setFormedlare(ServicePart value) {
        this.formedlare = value;
    }

    /**
     * Gets the value of the anvandningsomrade property.
     * 
     * @return
     *     possible object is
     *     {@link Anvandningsomrade }
     *     
     */
    public Anvandningsomrade getAnvandningsomrade() {
        return anvandningsomrade;
    }

    /**
     * Sets the value of the anvandningsomrade property.
     * 
     * @param value
     *     allowed object is
     *     {@link Anvandningsomrade }
     *     
     */
    public void setAnvandningsomrade(Anvandningsomrade value) {
        this.anvandningsomrade = value;
    }

}
