
package se.bolagsverket.schema.ssbten.engagemang;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.fel.Fel;


/**
 * <p>Java class for foretagEngagemang complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="foretagEngagemang">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbten/engagemang}ForetagEngagemangMetadata" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element ref="{http://schema.bolagsverket.se/ssbten/engagemang}Foretag" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element ref="{http://schema.bolagsverket.se/ssbt/fel}Fel"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "foretagEngagemang", propOrder = {
    "foretagEngagemangMetadata",
    "foretag",
    "fel"
})
public class ForetagEngagemang {

    @XmlElement(name = "ForetagEngagemangMetadata")
    protected ForetagEngagemangMetadata foretagEngagemangMetadata;
    @XmlElement(name = "Foretag")
    protected List<Foretag> foretag;
    @XmlElement(name = "Fel", namespace = "http://schema.bolagsverket.se/ssbt/fel")
    protected Fel fel;

    /**
     * Gets the value of the foretagEngagemangMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ForetagEngagemangMetadata }
     *     
     */
    public ForetagEngagemangMetadata getForetagEngagemangMetadata() {
        return foretagEngagemangMetadata;
    }

    /**
     * Sets the value of the foretagEngagemangMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ForetagEngagemangMetadata }
     *     
     */
    public void setForetagEngagemangMetadata(ForetagEngagemangMetadata value) {
        this.foretagEngagemangMetadata = value;
    }

    /**
     * Gets the value of the foretag property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the foretag property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getForetag().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Foretag }
     * 
     * 
     */
    public List<Foretag> getForetag() {
        if (foretag == null) {
            foretag = new ArrayList<Foretag>();
        }
        return this.foretag;
    }

    /**
     * Gets the value of the fel property.
     * 
     * @return
     *     possible object is
     *     {@link Fel }
     *     
     */
    public Fel getFel() {
        return fel;
    }

    /**
     * Sets the value of the fel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Fel }
     *     
     */
    public void setFel(Fel value) {
        this.fel = value;
    }

}
