
package se.bolagsverket.schema.ssbtgu.v2.grundlaggandeuppgifter;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import se.bolagsverket.schema.ssbt.foretag.Sni;


/**
 * <p>Java class for sniKoderArbetsstalle complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="sniKoderArbetsstalle">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}CFARNummer"/>
 *         &lt;element ref="{http://schema.bolagsverket.se/ssbt/foretag}SNI" maxOccurs="3"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "sniKoderArbetsstalle", propOrder = {
    "cfarNummer",
    "sni"
})
public class SniKoderArbetsstalle {

    @XmlElement(name = "CFARNummer", namespace = "http://schema.bolagsverket.se/ssbt/foretag", required = true)
    protected String cfarNummer;
    @XmlElement(name = "SNI", namespace = "http://schema.bolagsverket.se/ssbt/foretag", required = true)
    protected List<Sni> sni;

    /**
     * Gets the value of the cfarNummer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCFARNummer() {
        return cfarNummer;
    }

    /**
     * Sets the value of the cfarNummer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCFARNummer(String value) {
        this.cfarNummer = value;
    }

    /**
     * Gets the value of the sni property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the sni property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSNI().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Sni }
     * 
     * 
     */
    public List<Sni> getSNI() {
        if (sni == null) {
            sni = new ArrayList<Sni>();
        }
        return this.sni;
    }

}
