
function initCompanyDetailsQuery(queryID) {
	
	var query = $("#query_" + queryID);
		
	var radios = query.find("input[type='radio']");
	
	if (radios.length > 0) {
		
		radios.on("change", function() {
			updateCompanyDetails(query.data("requesturl"), query.data("target"), this, queryID);
		});
	}
}

var updateCompanyDetails = function(url, target, select, queryID) {
	
	$.get(url + "?organizationNumber=" + select.value, function(data) {
		$("#" + target).html(data);
	});
	
	var $select = $(select);
	var $query = $select.closest("div.query");
	
	if ($query.hasClass("enableAjaxPosting")) {
		
		runSSBTEvaluators($select, queryID);
	};
}

function runSSBTEvaluators($this, queryID) {
	
	var parameters = {};
	
	parameters[$this.attr("name")] = $this.val();
	
	runQueryEvaluators(queryID, parameters);
}