<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:import href="classpath://com/nordicpeak/flowengine/queries/common/xsl/QueryAdminCommon.sv.xsl"/>
	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/usergrouplist/UserGroupList.sv.xsl"/>

	<xsl:output encoding="ISO-8859-1" method="html" version="4.0"/>

	<xsl:include href="UserListQueryAdminTemplates.xsl"/>
	
	<xsl:variable name="java.queryTypeName">Anvndarfrga (skbar)</xsl:variable>
	<xsl:variable name="java.queryDescription">
Frgetypen Anvndarfrga (skbar) anvnds fr att vlja en eller flera anvndare. Vilka grupper den hr frgan faktiskt sker bland
kan variera frn installation till installation, men normalfallet r att den sker bland handlggare fr den aktuella e-tjnsten.
	</xsl:variable>	
	<xsl:variable name="java.missingProvider">Tidigare vald anvndarklla som saknas</xsl:variable>
		
	<xsl:variable name="i18n.UpdateQuery">ndra frga</xsl:variable>
	<xsl:variable name="i18n.ProviderIdentifier">Anvndarklla</xsl:variable>
	<xsl:variable name="i18n.SaveChanges">Spara ndringar</xsl:variable>
	<xsl:variable name="i18n.UserListQueryNotFound">Den begrda frgan hittades inte</xsl:variable>
	
	<xsl:variable name="i18n.ShowCitizenIdentifier">Visa personnummer</xsl:variable>
	<xsl:variable name="i18n.ShowContactInformation">Visa kontaktuppgifter</xsl:variable>
	<xsl:variable name="i18n.UseForMultipartSigning">Anvnd fr flerpartssignering</xsl:variable>
	<xsl:variable name="i18n.SetMultipartsAsOwners">Stt valda anvndare som medskande fr rendet</xsl:variable>
	
	<xsl:variable name="i18n.MinSelected">Minst antal valda anvndare</xsl:variable>
	<xsl:variable name="i18n.MaxSelected">Max antal valda anvndare</xsl:variable>
	<xsl:variable name="i18n.minSelectedUsers">minst antal valda anvndare</xsl:variable>
	<xsl:variable name="i18n.maxSelectedUsers">max antal valda anvndare</xsl:variable>
	<xsl:variable name="i18n.MinSelectedBiggerThanMaxSelected">Minst antal valda anvndare fr inte vara strre n max!</xsl:variable>
		
	<xsl:variable name="i18n.ShowUsername">Visa anvndarnamn</xsl:variable>
	
	<xsl:variable name="i18n.AdvancedSettings">Avancerade instllningar</xsl:variable>
	<xsl:variable name="i18n.setAsAttribute">Spara fltets vrde som attribut</xsl:variable>
	<xsl:variable name="i18n.Query.excludeInactiveUsers">Exkludera inaktiva anvndare</xsl:variable>
	
	<xsl:variable name="i18n.attributeName">Attributnamn</xsl:variable>

	<xsl:variable name="i18n.UserSourceType.Title">Hmtning av anvndare</xsl:variable>
	<xsl:variable name="i18n.UserSourceType.Description">Denna frgetyp har std fr att hmta anvndare antingen frn utpekade grupper eller frn speciella anvndarkllor. Vlj vart anvndarna ska hmtas frn fr denna frga.</xsl:variable>

	<xsl:variable name="i18n.UserSourceType.Groups">Grupper</xsl:variable>
	<xsl:variable name="i18n.UserSourceType.ListUserProvider">Anvndarklla</xsl:variable>
	
	<xsl:variable name="i18n.Groups">Grupper</xsl:variable>

</xsl:stylesheet>
