package com.nordicpeak.flowengine.evaluators.setweightbyalternativeidevaluator;

import se.unlogic.standardutils.dao.AnnotatedDAOWrapper;
import se.unlogic.webutils.populators.annotated.AnnotatedRequestPopulator;

import com.nordicpeak.flowengine.evaluators.baseevaluator.BaseEvaluatorCRUD;

public class SetWeightByAlternativeIDEvaluatorCRUD extends BaseEvaluatorCRUD<SetWeightByAlternativeIDEvaluator, SetWeightByAlternativeIDEvaluationProviderModule> {

	private static final AnnotatedRequestPopulator<SetWeightByAlternativeIDEvaluator> POPULATOR = new AnnotatedRequestPopulator<>(SetWeightByAlternativeIDEvaluator.class);

	public SetWeightByAlternativeIDEvaluatorCRUD(Class<SetWeightByAlternativeIDEvaluator> beanClass, AnnotatedDAOWrapper<SetWeightByAlternativeIDEvaluator, Integer> evaluatorDAO, SetWeightByAlternativeIDEvaluationProviderModule callback) {

		super(beanClass, evaluatorDAO, POPULATOR, "SetWeightByAlternativeIDEvaluator", "weight by alternative id evaluator", null, callback);
	}

}